# fhir/r4b_valuesets

https://hl7.org/fhir/r4b valuesets

# Types

## Accountstatus

</>

    pub type Accountstatus {
      AccountstatusActive
      AccountstatusInactive
      AccountstatusEnteredinerror
      AccountstatusOnhold
      AccountstatusUnknown
    }

### Constructors

-     AccountstatusActive

-     AccountstatusInactive

-     AccountstatusEnteredinerror

-     AccountstatusOnhold

-     AccountstatusUnknown

## Actioncardinalitybehavior

</>

    pub type Actioncardinalitybehavior {
      ActioncardinalitybehaviorSingle
      ActioncardinalitybehaviorMultiple
    }

### Constructors

-     ActioncardinalitybehaviorSingle

-     ActioncardinalitybehaviorMultiple

## Actionconditionkind

</>

    pub type Actionconditionkind {
      ActionconditionkindApplicability
      ActionconditionkindStart
      ActionconditionkindStop
    }

### Constructors

-     ActionconditionkindApplicability

-     ActionconditionkindStart

-     ActionconditionkindStop

## Actiongroupingbehavior

</>

    pub type Actiongroupingbehavior {
      ActiongroupingbehaviorVisualgroup
      ActiongroupingbehaviorLogicalgroup
      ActiongroupingbehaviorSentencegroup
    }

### Constructors

-     ActiongroupingbehaviorVisualgroup

-     ActiongroupingbehaviorLogicalgroup

-     ActiongroupingbehaviorSentencegroup

## Actionparticipanttype

</>

    pub type Actionparticipanttype {
      ActionparticipanttypePatient
      ActionparticipanttypePractitioner
      ActionparticipanttypeRelatedperson
      ActionparticipanttypeDevice
    }

### Constructors

-     ActionparticipanttypePatient

-     ActionparticipanttypePractitioner

-     ActionparticipanttypeRelatedperson

-     ActionparticipanttypeDevice

## Actionprecheckbehavior

</>

    pub type Actionprecheckbehavior {
      ActionprecheckbehaviorYes
      ActionprecheckbehaviorNo
    }

### Constructors

-     ActionprecheckbehaviorYes

-     ActionprecheckbehaviorNo

## Actionrelationshiptype

</>

    pub type Actionrelationshiptype {
      ActionrelationshiptypeBeforestart
      ActionrelationshiptypeBefore
      ActionrelationshiptypeBeforeend
      ActionrelationshiptypeConcurrentwithstart
      ActionrelationshiptypeConcurrent
      ActionrelationshiptypeConcurrentwithend
      ActionrelationshiptypeAfterstart
      ActionrelationshiptypeAfter
      ActionrelationshiptypeAfterend
    }

### Constructors

-     ActionrelationshiptypeBeforestart

-     ActionrelationshiptypeBefore

-     ActionrelationshiptypeBeforeend

-     ActionrelationshiptypeConcurrentwithstart

-     ActionrelationshiptypeConcurrent

-     ActionrelationshiptypeConcurrentwithend

-     ActionrelationshiptypeAfterstart

-     ActionrelationshiptypeAfter

-     ActionrelationshiptypeAfterend

## Actionrequiredbehavior

</>

    pub type Actionrequiredbehavior {
      ActionrequiredbehaviorMust
      ActionrequiredbehaviorCould
      ActionrequiredbehaviorMustunlessdocumented
    }

### Constructors

-     ActionrequiredbehaviorMust

-     ActionrequiredbehaviorCould

-     ActionrequiredbehaviorMustunlessdocumented

## Actionselectionbehavior

</>

    pub type Actionselectionbehavior {
      ActionselectionbehaviorAny
      ActionselectionbehaviorAll
      ActionselectionbehaviorAllornone
      ActionselectionbehaviorExactlyone
      ActionselectionbehaviorAtmostone
      ActionselectionbehaviorOneormore
    }

### Constructors

-     ActionselectionbehaviorAny

-     ActionselectionbehaviorAll

-     ActionselectionbehaviorAllornone

-     ActionselectionbehaviorExactlyone

-     ActionselectionbehaviorAtmostone

-     ActionselectionbehaviorOneormore

## Addresstype

</>

    pub type Addresstype {
      AddresstypePostal
      AddresstypePhysical
      AddresstypeBoth
    }

### Constructors

-     AddresstypePostal

-     AddresstypePhysical

-     AddresstypeBoth

## Addressuse

</>

    pub type Addressuse {
      AddressuseHome
      AddressuseWork
      AddressuseTemp
      AddressuseOld
      AddressuseBilling
    }

### Constructors

-     AddressuseHome

-     AddressuseWork

-     AddressuseTemp

-     AddressuseOld

-     AddressuseBilling

## Administrativegender

</>

    pub type Administrativegender {
      AdministrativegenderMale
      AdministrativegenderFemale
      AdministrativegenderOther
      AdministrativegenderUnknown
    }

### Constructors

-     AdministrativegenderMale

-     AdministrativegenderFemale

-     AdministrativegenderOther

-     AdministrativegenderUnknown

## Adverseeventactuality

</>

    pub type Adverseeventactuality {
      AdverseeventactualityActual
      AdverseeventactualityPotential
    }

### Constructors

-     AdverseeventactualityActual

-     AdverseeventactualityPotential

## Allergyintolerancecategory

</>

    pub type Allergyintolerancecategory {
      AllergyintolerancecategoryFood
      AllergyintolerancecategoryMedication
      AllergyintolerancecategoryEnvironment
      AllergyintolerancecategoryBiologic
    }

### Constructors

-     AllergyintolerancecategoryFood

-     AllergyintolerancecategoryMedication

-     AllergyintolerancecategoryEnvironment

-     AllergyintolerancecategoryBiologic

## Allergyintolerancecriticality

</>

    pub type Allergyintolerancecriticality {
      AllergyintolerancecriticalityLow
      AllergyintolerancecriticalityHigh
      AllergyintolerancecriticalityUnabletoassess
    }

### Constructors

-     AllergyintolerancecriticalityLow

-     AllergyintolerancecriticalityHigh

-     AllergyintolerancecriticalityUnabletoassess

## Allergyintolerancetype

</>

    pub type Allergyintolerancetype {
      AllergyintolerancetypeAllergy
      AllergyintolerancetypeIntolerance
    }

### Constructors

-     AllergyintolerancetypeAllergy

-     AllergyintolerancetypeIntolerance

## Alltypes

</>

    pub type Alltypes {
      AlltypesAddress
      AlltypesAge
      AlltypesAnnotation
      AlltypesAttachment
      AlltypesBackboneelement
      AlltypesCodeableconcept
      AlltypesCodeablereference
      AlltypesCoding
      AlltypesContactdetail
      AlltypesContactpoint
      AlltypesContributor
      AlltypesCount
      AlltypesDatarequirement
      AlltypesDistance
      AlltypesDosage
      AlltypesDuration
      AlltypesElement
      AlltypesElementdefinition
      AlltypesExpression
      AlltypesExtension
      AlltypesHumanname
      AlltypesIdentifier
      AlltypesMarketingstatus
      AlltypesMeta
      AlltypesMoney
      AlltypesMoneyquantity
      AlltypesNarrative
      AlltypesParameterdefinition
      AlltypesPeriod
      AlltypesPopulation
      AlltypesProdcharacteristic
      AlltypesProductshelflife
      AlltypesQuantity
      AlltypesRange
      AlltypesRatio
      AlltypesRatiorange
      AlltypesReference
      AlltypesRelatedartifact
      AlltypesSampleddata
      AlltypesSignature
      AlltypesSimplequantity
      AlltypesTiming
      AlltypesTriggerdefinition
      AlltypesUsagecontext
      AlltypesBase64binary
      AlltypesBoolean
      AlltypesCanonical
      AlltypesCode
      AlltypesDate
      AlltypesDatetime
      AlltypesDecimal
      AlltypesId
      AlltypesInstant
      AlltypesInteger
      AlltypesMarkdown
      AlltypesOid
      AlltypesPositiveint
      AlltypesString
      AlltypesTime
      AlltypesUnsignedint
      AlltypesUri
      AlltypesUrl
      AlltypesUuid
      AlltypesXhtml
      AlltypesResource
      AlltypesBinary
      AlltypesBundle
      AlltypesDomainresource
      AlltypesAccount
      AlltypesActivitydefinition
      AlltypesAdministrableproductdefinition
      AlltypesAdverseevent
      AlltypesAllergyintolerance
      AlltypesAppointment
      AlltypesAppointmentresponse
      AlltypesAuditevent
      AlltypesBasic
      AlltypesBiologicallyderivedproduct
      AlltypesBodystructure
      AlltypesCapabilitystatement
      AlltypesCareplan
      AlltypesCareteam
      AlltypesCatalogentry
      AlltypesChargeitem
      AlltypesChargeitemdefinition
      AlltypesCitation
      AlltypesClaim
      AlltypesClaimresponse
      AlltypesClinicalimpression
      AlltypesClinicalusedefinition
      AlltypesCodesystem
      AlltypesCommunication
      AlltypesCommunicationrequest
      AlltypesCompartmentdefinition
      AlltypesComposition
      AlltypesConceptmap
      AlltypesCondition
      AlltypesConsent
      AlltypesContract
      AlltypesCoverage
      AlltypesCoverageeligibilityrequest
      AlltypesCoverageeligibilityresponse
      AlltypesDetectedissue
      AlltypesDevice
      AlltypesDevicedefinition
      AlltypesDevicemetric
      AlltypesDevicerequest
      AlltypesDeviceusestatement
      AlltypesDiagnosticreport
      AlltypesDocumentmanifest
      AlltypesDocumentreference
      AlltypesEncounter
      AlltypesEndpoint
      AlltypesEnrollmentrequest
      AlltypesEnrollmentresponse
      AlltypesEpisodeofcare
      AlltypesEventdefinition
      AlltypesEvidence
      AlltypesEvidencereport
      AlltypesEvidencevariable
      AlltypesExamplescenario
      AlltypesExplanationofbenefit
      AlltypesFamilymemberhistory
      AlltypesFlag
      AlltypesGoal
      AlltypesGraphdefinition
      AlltypesGroup
      AlltypesGuidanceresponse
      AlltypesHealthcareservice
      AlltypesImagingstudy
      AlltypesImmunization
      AlltypesImmunizationevaluation
      AlltypesImmunizationrecommendation
      AlltypesImplementationguide
      AlltypesIngredient
      AlltypesInsuranceplan
      AlltypesInvoice
      AlltypesLibrary
      AlltypesLinkage
      AlltypesList
      AlltypesLocation
      AlltypesManufactureditemdefinition
      AlltypesMeasure
      AlltypesMeasurereport
      AlltypesMedia
      AlltypesMedication
      AlltypesMedicationadministration
      AlltypesMedicationdispense
      AlltypesMedicationknowledge
      AlltypesMedicationrequest
      AlltypesMedicationstatement
      AlltypesMedicinalproductdefinition
      AlltypesMessagedefinition
      AlltypesMessageheader
      AlltypesMolecularsequence
      AlltypesNamingsystem
      AlltypesNutritionorder
      AlltypesNutritionproduct
      AlltypesObservation
      AlltypesObservationdefinition
      AlltypesOperationdefinition
      AlltypesOperationoutcome
      AlltypesOrganization
      AlltypesOrganizationaffiliation
      AlltypesPackagedproductdefinition
      AlltypesPatient
      AlltypesPaymentnotice
      AlltypesPaymentreconciliation
      AlltypesPerson
      AlltypesPlandefinition
      AlltypesPractitioner
      AlltypesPractitionerrole
      AlltypesProcedure
      AlltypesProvenance
      AlltypesQuestionnaire
      AlltypesQuestionnaireresponse
      AlltypesRegulatedauthorization
      AlltypesRelatedperson
      AlltypesRequestgroup
      AlltypesResearchdefinition
      AlltypesResearchelementdefinition
      AlltypesResearchstudy
      AlltypesResearchsubject
      AlltypesRiskassessment
      AlltypesSchedule
      AlltypesSearchparameter
      AlltypesServicerequest
      AlltypesSlot
      AlltypesSpecimen
      AlltypesSpecimendefinition
      AlltypesStructuredefinition
      AlltypesStructuremap
      AlltypesSubscription
      AlltypesSubscriptionstatus
      AlltypesSubscriptiontopic
      AlltypesSubstance
      AlltypesSubstancedefinition
      AlltypesSupplydelivery
      AlltypesSupplyrequest
      AlltypesTask
      AlltypesTerminologycapabilities
      AlltypesTestreport
      AlltypesTestscript
      AlltypesValueset
      AlltypesVerificationresult
      AlltypesVisionprescription
      AlltypesParameters
      AlltypesType
      AlltypesAny
    }

### Constructors

-     AlltypesAddress

-     AlltypesAge

-     AlltypesAnnotation

-     AlltypesAttachment

-     AlltypesBackboneelement

-     AlltypesCodeableconcept

-     AlltypesCodeablereference

-     AlltypesCoding

-     AlltypesContactdetail

-     AlltypesContactpoint

-     AlltypesContributor

-     AlltypesCount

-     AlltypesDatarequirement

-     AlltypesDistance

-     AlltypesDosage

-     AlltypesDuration

-     AlltypesElement

-     AlltypesElementdefinition

-     AlltypesExpression

-     AlltypesExtension

-     AlltypesHumanname

-     AlltypesIdentifier

-     AlltypesMarketingstatus

-     AlltypesMeta

-     AlltypesMoney

-     AlltypesMoneyquantity

-     AlltypesNarrative

-     AlltypesParameterdefinition

-     AlltypesPeriod

-     AlltypesPopulation

-     AlltypesProdcharacteristic

-     AlltypesProductshelflife

-     AlltypesQuantity

-     AlltypesRange

-     AlltypesRatio

-     AlltypesRatiorange

-     AlltypesReference

-     AlltypesRelatedartifact

-     AlltypesSampleddata

-     AlltypesSignature

-     AlltypesSimplequantity

-     AlltypesTiming

-     AlltypesTriggerdefinition

-     AlltypesUsagecontext

-     AlltypesBase64binary

-     AlltypesBoolean

-     AlltypesCanonical

-     AlltypesCode

-     AlltypesDate

-     AlltypesDatetime

-     AlltypesDecimal

-     AlltypesId

-     AlltypesInstant

-     AlltypesInteger

-     AlltypesMarkdown

-     AlltypesOid

-     AlltypesPositiveint

-     AlltypesString

-     AlltypesTime

-     AlltypesUnsignedint

-     AlltypesUri

-     AlltypesUrl

-     AlltypesUuid

-     AlltypesXhtml

-     AlltypesResource

-     AlltypesBinary

-     AlltypesBundle

-     AlltypesDomainresource

-     AlltypesAccount

-     AlltypesActivitydefinition

-     AlltypesAdministrableproductdefinition

-     AlltypesAdverseevent

-     AlltypesAllergyintolerance

-     AlltypesAppointment

-     AlltypesAppointmentresponse

-     AlltypesAuditevent

-     AlltypesBasic

-     AlltypesBiologicallyderivedproduct

-     AlltypesBodystructure

-     AlltypesCapabilitystatement

-     AlltypesCareplan

-     AlltypesCareteam

-     AlltypesCatalogentry

-     AlltypesChargeitem

-     AlltypesChargeitemdefinition

-     AlltypesCitation

-     AlltypesClaim

-     AlltypesClaimresponse

-     AlltypesClinicalimpression

-     AlltypesClinicalusedefinition

-     AlltypesCodesystem

-     AlltypesCommunication

-     AlltypesCommunicationrequest

-     AlltypesCompartmentdefinition

-     AlltypesComposition

-     AlltypesConceptmap

-     AlltypesCondition

-     AlltypesConsent

-     AlltypesContract

-     AlltypesCoverage

-     AlltypesCoverageeligibilityrequest

-     AlltypesCoverageeligibilityresponse

-     AlltypesDetectedissue

-     AlltypesDevice

-     AlltypesDevicedefinition

-     AlltypesDevicemetric

-     AlltypesDevicerequest

-     AlltypesDeviceusestatement

-     AlltypesDiagnosticreport

-     AlltypesDocumentmanifest

-     AlltypesDocumentreference

-     AlltypesEncounter

-     AlltypesEndpoint

-     AlltypesEnrollmentrequest

-     AlltypesEnrollmentresponse

-     AlltypesEpisodeofcare

-     AlltypesEventdefinition

-     AlltypesEvidence

-     AlltypesEvidencereport

-     AlltypesEvidencevariable

-     AlltypesExamplescenario

-     AlltypesExplanationofbenefit

-     AlltypesFamilymemberhistory

-     AlltypesFlag

-     AlltypesGoal

-     AlltypesGraphdefinition

-     AlltypesGroup

-     AlltypesGuidanceresponse

-     AlltypesHealthcareservice

-     AlltypesImagingstudy

-     AlltypesImmunization

-     AlltypesImmunizationevaluation

-     AlltypesImmunizationrecommendation

-     AlltypesImplementationguide

-     AlltypesIngredient

-     AlltypesInsuranceplan

-     AlltypesInvoice

-     AlltypesLibrary

-     AlltypesLinkage

-     AlltypesList

-     AlltypesLocation

-     AlltypesManufactureditemdefinition

-     AlltypesMeasure

-     AlltypesMeasurereport

-     AlltypesMedia

-     AlltypesMedication

-     AlltypesMedicationadministration

-     AlltypesMedicationdispense

-     AlltypesMedicationknowledge

-     AlltypesMedicationrequest

-     AlltypesMedicationstatement

-     AlltypesMedicinalproductdefinition

-     AlltypesMessagedefinition

-     AlltypesMessageheader

-     AlltypesMolecularsequence

-     AlltypesNamingsystem

-     AlltypesNutritionorder

-     AlltypesNutritionproduct

-     AlltypesObservation

-     AlltypesObservationdefinition

-     AlltypesOperationdefinition

-     AlltypesOperationoutcome

-     AlltypesOrganization

-     AlltypesOrganizationaffiliation

-     AlltypesPackagedproductdefinition

-     AlltypesPatient

-     AlltypesPaymentnotice

-     AlltypesPaymentreconciliation

-     AlltypesPerson

-     AlltypesPlandefinition

-     AlltypesPractitioner

-     AlltypesPractitionerrole

-     AlltypesProcedure

-     AlltypesProvenance

-     AlltypesQuestionnaire

-     AlltypesQuestionnaireresponse

-     AlltypesRegulatedauthorization

-     AlltypesRelatedperson

-     AlltypesRequestgroup

-     AlltypesResearchdefinition

-     AlltypesResearchelementdefinition

-     AlltypesResearchstudy

-     AlltypesResearchsubject

-     AlltypesRiskassessment

-     AlltypesSchedule

-     AlltypesSearchparameter

-     AlltypesServicerequest

-     AlltypesSlot

-     AlltypesSpecimen

-     AlltypesSpecimendefinition

-     AlltypesStructuredefinition

-     AlltypesStructuremap

-     AlltypesSubscription

-     AlltypesSubscriptionstatus

-     AlltypesSubscriptiontopic

-     AlltypesSubstance

-     AlltypesSubstancedefinition

-     AlltypesSupplydelivery

-     AlltypesSupplyrequest

-     AlltypesTask

-     AlltypesTerminologycapabilities

-     AlltypesTestreport

-     AlltypesTestscript

-     AlltypesValueset

-     AlltypesVerificationresult

-     AlltypesVisionprescription

-     AlltypesParameters

-     AlltypesType

-     AlltypesAny

## Appointmentstatus

</>

    pub type Appointmentstatus {
      AppointmentstatusProposed
      AppointmentstatusPending
      AppointmentstatusBooked
      AppointmentstatusArrived
      AppointmentstatusFulfilled
      AppointmentstatusCancelled
      AppointmentstatusNoshow
      AppointmentstatusEnteredinerror
      AppointmentstatusCheckedin
      AppointmentstatusWaitlist
    }

### Constructors

-     AppointmentstatusProposed

-     AppointmentstatusPending

-     AppointmentstatusBooked

-     AppointmentstatusArrived

-     AppointmentstatusFulfilled

-     AppointmentstatusCancelled

-     AppointmentstatusNoshow

-     AppointmentstatusEnteredinerror

-     AppointmentstatusCheckedin

-     AppointmentstatusWaitlist

## Assertdirectioncodes

</>

    pub type Assertdirectioncodes {
      AssertdirectioncodesResponse
      AssertdirectioncodesRequest
    }

### Constructors

-     AssertdirectioncodesResponse

-     AssertdirectioncodesRequest

## Assertoperatorcodes

</>

    pub type Assertoperatorcodes {
      AssertoperatorcodesEquals
      AssertoperatorcodesNotequals
      AssertoperatorcodesIn
      AssertoperatorcodesNotin
      AssertoperatorcodesGreaterthan
      AssertoperatorcodesLessthan
      AssertoperatorcodesEmpty
      AssertoperatorcodesNotempty
      AssertoperatorcodesContains
      AssertoperatorcodesNotcontains
      AssertoperatorcodesEval
    }

### Constructors

-     AssertoperatorcodesEquals

-     AssertoperatorcodesNotequals

-     AssertoperatorcodesIn

-     AssertoperatorcodesNotin

-     AssertoperatorcodesGreaterthan

-     AssertoperatorcodesLessthan

-     AssertoperatorcodesEmpty

-     AssertoperatorcodesNotempty

-     AssertoperatorcodesContains

-     AssertoperatorcodesNotcontains

-     AssertoperatorcodesEval

## Assertresponsecodetypes

</>

    pub type Assertresponsecodetypes {
      AssertresponsecodetypesOkay
      AssertresponsecodetypesCreated
      AssertresponsecodetypesNocontent
      AssertresponsecodetypesNotmodified
      AssertresponsecodetypesBad
      AssertresponsecodetypesForbidden
      AssertresponsecodetypesNotfound
      AssertresponsecodetypesMethodnotallowed
      AssertresponsecodetypesConflict
      AssertresponsecodetypesGone
      AssertresponsecodetypesPreconditionfailed
      AssertresponsecodetypesUnprocessable
    }

### Constructors

-     AssertresponsecodetypesOkay

-     AssertresponsecodetypesCreated

-     AssertresponsecodetypesNocontent

-     AssertresponsecodetypesNotmodified

-     AssertresponsecodetypesBad

-     AssertresponsecodetypesForbidden

-     AssertresponsecodetypesNotfound

-     AssertresponsecodetypesMethodnotallowed

-     AssertresponsecodetypesConflict

-     AssertresponsecodetypesGone

-     AssertresponsecodetypesPreconditionfailed

-     AssertresponsecodetypesUnprocessable

## Auditeventaction

</>

    pub type Auditeventaction {
      AuditeventactionC
      AuditeventactionR
      AuditeventactionU
      AuditeventactionD
      AuditeventactionE
    }

### Constructors

-     AuditeventactionC

-     AuditeventactionR

-     AuditeventactionU

-     AuditeventactionD

-     AuditeventactionE

## Auditeventoutcome

</>

    pub type Auditeventoutcome {
      Auditeventoutcome0
      Auditeventoutcome4
      Auditeventoutcome8
      Auditeventoutcome12
    }

### Constructors

-     Auditeventoutcome0

-     Auditeventoutcome4

-     Auditeventoutcome8

-     Auditeventoutcome12

## Bindingstrength

</>

    pub type Bindingstrength {
      BindingstrengthRequired
      BindingstrengthExtensible
      BindingstrengthPreferred
      BindingstrengthExample
    }

### Constructors

-     BindingstrengthRequired

-     BindingstrengthExtensible

-     BindingstrengthPreferred

-     BindingstrengthExample

## Bundletype

</>

    pub type Bundletype {
      BundletypeDocument
      BundletypeMessage
      BundletypeTransaction
      BundletypeTransactionresponse
      BundletypeBatch
      BundletypeBatchresponse
      BundletypeHistory
      BundletypeSearchset
      BundletypeCollection
    }

### Constructors

-     BundletypeDocument

-     BundletypeMessage

-     BundletypeTransaction

-     BundletypeTransactionresponse

-     BundletypeBatch

-     BundletypeBatchresponse

-     BundletypeHistory

-     BundletypeSearchset

-     BundletypeCollection

## Capabilitystatementkind

</>

    pub type Capabilitystatementkind {
      CapabilitystatementkindInstance
      CapabilitystatementkindCapability
      CapabilitystatementkindRequirements
    }

### Constructors

-     CapabilitystatementkindInstance

-     CapabilitystatementkindCapability

-     CapabilitystatementkindRequirements

## Careplanactivitykind

</>

    pub type Careplanactivitykind {
      CareplanactivitykindAppointment
      CareplanactivitykindCommunicationrequest
      CareplanactivitykindDevicerequest
      CareplanactivitykindMedicationrequest
      CareplanactivitykindNutritionorder
      CareplanactivitykindTask
      CareplanactivitykindServicerequest
      CareplanactivitykindVisionprescription
    }

### Constructors

-     CareplanactivitykindAppointment

-     CareplanactivitykindCommunicationrequest

-     CareplanactivitykindDevicerequest

-     CareplanactivitykindMedicationrequest

-     CareplanactivitykindNutritionorder

-     CareplanactivitykindTask

-     CareplanactivitykindServicerequest

-     CareplanactivitykindVisionprescription

## Careplanactivitystatus

</>

    pub type Careplanactivitystatus {
      CareplanactivitystatusNotstarted
      CareplanactivitystatusScheduled
      CareplanactivitystatusInprogress
      CareplanactivitystatusOnhold
      CareplanactivitystatusCompleted
      CareplanactivitystatusCancelled
      CareplanactivitystatusStopped
      CareplanactivitystatusUnknown
      CareplanactivitystatusEnteredinerror
    }

### Constructors

-     CareplanactivitystatusNotstarted

-     CareplanactivitystatusScheduled

-     CareplanactivitystatusInprogress

-     CareplanactivitystatusOnhold

-     CareplanactivitystatusCompleted

-     CareplanactivitystatusCancelled

-     CareplanactivitystatusStopped

-     CareplanactivitystatusUnknown

-     CareplanactivitystatusEnteredinerror

## Careplanintent

</>

    pub type Careplanintent {
      CareplanintentProposal
      CareplanintentPlan
      CareplanintentOrder
      CareplanintentOption
    }

### Constructors

-     CareplanintentProposal

-     CareplanintentPlan

-     CareplanintentOrder

-     CareplanintentOption

## Careteamstatus

</>

    pub type Careteamstatus {
      CareteamstatusProposed
      CareteamstatusActive
      CareteamstatusSuspended
      CareteamstatusInactive
      CareteamstatusEnteredinerror
    }

### Constructors

-     CareteamstatusProposed

-     CareteamstatusActive

-     CareteamstatusSuspended

-     CareteamstatusInactive

-     CareteamstatusEnteredinerror

## Characteristiccombination

</>

    pub type Characteristiccombination {
      CharacteristiccombinationIntersection
      CharacteristiccombinationUnion
    }

### Constructors

-     CharacteristiccombinationIntersection

-     CharacteristiccombinationUnion

## Chargeitemstatus

</>

    pub type Chargeitemstatus {
      ChargeitemstatusPlanned
      ChargeitemstatusBillable
      ChargeitemstatusNotbillable
      ChargeitemstatusAborted
      ChargeitemstatusBilled
      ChargeitemstatusEnteredinerror
      ChargeitemstatusUnknown
    }

### Constructors

-     ChargeitemstatusPlanned

-     ChargeitemstatusBillable

-     ChargeitemstatusNotbillable

-     ChargeitemstatusAborted

-     ChargeitemstatusBilled

-     ChargeitemstatusEnteredinerror

-     ChargeitemstatusUnknown

## Claimuse

</>

    pub type Claimuse {
      ClaimuseClaim
      ClaimusePreauthorization
      ClaimusePredetermination
    }

### Constructors

-     ClaimuseClaim

-     ClaimusePreauthorization

-     ClaimusePredetermination

## Clinicalimpressionstatus

</>

    pub type Clinicalimpressionstatus {
      ClinicalimpressionstatusInprogress
      ClinicalimpressionstatusCompleted
      ClinicalimpressionstatusEnteredinerror
    }

### Constructors

-     ClinicalimpressionstatusInprogress

-     ClinicalimpressionstatusCompleted

-     ClinicalimpressionstatusEnteredinerror

## Clinicalusedefinitiontype

</>

    pub type Clinicalusedefinitiontype {
      ClinicalusedefinitiontypeIndication
      ClinicalusedefinitiontypeContraindication
      ClinicalusedefinitiontypeInteraction
      ClinicalusedefinitiontypeUndesirableeffect
      ClinicalusedefinitiontypeWarning
    }

### Constructors

-     ClinicalusedefinitiontypeIndication

-     ClinicalusedefinitiontypeContraindication

-     ClinicalusedefinitiontypeInteraction

-     ClinicalusedefinitiontypeUndesirableeffect

-     ClinicalusedefinitiontypeWarning

## Codesearchsupport

</>

    pub type Codesearchsupport {
      CodesearchsupportExplicit
      CodesearchsupportAll
    }

### Constructors

-     CodesearchsupportExplicit

-     CodesearchsupportAll

## Codesystemcontentmode

</>

    pub type Codesystemcontentmode {
      CodesystemcontentmodeNotpresent
      CodesystemcontentmodeExample
      CodesystemcontentmodeFragment
      CodesystemcontentmodeComplete
      CodesystemcontentmodeSupplement
    }

### Constructors

-     CodesystemcontentmodeNotpresent

-     CodesystemcontentmodeExample

-     CodesystemcontentmodeFragment

-     CodesystemcontentmodeComplete

-     CodesystemcontentmodeSupplement

## Codesystemhierarchymeaning

</>

    pub type Codesystemhierarchymeaning {
      CodesystemhierarchymeaningGroupedby
      CodesystemhierarchymeaningIsa
      CodesystemhierarchymeaningPartof
      CodesystemhierarchymeaningClassifiedwith
    }

### Constructors

-     CodesystemhierarchymeaningGroupedby

-     CodesystemhierarchymeaningIsa

-     CodesystemhierarchymeaningPartof

-     CodesystemhierarchymeaningClassifiedwith

## Compartmenttype

</>

    pub type Compartmenttype {
      CompartmenttypePatient
      CompartmenttypeEncounter
      CompartmenttypeRelatedperson
      CompartmenttypePractitioner
      CompartmenttypeDevice
    }

### Constructors

-     CompartmenttypePatient

-     CompartmenttypeEncounter

-     CompartmenttypeRelatedperson

-     CompartmenttypePractitioner

-     CompartmenttypeDevice

## Compositionattestationmode

</>

    pub type Compositionattestationmode {
      CompositionattestationmodePersonal
      CompositionattestationmodeProfessional
      CompositionattestationmodeLegal
      CompositionattestationmodeOfficial
    }

### Constructors

-     CompositionattestationmodePersonal

-     CompositionattestationmodeProfessional

-     CompositionattestationmodeLegal

-     CompositionattestationmodeOfficial

## Compositionstatus

</>

    pub type Compositionstatus {
      CompositionstatusPreliminary
      CompositionstatusFinal
      CompositionstatusAmended
      CompositionstatusEnteredinerror
    }

### Constructors

-     CompositionstatusPreliminary

-     CompositionstatusFinal

-     CompositionstatusAmended

-     CompositionstatusEnteredinerror

## Conceptmapequivalence

</>

    pub type Conceptmapequivalence {
      ConceptmapequivalenceRelatedto
      ConceptmapequivalenceEquivalent
      ConceptmapequivalenceEqual
      ConceptmapequivalenceWider
      ConceptmapequivalenceSubsumes
      ConceptmapequivalenceNarrower
      ConceptmapequivalenceSpecializes
      ConceptmapequivalenceInexact
      ConceptmapequivalenceUnmatched
      ConceptmapequivalenceDisjoint
    }

### Constructors

-     ConceptmapequivalenceRelatedto

-     ConceptmapequivalenceEquivalent

-     ConceptmapequivalenceEqual

-     ConceptmapequivalenceWider

-     ConceptmapequivalenceSubsumes

-     ConceptmapequivalenceNarrower

-     ConceptmapequivalenceSpecializes

-     ConceptmapequivalenceInexact

-     ConceptmapequivalenceUnmatched

-     ConceptmapequivalenceDisjoint

## Conceptmapunmappedmode

</>

    pub type Conceptmapunmappedmode {
      ConceptmapunmappedmodeProvided
      ConceptmapunmappedmodeFixed
      ConceptmapunmappedmodeOthermap
    }

### Constructors

-     ConceptmapunmappedmodeProvided

-     ConceptmapunmappedmodeFixed

-     ConceptmapunmappedmodeOthermap

## Conceptpropertytype

</>

    pub type Conceptpropertytype {
      ConceptpropertytypeCode
      ConceptpropertytypeCoding
      ConceptpropertytypeString
      ConceptpropertytypeInteger
      ConceptpropertytypeBoolean
      ConceptpropertytypeDatetime
      ConceptpropertytypeDecimal
    }

### Constructors

-     ConceptpropertytypeCode

-     ConceptpropertytypeCoding

-     ConceptpropertytypeString

-     ConceptpropertytypeInteger

-     ConceptpropertytypeBoolean

-     ConceptpropertytypeDatetime

-     ConceptpropertytypeDecimal

## Conditionaldeletestatus

</>

    pub type Conditionaldeletestatus {
      ConditionaldeletestatusNotsupported
      ConditionaldeletestatusSingle
      ConditionaldeletestatusMultiple
    }

### Constructors

-     ConditionaldeletestatusNotsupported

-     ConditionaldeletestatusSingle

-     ConditionaldeletestatusMultiple

## Conditionalreadstatus

</>

    pub type Conditionalreadstatus {
      ConditionalreadstatusNotsupported
      ConditionalreadstatusModifiedsince
      ConditionalreadstatusNotmatch
      ConditionalreadstatusFullsupport
    }

### Constructors

-     ConditionalreadstatusNotsupported

-     ConditionalreadstatusModifiedsince

-     ConditionalreadstatusNotmatch

-     ConditionalreadstatusFullsupport

## Consentdatameaning

</>

    pub type Consentdatameaning {
      ConsentdatameaningInstance
      ConsentdatameaningRelated
      ConsentdatameaningDependents
      ConsentdatameaningAuthoredby
    }

### Constructors

-     ConsentdatameaningInstance

-     ConsentdatameaningRelated

-     ConsentdatameaningDependents

-     ConsentdatameaningAuthoredby

## Consentprovisiontype

</>

    pub type Consentprovisiontype {
      ConsentprovisiontypeDeny
      ConsentprovisiontypePermit
    }

### Constructors

-     ConsentprovisiontypeDeny

-     ConsentprovisiontypePermit

## Consentstatecodes

</>

    pub type Consentstatecodes {
      ConsentstatecodesDraft
      ConsentstatecodesProposed
      ConsentstatecodesActive
      ConsentstatecodesRejected
      ConsentstatecodesInactive
      ConsentstatecodesEnteredinerror
    }

### Constructors

-     ConsentstatecodesDraft

-     ConsentstatecodesProposed

-     ConsentstatecodesActive

-     ConsentstatecodesRejected

-     ConsentstatecodesInactive

-     ConsentstatecodesEnteredinerror

## Constraintseverity

</>

    pub type Constraintseverity {
      ConstraintseverityError
      ConstraintseverityWarning
    }

### Constructors

-     ConstraintseverityError

-     ConstraintseverityWarning

## Contactpointsystem

</>

    pub type Contactpointsystem {
      ContactpointsystemPhone
      ContactpointsystemFax
      ContactpointsystemEmail
      ContactpointsystemPager
      ContactpointsystemUrl
      ContactpointsystemSms
      ContactpointsystemOther
    }

### Constructors

-     ContactpointsystemPhone

-     ContactpointsystemFax

-     ContactpointsystemEmail

-     ContactpointsystemPager

-     ContactpointsystemUrl

-     ContactpointsystemSms

-     ContactpointsystemOther

## Contactpointuse

</>

    pub type Contactpointuse {
      ContactpointuseHome
      ContactpointuseWork
      ContactpointuseTemp
      ContactpointuseOld
      ContactpointuseMobile
    }

### Constructors

-     ContactpointuseHome

-     ContactpointuseWork

-     ContactpointuseTemp

-     ContactpointuseOld

-     ContactpointuseMobile

## Contractpublicationstatus

</>

    pub type Contractpublicationstatus {
      ContractpublicationstatusAmended
      ContractpublicationstatusAppended
      ContractpublicationstatusCancelled
      ContractpublicationstatusDisputed
      ContractpublicationstatusEnteredinerror
      ContractpublicationstatusExecutable
      ContractpublicationstatusExecuted
      ContractpublicationstatusNegotiable
      ContractpublicationstatusOffered
      ContractpublicationstatusPolicy
      ContractpublicationstatusRejected
      ContractpublicationstatusRenewed
      ContractpublicationstatusRevoked
      ContractpublicationstatusResolved
      ContractpublicationstatusTerminated
    }

### Constructors

-     ContractpublicationstatusAmended

-     ContractpublicationstatusAppended

-     ContractpublicationstatusCancelled

-     ContractpublicationstatusDisputed

-     ContractpublicationstatusEnteredinerror

-     ContractpublicationstatusExecutable

-     ContractpublicationstatusExecuted

-     ContractpublicationstatusNegotiable

-     ContractpublicationstatusOffered

-     ContractpublicationstatusPolicy

-     ContractpublicationstatusRejected

-     ContractpublicationstatusRenewed

-     ContractpublicationstatusRevoked

-     ContractpublicationstatusResolved

-     ContractpublicationstatusTerminated

## Contractstatus

</>

    pub type Contractstatus {
      ContractstatusAmended
      ContractstatusAppended
      ContractstatusCancelled
      ContractstatusDisputed
      ContractstatusEnteredinerror
      ContractstatusExecutable
      ContractstatusExecuted
      ContractstatusNegotiable
      ContractstatusOffered
      ContractstatusPolicy
      ContractstatusRejected
      ContractstatusRenewed
      ContractstatusRevoked
      ContractstatusResolved
      ContractstatusTerminated
    }

### Constructors

-     ContractstatusAmended

-     ContractstatusAppended

-     ContractstatusCancelled

-     ContractstatusDisputed

-     ContractstatusEnteredinerror

-     ContractstatusExecutable

-     ContractstatusExecuted

-     ContractstatusNegotiable

-     ContractstatusOffered

-     ContractstatusPolicy

-     ContractstatusRejected

-     ContractstatusRenewed

-     ContractstatusRevoked

-     ContractstatusResolved

-     ContractstatusTerminated

## Contributortype

</>

    pub type Contributortype {
      ContributortypeAuthor
      ContributortypeEditor
      ContributortypeReviewer
      ContributortypeEndorser
    }

### Constructors

-     ContributortypeAuthor

-     ContributortypeEditor

-     ContributortypeReviewer

-     ContributortypeEndorser

## Daysofweek

</>

    pub type Daysofweek {
      DaysofweekMon
      DaysofweekTue
      DaysofweekWed
      DaysofweekThu
      DaysofweekFri
      DaysofweekSat
      DaysofweekSun
    }

### Constructors

-     DaysofweekMon

-     DaysofweekTue

-     DaysofweekWed

-     DaysofweekThu

-     DaysofweekFri

-     DaysofweekSat

-     DaysofweekSun

## Definedtypes

</>

    pub type Definedtypes {
      DefinedtypesAddress
      DefinedtypesAge
      DefinedtypesAnnotation
      DefinedtypesAttachment
      DefinedtypesBackboneelement
      DefinedtypesCodeableconcept
      DefinedtypesCodeablereference
      DefinedtypesCoding
      DefinedtypesContactdetail
      DefinedtypesContactpoint
      DefinedtypesContributor
      DefinedtypesCount
      DefinedtypesDatarequirement
      DefinedtypesDistance
      DefinedtypesDosage
      DefinedtypesDuration
      DefinedtypesElement
      DefinedtypesElementdefinition
      DefinedtypesExpression
      DefinedtypesExtension
      DefinedtypesHumanname
      DefinedtypesIdentifier
      DefinedtypesMarketingstatus
      DefinedtypesMeta
      DefinedtypesMoney
      DefinedtypesMoneyquantity
      DefinedtypesNarrative
      DefinedtypesParameterdefinition
      DefinedtypesPeriod
      DefinedtypesPopulation
      DefinedtypesProdcharacteristic
      DefinedtypesProductshelflife
      DefinedtypesQuantity
      DefinedtypesRange
      DefinedtypesRatio
      DefinedtypesRatiorange
      DefinedtypesReference
      DefinedtypesRelatedartifact
      DefinedtypesSampleddata
      DefinedtypesSignature
      DefinedtypesSimplequantity
      DefinedtypesTiming
      DefinedtypesTriggerdefinition
      DefinedtypesUsagecontext
      DefinedtypesBase64binary
      DefinedtypesBoolean
      DefinedtypesCanonical
      DefinedtypesCode
      DefinedtypesDate
      DefinedtypesDatetime
      DefinedtypesDecimal
      DefinedtypesId
      DefinedtypesInstant
      DefinedtypesInteger
      DefinedtypesMarkdown
      DefinedtypesOid
      DefinedtypesPositiveint
      DefinedtypesString
      DefinedtypesTime
      DefinedtypesUnsignedint
      DefinedtypesUri
      DefinedtypesUrl
      DefinedtypesUuid
      DefinedtypesXhtml
      DefinedtypesResource
      DefinedtypesBinary
      DefinedtypesBundle
      DefinedtypesDomainresource
      DefinedtypesAccount
      DefinedtypesActivitydefinition
      DefinedtypesAdministrableproductdefinition
      DefinedtypesAdverseevent
      DefinedtypesAllergyintolerance
      DefinedtypesAppointment
      DefinedtypesAppointmentresponse
      DefinedtypesAuditevent
      DefinedtypesBasic
      DefinedtypesBiologicallyderivedproduct
      DefinedtypesBodystructure
      DefinedtypesCapabilitystatement
      DefinedtypesCareplan
      DefinedtypesCareteam
      DefinedtypesCatalogentry
      DefinedtypesChargeitem
      DefinedtypesChargeitemdefinition
      DefinedtypesCitation
      DefinedtypesClaim
      DefinedtypesClaimresponse
      DefinedtypesClinicalimpression
      DefinedtypesClinicalusedefinition
      DefinedtypesCodesystem
      DefinedtypesCommunication
      DefinedtypesCommunicationrequest
      DefinedtypesCompartmentdefinition
      DefinedtypesComposition
      DefinedtypesConceptmap
      DefinedtypesCondition
      DefinedtypesConsent
      DefinedtypesContract
      DefinedtypesCoverage
      DefinedtypesCoverageeligibilityrequest
      DefinedtypesCoverageeligibilityresponse
      DefinedtypesDetectedissue
      DefinedtypesDevice
      DefinedtypesDevicedefinition
      DefinedtypesDevicemetric
      DefinedtypesDevicerequest
      DefinedtypesDeviceusestatement
      DefinedtypesDiagnosticreport
      DefinedtypesDocumentmanifest
      DefinedtypesDocumentreference
      DefinedtypesEncounter
      DefinedtypesEndpoint
      DefinedtypesEnrollmentrequest
      DefinedtypesEnrollmentresponse
      DefinedtypesEpisodeofcare
      DefinedtypesEventdefinition
      DefinedtypesEvidence
      DefinedtypesEvidencereport
      DefinedtypesEvidencevariable
      DefinedtypesExamplescenario
      DefinedtypesExplanationofbenefit
      DefinedtypesFamilymemberhistory
      DefinedtypesFlag
      DefinedtypesGoal
      DefinedtypesGraphdefinition
      DefinedtypesGroup
      DefinedtypesGuidanceresponse
      DefinedtypesHealthcareservice
      DefinedtypesImagingstudy
      DefinedtypesImmunization
      DefinedtypesImmunizationevaluation
      DefinedtypesImmunizationrecommendation
      DefinedtypesImplementationguide
      DefinedtypesIngredient
      DefinedtypesInsuranceplan
      DefinedtypesInvoice
      DefinedtypesLibrary
      DefinedtypesLinkage
      DefinedtypesList
      DefinedtypesLocation
      DefinedtypesManufactureditemdefinition
      DefinedtypesMeasure
      DefinedtypesMeasurereport
      DefinedtypesMedia
      DefinedtypesMedication
      DefinedtypesMedicationadministration
      DefinedtypesMedicationdispense
      DefinedtypesMedicationknowledge
      DefinedtypesMedicationrequest
      DefinedtypesMedicationstatement
      DefinedtypesMedicinalproductdefinition
      DefinedtypesMessagedefinition
      DefinedtypesMessageheader
      DefinedtypesMolecularsequence
      DefinedtypesNamingsystem
      DefinedtypesNutritionorder
      DefinedtypesNutritionproduct
      DefinedtypesObservation
      DefinedtypesObservationdefinition
      DefinedtypesOperationdefinition
      DefinedtypesOperationoutcome
      DefinedtypesOrganization
      DefinedtypesOrganizationaffiliation
      DefinedtypesPackagedproductdefinition
      DefinedtypesPatient
      DefinedtypesPaymentnotice
      DefinedtypesPaymentreconciliation
      DefinedtypesPerson
      DefinedtypesPlandefinition
      DefinedtypesPractitioner
      DefinedtypesPractitionerrole
      DefinedtypesProcedure
      DefinedtypesProvenance
      DefinedtypesQuestionnaire
      DefinedtypesQuestionnaireresponse
      DefinedtypesRegulatedauthorization
      DefinedtypesRelatedperson
      DefinedtypesRequestgroup
      DefinedtypesResearchdefinition
      DefinedtypesResearchelementdefinition
      DefinedtypesResearchstudy
      DefinedtypesResearchsubject
      DefinedtypesRiskassessment
      DefinedtypesSchedule
      DefinedtypesSearchparameter
      DefinedtypesServicerequest
      DefinedtypesSlot
      DefinedtypesSpecimen
      DefinedtypesSpecimendefinition
      DefinedtypesStructuredefinition
      DefinedtypesStructuremap
      DefinedtypesSubscription
      DefinedtypesSubscriptionstatus
      DefinedtypesSubscriptiontopic
      DefinedtypesSubstance
      DefinedtypesSubstancedefinition
      DefinedtypesSupplydelivery
      DefinedtypesSupplyrequest
      DefinedtypesTask
      DefinedtypesTerminologycapabilities
      DefinedtypesTestreport
      DefinedtypesTestscript
      DefinedtypesValueset
      DefinedtypesVerificationresult
      DefinedtypesVisionprescription
      DefinedtypesParameters
    }

### Constructors

-     DefinedtypesAddress

-     DefinedtypesAge

-     DefinedtypesAnnotation

-     DefinedtypesAttachment

-     DefinedtypesBackboneelement

-     DefinedtypesCodeableconcept

-     DefinedtypesCodeablereference

-     DefinedtypesCoding

-     DefinedtypesContactdetail

-     DefinedtypesContactpoint

-     DefinedtypesContributor

-     DefinedtypesCount

-     DefinedtypesDatarequirement

-     DefinedtypesDistance

-     DefinedtypesDosage

-     DefinedtypesDuration

-     DefinedtypesElement

-     DefinedtypesElementdefinition

-     DefinedtypesExpression

-     DefinedtypesExtension

-     DefinedtypesHumanname

-     DefinedtypesIdentifier

-     DefinedtypesMarketingstatus

-     DefinedtypesMeta

-     DefinedtypesMoney

-     DefinedtypesMoneyquantity

-     DefinedtypesNarrative

-     DefinedtypesParameterdefinition

-     DefinedtypesPeriod

-     DefinedtypesPopulation

-     DefinedtypesProdcharacteristic

-     DefinedtypesProductshelflife

-     DefinedtypesQuantity

-     DefinedtypesRange

-     DefinedtypesRatio

-     DefinedtypesRatiorange

-     DefinedtypesReference

-     DefinedtypesRelatedartifact

-     DefinedtypesSampleddata

-     DefinedtypesSignature

-     DefinedtypesSimplequantity

-     DefinedtypesTiming

-     DefinedtypesTriggerdefinition

-     DefinedtypesUsagecontext

-     DefinedtypesBase64binary

-     DefinedtypesBoolean

-     DefinedtypesCanonical

-     DefinedtypesCode

-     DefinedtypesDate

-     DefinedtypesDatetime

-     DefinedtypesDecimal

-     DefinedtypesId

-     DefinedtypesInstant

-     DefinedtypesInteger

-     DefinedtypesMarkdown

-     DefinedtypesOid

-     DefinedtypesPositiveint

-     DefinedtypesString

-     DefinedtypesTime

-     DefinedtypesUnsignedint

-     DefinedtypesUri

-     DefinedtypesUrl

-     DefinedtypesUuid

-     DefinedtypesXhtml

-     DefinedtypesResource

-     DefinedtypesBinary

-     DefinedtypesBundle

-     DefinedtypesDomainresource

-     DefinedtypesAccount

-     DefinedtypesActivitydefinition

-     DefinedtypesAdministrableproductdefinition

-     DefinedtypesAdverseevent

-     DefinedtypesAllergyintolerance

-     DefinedtypesAppointment

-     DefinedtypesAppointmentresponse

-     DefinedtypesAuditevent

-     DefinedtypesBasic

-     DefinedtypesBiologicallyderivedproduct

-     DefinedtypesBodystructure

-     DefinedtypesCapabilitystatement

-     DefinedtypesCareplan

-     DefinedtypesCareteam

-     DefinedtypesCatalogentry

-     DefinedtypesChargeitem

-     DefinedtypesChargeitemdefinition

-     DefinedtypesCitation

-     DefinedtypesClaim

-     DefinedtypesClaimresponse

-     DefinedtypesClinicalimpression

-     DefinedtypesClinicalusedefinition

-     DefinedtypesCodesystem

-     DefinedtypesCommunication

-     DefinedtypesCommunicationrequest

-     DefinedtypesCompartmentdefinition

-     DefinedtypesComposition

-     DefinedtypesConceptmap

-     DefinedtypesCondition

-     DefinedtypesConsent

-     DefinedtypesContract

-     DefinedtypesCoverage

-     DefinedtypesCoverageeligibilityrequest

-     DefinedtypesCoverageeligibilityresponse

-     DefinedtypesDetectedissue

-     DefinedtypesDevice

-     DefinedtypesDevicedefinition

-     DefinedtypesDevicemetric

-     DefinedtypesDevicerequest

-     DefinedtypesDeviceusestatement

-     DefinedtypesDiagnosticreport

-     DefinedtypesDocumentmanifest

-     DefinedtypesDocumentreference

-     DefinedtypesEncounter

-     DefinedtypesEndpoint

-     DefinedtypesEnrollmentrequest

-     DefinedtypesEnrollmentresponse

-     DefinedtypesEpisodeofcare

-     DefinedtypesEventdefinition

-     DefinedtypesEvidence

-     DefinedtypesEvidencereport

-     DefinedtypesEvidencevariable

-     DefinedtypesExamplescenario

-     DefinedtypesExplanationofbenefit

-     DefinedtypesFamilymemberhistory

-     DefinedtypesFlag

-     DefinedtypesGoal

-     DefinedtypesGraphdefinition

-     DefinedtypesGroup

-     DefinedtypesGuidanceresponse

-     DefinedtypesHealthcareservice

-     DefinedtypesImagingstudy

-     DefinedtypesImmunization

-     DefinedtypesImmunizationevaluation

-     DefinedtypesImmunizationrecommendation

-     DefinedtypesImplementationguide

-     DefinedtypesIngredient

-     DefinedtypesInsuranceplan

-     DefinedtypesInvoice

-     DefinedtypesLibrary

-     DefinedtypesLinkage

-     DefinedtypesList

-     DefinedtypesLocation

-     DefinedtypesManufactureditemdefinition

-     DefinedtypesMeasure

-     DefinedtypesMeasurereport

-     DefinedtypesMedia

-     DefinedtypesMedication

-     DefinedtypesMedicationadministration

-     DefinedtypesMedicationdispense

-     DefinedtypesMedicationknowledge

-     DefinedtypesMedicationrequest

-     DefinedtypesMedicationstatement

-     DefinedtypesMedicinalproductdefinition

-     DefinedtypesMessagedefinition

-     DefinedtypesMessageheader

-     DefinedtypesMolecularsequence

-     DefinedtypesNamingsystem

-     DefinedtypesNutritionorder

-     DefinedtypesNutritionproduct

-     DefinedtypesObservation

-     DefinedtypesObservationdefinition

-     DefinedtypesOperationdefinition

-     DefinedtypesOperationoutcome

-     DefinedtypesOrganization

-     DefinedtypesOrganizationaffiliation

-     DefinedtypesPackagedproductdefinition

-     DefinedtypesPatient

-     DefinedtypesPaymentnotice

-     DefinedtypesPaymentreconciliation

-     DefinedtypesPerson

-     DefinedtypesPlandefinition

-     DefinedtypesPractitioner

-     DefinedtypesPractitionerrole

-     DefinedtypesProcedure

-     DefinedtypesProvenance

-     DefinedtypesQuestionnaire

-     DefinedtypesQuestionnaireresponse

-     DefinedtypesRegulatedauthorization

-     DefinedtypesRelatedperson

-     DefinedtypesRequestgroup

-     DefinedtypesResearchdefinition

-     DefinedtypesResearchelementdefinition

-     DefinedtypesResearchstudy

-     DefinedtypesResearchsubject

-     DefinedtypesRiskassessment

-     DefinedtypesSchedule

-     DefinedtypesSearchparameter

-     DefinedtypesServicerequest

-     DefinedtypesSlot

-     DefinedtypesSpecimen

-     DefinedtypesSpecimendefinition

-     DefinedtypesStructuredefinition

-     DefinedtypesStructuremap

-     DefinedtypesSubscription

-     DefinedtypesSubscriptionstatus

-     DefinedtypesSubscriptiontopic

-     DefinedtypesSubstance

-     DefinedtypesSubstancedefinition

-     DefinedtypesSupplydelivery

-     DefinedtypesSupplyrequest

-     DefinedtypesTask

-     DefinedtypesTerminologycapabilities

-     DefinedtypesTestreport

-     DefinedtypesTestscript

-     DefinedtypesValueset

-     DefinedtypesVerificationresult

-     DefinedtypesVisionprescription

-     DefinedtypesParameters

## Detectedissueseverity

</>

    pub type Detectedissueseverity {
      DetectedissueseverityHigh
      DetectedissueseverityModerate
      DetectedissueseverityLow
    }

### Constructors

-     DetectedissueseverityHigh

-     DetectedissueseverityModerate

-     DetectedissueseverityLow

## Devicenametype

</>

    pub type Devicenametype {
      DevicenametypeUdilabelname
      DevicenametypeUserfriendlyname
      DevicenametypePatientreportedname
      DevicenametypeManufacturername
      DevicenametypeModelname
      DevicenametypeOther
    }

### Constructors

-     DevicenametypeUdilabelname

-     DevicenametypeUserfriendlyname

-     DevicenametypePatientreportedname

-     DevicenametypeManufacturername

-     DevicenametypeModelname

-     DevicenametypeOther

## Devicestatementstatus

</>

    pub type Devicestatementstatus {
      DevicestatementstatusActive
      DevicestatementstatusCompleted
      DevicestatementstatusEnteredinerror
      DevicestatementstatusIntended
      DevicestatementstatusStopped
      DevicestatementstatusOnhold
    }

### Constructors

-     DevicestatementstatusActive

-     DevicestatementstatusCompleted

-     DevicestatementstatusEnteredinerror

-     DevicestatementstatusIntended

-     DevicestatementstatusStopped

-     DevicestatementstatusOnhold

## Devicestatus

</>

    pub type Devicestatus {
      DevicestatusActive
      DevicestatusInactive
      DevicestatusEnteredinerror
      DevicestatusUnknown
    }

### Constructors

-     DevicestatusActive

-     DevicestatusInactive

-     DevicestatusEnteredinerror

-     DevicestatusUnknown

## Diagnosticreportstatus

</>

    pub type Diagnosticreportstatus {
      DiagnosticreportstatusRegistered
      DiagnosticreportstatusPartial
      DiagnosticreportstatusPreliminary
      DiagnosticreportstatusFinal
      DiagnosticreportstatusAmended
      DiagnosticreportstatusCorrected
      DiagnosticreportstatusAppended
      DiagnosticreportstatusCancelled
      DiagnosticreportstatusEnteredinerror
      DiagnosticreportstatusUnknown
    }

### Constructors

-     DiagnosticreportstatusRegistered

-     DiagnosticreportstatusPartial

-     DiagnosticreportstatusPreliminary

-     DiagnosticreportstatusFinal

-     DiagnosticreportstatusAmended

-     DiagnosticreportstatusCorrected

-     DiagnosticreportstatusAppended

-     DiagnosticreportstatusCancelled

-     DiagnosticreportstatusEnteredinerror

-     DiagnosticreportstatusUnknown

## Discriminatortype

</>

    pub type Discriminatortype {
      DiscriminatortypeValue
      DiscriminatortypeExists
      DiscriminatortypePattern
      DiscriminatortypeType
      DiscriminatortypeProfile
    }

### Constructors

-     DiscriminatortypeValue

-     DiscriminatortypeExists

-     DiscriminatortypePattern

-     DiscriminatortypeType

-     DiscriminatortypeProfile

## Documentmode

</>

    pub type Documentmode {
      DocumentmodeProducer
      DocumentmodeConsumer
    }

### Constructors

-     DocumentmodeProducer

-     DocumentmodeConsumer

## Documentreferencestatus

</>

    pub type Documentreferencestatus {
      DocumentreferencestatusCurrent
      DocumentreferencestatusSuperseded
      DocumentreferencestatusEnteredinerror
    }

### Constructors

-     DocumentreferencestatusCurrent

-     DocumentreferencestatusSuperseded

-     DocumentreferencestatusEnteredinerror

## Documentrelationshiptype

</>

    pub type Documentrelationshiptype {
      DocumentrelationshiptypeReplaces
      DocumentrelationshiptypeTransforms
      DocumentrelationshiptypeSigns
      DocumentrelationshiptypeAppends
    }

### Constructors

-     DocumentrelationshiptypeReplaces

-     DocumentrelationshiptypeTransforms

-     DocumentrelationshiptypeSigns

-     DocumentrelationshiptypeAppends

## Eligibilityrequestpurpose

</>

    pub type Eligibilityrequestpurpose {
      EligibilityrequestpurposeAuthrequirements
      EligibilityrequestpurposeBenefits
      EligibilityrequestpurposeDiscovery
      EligibilityrequestpurposeValidation
    }

### Constructors

-     EligibilityrequestpurposeAuthrequirements

-     EligibilityrequestpurposeBenefits

-     EligibilityrequestpurposeDiscovery

-     EligibilityrequestpurposeValidation

## Eligibilityresponsepurpose

</>

    pub type Eligibilityresponsepurpose {
      EligibilityresponsepurposeAuthrequirements
      EligibilityresponsepurposeBenefits
      EligibilityresponsepurposeDiscovery
      EligibilityresponsepurposeValidation
    }

### Constructors

-     EligibilityresponsepurposeAuthrequirements

-     EligibilityresponsepurposeBenefits

-     EligibilityresponsepurposeDiscovery

-     EligibilityresponsepurposeValidation

## Encounterlocationstatus

</>

    pub type Encounterlocationstatus {
      EncounterlocationstatusPlanned
      EncounterlocationstatusActive
      EncounterlocationstatusReserved
      EncounterlocationstatusCompleted
    }

### Constructors

-     EncounterlocationstatusPlanned

-     EncounterlocationstatusActive

-     EncounterlocationstatusReserved

-     EncounterlocationstatusCompleted

## Encounterstatus

</>

    pub type Encounterstatus {
      EncounterstatusPlanned
      EncounterstatusArrived
      EncounterstatusTriaged
      EncounterstatusInprogress
      EncounterstatusOnleave
      EncounterstatusFinished
      EncounterstatusCancelled
      EncounterstatusEnteredinerror
      EncounterstatusUnknown
    }

### Constructors

-     EncounterstatusPlanned

-     EncounterstatusArrived

-     EncounterstatusTriaged

-     EncounterstatusInprogress

-     EncounterstatusOnleave

-     EncounterstatusFinished

-     EncounterstatusCancelled

-     EncounterstatusEnteredinerror

-     EncounterstatusUnknown

## Endpointstatus

</>

    pub type Endpointstatus {
      EndpointstatusActive
      EndpointstatusSuspended
      EndpointstatusError
      EndpointstatusOff
      EndpointstatusEnteredinerror
      EndpointstatusTest
    }

### Constructors

-     EndpointstatusActive

-     EndpointstatusSuspended

-     EndpointstatusError

-     EndpointstatusOff

-     EndpointstatusEnteredinerror

-     EndpointstatusTest

## Episodeofcarestatus

</>

    pub type Episodeofcarestatus {
      EpisodeofcarestatusPlanned
      EpisodeofcarestatusWaitlist
      EpisodeofcarestatusActive
      EpisodeofcarestatusOnhold
      EpisodeofcarestatusFinished
      EpisodeofcarestatusCancelled
      EpisodeofcarestatusEnteredinerror
    }

### Constructors

-     EpisodeofcarestatusPlanned

-     EpisodeofcarestatusWaitlist

-     EpisodeofcarestatusActive

-     EpisodeofcarestatusOnhold

-     EpisodeofcarestatusFinished

-     EpisodeofcarestatusCancelled

-     EpisodeofcarestatusEnteredinerror

## Eventcapabilitymode

</>

    pub type Eventcapabilitymode {
      EventcapabilitymodeSender
      EventcapabilitymodeReceiver
    }

### Constructors

-     EventcapabilitymodeSender

-     EventcapabilitymodeReceiver

## Eventstatus

</>

    pub type Eventstatus {
      EventstatusPreparation
      EventstatusInprogress
      EventstatusNotdone
      EventstatusOnhold
      EventstatusStopped
      EventstatusCompleted
      EventstatusEnteredinerror
      EventstatusUnknown
    }

### Constructors

-     EventstatusPreparation

-     EventstatusInprogress

-     EventstatusNotdone

-     EventstatusOnhold

-     EventstatusStopped

-     EventstatusCompleted

-     EventstatusEnteredinerror

-     EventstatusUnknown

## Eventtiming

</>

    pub type Eventtiming {
      EventtimingMorn
      EventtimingMornearly
      EventtimingMornlate
      EventtimingNoon
      EventtimingAft
      EventtimingAftearly
      EventtimingAftlate
      EventtimingEve
      EventtimingEveearly
      EventtimingEvelate
      EventtimingNight
      EventtimingPhs
      EventtimingHs
      EventtimingWake
      EventtimingC
      EventtimingCm
      EventtimingCd
      EventtimingCv
      EventtimingAc
      EventtimingAcm
      EventtimingAcd
      EventtimingAcv
      EventtimingPc
      EventtimingPcm
      EventtimingPcd
      EventtimingPcv
    }

### Constructors

-     EventtimingMorn

-     EventtimingMornearly

-     EventtimingMornlate

-     EventtimingNoon

-     EventtimingAft

-     EventtimingAftearly

-     EventtimingAftlate

-     EventtimingEve

-     EventtimingEveearly

-     EventtimingEvelate

-     EventtimingNight

-     EventtimingPhs

-     EventtimingHs

-     EventtimingWake

-     EventtimingC

-     EventtimingCm

-     EventtimingCd

-     EventtimingCv

-     EventtimingAc

-     EventtimingAcm

-     EventtimingAcd

-     EventtimingAcv

-     EventtimingPc

-     EventtimingPcm

-     EventtimingPcd

-     EventtimingPcv

## Examplescenarioactortype

</>

    pub type Examplescenarioactortype {
      ExamplescenarioactortypePerson
      ExamplescenarioactortypeEntity
    }

### Constructors

-     ExamplescenarioactortypePerson

-     ExamplescenarioactortypeEntity

## Explanationofbenefitstatus

</>

    pub type Explanationofbenefitstatus {
      ExplanationofbenefitstatusActive
      ExplanationofbenefitstatusCancelled
      ExplanationofbenefitstatusDraft
      ExplanationofbenefitstatusEnteredinerror
    }

### Constructors

-     ExplanationofbenefitstatusActive

-     ExplanationofbenefitstatusCancelled

-     ExplanationofbenefitstatusDraft

-     ExplanationofbenefitstatusEnteredinerror

## Extensioncontexttype

</>

    pub type Extensioncontexttype {
      ExtensioncontexttypeFhirpath
      ExtensioncontexttypeElement
      ExtensioncontexttypeExtension
    }

### Constructors

-     ExtensioncontexttypeFhirpath

-     ExtensioncontexttypeElement

-     ExtensioncontexttypeExtension

## Fhirversion

</>

    pub type Fhirversion {
      Fhirversion001
      Fhirversion005
      Fhirversion006
      Fhirversion011
      Fhirversion0080
      Fhirversion0081
      Fhirversion0082
      Fhirversion040
      Fhirversion050
      Fhirversion100
      Fhirversion101
      Fhirversion102
      Fhirversion110
      Fhirversion140
      Fhirversion160
      Fhirversion180
      Fhirversion300
      Fhirversion301
      Fhirversion302
      Fhirversion330
      Fhirversion350
      Fhirversion400
      Fhirversion401
      Fhirversion410
      Fhirversion430cibuild
      Fhirversion430snapshot1
      Fhirversion430
    }

### Constructors

-     Fhirversion001

-     Fhirversion005

-     Fhirversion006

-     Fhirversion011

-     Fhirversion0080

-     Fhirversion0081

-     Fhirversion0082

-     Fhirversion040

-     Fhirversion050

-     Fhirversion100

-     Fhirversion101

-     Fhirversion102

-     Fhirversion110

-     Fhirversion140

-     Fhirversion160

-     Fhirversion180

-     Fhirversion300

-     Fhirversion301

-     Fhirversion302

-     Fhirversion330

-     Fhirversion350

-     Fhirversion400

-     Fhirversion401

-     Fhirversion410

-     Fhirversion430cibuild

-     Fhirversion430snapshot1

-     Fhirversion430

## Filteroperator

</>

    pub type Filteroperator {
      FilteroperatorEqual
      FilteroperatorIsa
      FilteroperatorDescendentof
      FilteroperatorIsnota
      FilteroperatorRegex
      FilteroperatorIn
      FilteroperatorNotin
      FilteroperatorGeneralizes
      FilteroperatorExists
    }

### Constructors

-     FilteroperatorEqual

-     FilteroperatorIsa

-     FilteroperatorDescendentof

-     FilteroperatorIsnota

-     FilteroperatorRegex

-     FilteroperatorIn

-     FilteroperatorNotin

-     FilteroperatorGeneralizes

-     FilteroperatorExists

## Flagstatus

</>

    pub type Flagstatus {
      FlagstatusActive
      FlagstatusInactive
      FlagstatusEnteredinerror
    }

### Constructors

-     FlagstatusActive

-     FlagstatusInactive

-     FlagstatusEnteredinerror

## Fmstatus

</>

    pub type Fmstatus {
      FmstatusActive
      FmstatusCancelled
      FmstatusDraft
      FmstatusEnteredinerror
    }

### Constructors

-     FmstatusActive

-     FmstatusCancelled

-     FmstatusDraft

-     FmstatusEnteredinerror

## Goalstatus

</>

    pub type Goalstatus {
      GoalstatusProposed
      GoalstatusPlanned
      GoalstatusAccepted
      GoalstatusActive
      GoalstatusOnhold
      GoalstatusCompleted
      GoalstatusCancelled
      GoalstatusEnteredinerror
      GoalstatusRejected
    }

### Constructors

-     GoalstatusProposed

-     GoalstatusPlanned

-     GoalstatusAccepted

-     GoalstatusActive

-     GoalstatusOnhold

-     GoalstatusCompleted

-     GoalstatusCancelled

-     GoalstatusEnteredinerror

-     GoalstatusRejected

## Graphcompartmentrule

</>

    pub type Graphcompartmentrule {
      GraphcompartmentruleIdentical
      GraphcompartmentruleMatching
      GraphcompartmentruleDifferent
      GraphcompartmentruleCustom
    }

### Constructors

-     GraphcompartmentruleIdentical

-     GraphcompartmentruleMatching

-     GraphcompartmentruleDifferent

-     GraphcompartmentruleCustom

## Graphcompartmentuse

</>

    pub type Graphcompartmentuse {
      GraphcompartmentuseCondition
      GraphcompartmentuseRequirement
    }

### Constructors

-     GraphcompartmentuseCondition

-     GraphcompartmentuseRequirement

## Groupmeasure

</>

    pub type Groupmeasure {
      GroupmeasureMean
      GroupmeasureMedian
      GroupmeasureMeanofmean
      GroupmeasureMeanofmedian
      GroupmeasureMedianofmean
      GroupmeasureMedianofmedian
    }

### Constructors

-     GroupmeasureMean

-     GroupmeasureMedian

-     GroupmeasureMeanofmean

-     GroupmeasureMeanofmedian

-     GroupmeasureMedianofmean

-     GroupmeasureMedianofmedian

## Grouptype

</>

    pub type Grouptype {
      GrouptypePerson
      GrouptypeAnimal
      GrouptypePractitioner
      GrouptypeDevice
      GrouptypeMedication
      GrouptypeSubstance
    }

### Constructors

-     GrouptypePerson

-     GrouptypeAnimal

-     GrouptypePractitioner

-     GrouptypeDevice

-     GrouptypeMedication

-     GrouptypeSubstance

## Guidanceresponsestatus

</>

    pub type Guidanceresponsestatus {
      GuidanceresponsestatusSuccess
      GuidanceresponsestatusDatarequested
      GuidanceresponsestatusDatarequired
      GuidanceresponsestatusInprogress
      GuidanceresponsestatusFailure
      GuidanceresponsestatusEnteredinerror
    }

### Constructors

-     GuidanceresponsestatusSuccess

-     GuidanceresponsestatusDatarequested

-     GuidanceresponsestatusDatarequired

-     GuidanceresponsestatusInprogress

-     GuidanceresponsestatusFailure

-     GuidanceresponsestatusEnteredinerror

## Guidepagegeneration

</>

    pub type Guidepagegeneration {
      GuidepagegenerationHtml
      GuidepagegenerationMarkdown
      GuidepagegenerationXml
      GuidepagegenerationGenerated
    }

### Constructors

-     GuidepagegenerationHtml

-     GuidepagegenerationMarkdown

-     GuidepagegenerationXml

-     GuidepagegenerationGenerated

## Guideparametercode

</>

    pub type Guideparametercode {
      GuideparametercodeApply
      GuideparametercodePathresource
      GuideparametercodePathpages
      GuideparametercodePathtxcache
      GuideparametercodeExpansionparameter
      GuideparametercodeRulebrokenlinks
      GuideparametercodeGeneratexml
      GuideparametercodeGeneratejson
      GuideparametercodeGenerateturtle
      GuideparametercodeHtmltemplate
    }

### Constructors

-     GuideparametercodeApply

-     GuideparametercodePathresource

-     GuideparametercodePathpages

-     GuideparametercodePathtxcache

-     GuideparametercodeExpansionparameter

-     GuideparametercodeRulebrokenlinks

-     GuideparametercodeGeneratexml

-     GuideparametercodeGeneratejson

-     GuideparametercodeGenerateturtle

-     GuideparametercodeHtmltemplate

## Historystatus

</>

    pub type Historystatus {
      HistorystatusPartial
      HistorystatusCompleted
      HistorystatusEnteredinerror
      HistorystatusHealthunknown
    }

### Constructors

-     HistorystatusPartial

-     HistorystatusCompleted

-     HistorystatusEnteredinerror

-     HistorystatusHealthunknown

## Httpoperations

</>

    pub type Httpoperations {
      HttpoperationsDelete
      HttpoperationsGet
      HttpoperationsOptions
      HttpoperationsPatch
      HttpoperationsPost
      HttpoperationsPut
      HttpoperationsHead
    }

### Constructors

-     HttpoperationsDelete

-     HttpoperationsGet

-     HttpoperationsOptions

-     HttpoperationsPatch

-     HttpoperationsPost

-     HttpoperationsPut

-     HttpoperationsHead

## Httpverb

</>

    pub type Httpverb {
      HttpverbGet
      HttpverbHead
      HttpverbPost
      HttpverbPut
      HttpverbDelete
      HttpverbPatch
    }

### Constructors

-     HttpverbGet

-     HttpverbHead

-     HttpverbPost

-     HttpverbPut

-     HttpverbDelete

-     HttpverbPatch

## Identifieruse

</>

    pub type Identifieruse {
      IdentifieruseUsual
      IdentifieruseOfficial
      IdentifieruseTemp
      IdentifieruseSecondary
      IdentifieruseOld
    }

### Constructors

-     IdentifieruseUsual

-     IdentifieruseOfficial

-     IdentifieruseTemp

-     IdentifieruseSecondary

-     IdentifieruseOld

## Identityassurancelevel

</>

    pub type Identityassurancelevel {
      IdentityassurancelevelLevel1
      IdentityassurancelevelLevel2
      IdentityassurancelevelLevel3
      IdentityassurancelevelLevel4
    }

### Constructors

-     IdentityassurancelevelLevel1

-     IdentityassurancelevelLevel2

-     IdentityassurancelevelLevel3

-     IdentityassurancelevelLevel4

## Imagingstudystatus

</>

    pub type Imagingstudystatus {
      ImagingstudystatusRegistered
      ImagingstudystatusAvailable
      ImagingstudystatusCancelled
      ImagingstudystatusEnteredinerror
      ImagingstudystatusUnknown
    }

### Constructors

-     ImagingstudystatusRegistered

-     ImagingstudystatusAvailable

-     ImagingstudystatusCancelled

-     ImagingstudystatusEnteredinerror

-     ImagingstudystatusUnknown

## Immunizationevaluationstatus

</>

    pub type Immunizationevaluationstatus {
      ImmunizationevaluationstatusCompleted
      ImmunizationevaluationstatusEnteredinerror
    }

### Constructors

-     ImmunizationevaluationstatusCompleted

-     ImmunizationevaluationstatusEnteredinerror

## Immunizationstatus

</>

    pub type Immunizationstatus {
      ImmunizationstatusCompleted
      ImmunizationstatusEnteredinerror
      ImmunizationstatusNotdone
    }

### Constructors

-     ImmunizationstatusCompleted

-     ImmunizationstatusEnteredinerror

-     ImmunizationstatusNotdone

## Ingredientmanufacturerrole

</>

    pub type Ingredientmanufacturerrole {
      IngredientmanufacturerroleAllowed
      IngredientmanufacturerrolePossible
      IngredientmanufacturerroleActual
    }

### Constructors

-     IngredientmanufacturerroleAllowed

-     IngredientmanufacturerrolePossible

-     IngredientmanufacturerroleActual

## Interactiontrigger

</>

    pub type Interactiontrigger {
      InteractiontriggerCreate
      InteractiontriggerUpdate
      InteractiontriggerDelete
    }

### Constructors

-     InteractiontriggerCreate

-     InteractiontriggerUpdate

-     InteractiontriggerDelete

## Invoicepricecomponenttype

</>

    pub type Invoicepricecomponenttype {
      InvoicepricecomponenttypeBase
      InvoicepricecomponenttypeSurcharge
      InvoicepricecomponenttypeDeduction
      InvoicepricecomponenttypeDiscount
      InvoicepricecomponenttypeTax
      InvoicepricecomponenttypeInformational
    }

### Constructors

-     InvoicepricecomponenttypeBase

-     InvoicepricecomponenttypeSurcharge

-     InvoicepricecomponenttypeDeduction

-     InvoicepricecomponenttypeDiscount

-     InvoicepricecomponenttypeTax

-     InvoicepricecomponenttypeInformational

## Invoicestatus

</>

    pub type Invoicestatus {
      InvoicestatusDraft
      InvoicestatusIssued
      InvoicestatusBalanced
      InvoicestatusCancelled
      InvoicestatusEnteredinerror
    }

### Constructors

-     InvoicestatusDraft

-     InvoicestatusIssued

-     InvoicestatusBalanced

-     InvoicestatusCancelled

-     InvoicestatusEnteredinerror

## Issueseverity

</>

    pub type Issueseverity {
      IssueseverityFatal
      IssueseverityError
      IssueseverityWarning
      IssueseverityInformation
    }

### Constructors

-     IssueseverityFatal

-     IssueseverityError

-     IssueseverityWarning

-     IssueseverityInformation

## Issuetype

</>

    pub type Issuetype {
      IssuetypeInvalid
      IssuetypeStructure
      IssuetypeRequired
      IssuetypeValue
      IssuetypeInvariant
      IssuetypeSecurity
      IssuetypeLogin
      IssuetypeUnknown
      IssuetypeExpired
      IssuetypeForbidden
      IssuetypeSuppressed
      IssuetypeProcessing
      IssuetypeNotsupported
      IssuetypeDuplicate
      IssuetypeMultiplematches
      IssuetypeNotfound
      IssuetypeDeleted
      IssuetypeToolong
      IssuetypeCodeinvalid
      IssuetypeExtension
      IssuetypeToocostly
      IssuetypeBusinessrule
      IssuetypeConflict
      IssuetypeTransient
      IssuetypeLockerror
      IssuetypeNostore
      IssuetypeException
      IssuetypeTimeout
      IssuetypeIncomplete
      IssuetypeThrottled
      IssuetypeInformational
    }

### Constructors

-     IssuetypeInvalid

-     IssuetypeStructure

-     IssuetypeRequired

-     IssuetypeValue

-     IssuetypeInvariant

-     IssuetypeSecurity

-     IssuetypeLogin

-     IssuetypeUnknown

-     IssuetypeExpired

-     IssuetypeForbidden

-     IssuetypeSuppressed

-     IssuetypeProcessing

-     IssuetypeNotsupported

-     IssuetypeDuplicate

-     IssuetypeMultiplematches

-     IssuetypeNotfound

-     IssuetypeDeleted

-     IssuetypeToolong

-     IssuetypeCodeinvalid

-     IssuetypeExtension

-     IssuetypeToocostly

-     IssuetypeBusinessrule

-     IssuetypeConflict

-     IssuetypeTransient

-     IssuetypeLockerror

-     IssuetypeNostore

-     IssuetypeException

-     IssuetypeTimeout

-     IssuetypeIncomplete

-     IssuetypeThrottled

-     IssuetypeInformational

## Itemtype

</>

    pub type Itemtype {
      ItemtypeGroup
      ItemtypeDisplay
      ItemtypeQuestion
      ItemtypeBoolean
      ItemtypeDecimal
      ItemtypeInteger
      ItemtypeDate
      ItemtypeDatetime
      ItemtypeTime
      ItemtypeString
      ItemtypeText
      ItemtypeUrl
      ItemtypeChoice
      ItemtypeOpenchoice
      ItemtypeAttachment
      ItemtypeReference
      ItemtypeQuantity
    }

### Constructors

-     ItemtypeGroup

-     ItemtypeDisplay

-     ItemtypeQuestion

-     ItemtypeBoolean

-     ItemtypeDecimal

-     ItemtypeInteger

-     ItemtypeDate

-     ItemtypeDatetime

-     ItemtypeTime

-     ItemtypeString

-     ItemtypeText

-     ItemtypeUrl

-     ItemtypeChoice

-     ItemtypeOpenchoice

-     ItemtypeAttachment

-     ItemtypeReference

-     ItemtypeQuantity

## Linkagetype

</>

    pub type Linkagetype {
      LinkagetypeSource
      LinkagetypeAlternate
      LinkagetypeHistorical
    }

### Constructors

-     LinkagetypeSource

-     LinkagetypeAlternate

-     LinkagetypeHistorical

## Linktype

</>

    pub type Linktype {
      LinktypeReplacedby
      LinktypeReplaces
      LinktypeRefer
      LinktypeSeealso
    }

### Constructors

-     LinktypeReplacedby

-     LinktypeReplaces

-     LinktypeRefer

-     LinktypeSeealso

## Listmode

</>

    pub type Listmode {
      ListmodeWorking
      ListmodeSnapshot
      ListmodeChanges
    }

### Constructors

-     ListmodeWorking

-     ListmodeSnapshot

-     ListmodeChanges

## Liststatus

</>

    pub type Liststatus {
      ListstatusCurrent
      ListstatusRetired
      ListstatusEnteredinerror
    }

### Constructors

-     ListstatusCurrent

-     ListstatusRetired

-     ListstatusEnteredinerror

## Locationmode

</>

    pub type Locationmode {
      LocationmodeInstance
      LocationmodeKind
    }

### Constructors

-     LocationmodeInstance

-     LocationmodeKind

## Locationstatus

</>

    pub type Locationstatus {
      LocationstatusActive
      LocationstatusSuspended
      LocationstatusInactive
    }

### Constructors

-     LocationstatusActive

-     LocationstatusSuspended

-     LocationstatusInactive

## Mapcontexttype

</>

    pub type Mapcontexttype {
      MapcontexttypeType
      MapcontexttypeVariable
    }

### Constructors

-     MapcontexttypeType

-     MapcontexttypeVariable

## Mapgrouptypemode

</>

    pub type Mapgrouptypemode {
      MapgrouptypemodeNone
      MapgrouptypemodeTypes
      MapgrouptypemodeTypeandtypes
    }

### Constructors

-     MapgrouptypemodeNone

-     MapgrouptypemodeTypes

-     MapgrouptypemodeTypeandtypes

## Mapinputmode

</>

    pub type Mapinputmode {
      MapinputmodeSource
      MapinputmodeTarget
    }

### Constructors

-     MapinputmodeSource

-     MapinputmodeTarget

## Mapmodelmode

</>

    pub type Mapmodelmode {
      MapmodelmodeSource
      MapmodelmodeQueried
      MapmodelmodeTarget
      MapmodelmodeProduced
    }

### Constructors

-     MapmodelmodeSource

-     MapmodelmodeQueried

-     MapmodelmodeTarget

-     MapmodelmodeProduced

## Mapsourcelistmode

</>

    pub type Mapsourcelistmode {
      MapsourcelistmodeFirst
      MapsourcelistmodeNotfirst
      MapsourcelistmodeLast
      MapsourcelistmodeNotlast
      MapsourcelistmodeOnlyone
    }

### Constructors

-     MapsourcelistmodeFirst

-     MapsourcelistmodeNotfirst

-     MapsourcelistmodeLast

-     MapsourcelistmodeNotlast

-     MapsourcelistmodeOnlyone

## Maptargetlistmode

</>

    pub type Maptargetlistmode {
      MaptargetlistmodeFirst
      MaptargetlistmodeShare
      MaptargetlistmodeLast
      MaptargetlistmodeCollate
    }

### Constructors

-     MaptargetlistmodeFirst

-     MaptargetlistmodeShare

-     MaptargetlistmodeLast

-     MaptargetlistmodeCollate

## Maptransform

</>

    pub type Maptransform {
      MaptransformCreate
      MaptransformCopy
      MaptransformTruncate
      MaptransformEscape
      MaptransformCast
      MaptransformAppend
      MaptransformTranslate
      MaptransformReference
      MaptransformDateop
      MaptransformUuid
      MaptransformPointer
      MaptransformEvaluate
      MaptransformCc
      MaptransformC
      MaptransformQty
      MaptransformId
      MaptransformCp
    }

### Constructors

-     MaptransformCreate

-     MaptransformCopy

-     MaptransformTruncate

-     MaptransformEscape

-     MaptransformCast

-     MaptransformAppend

-     MaptransformTranslate

-     MaptransformReference

-     MaptransformDateop

-     MaptransformUuid

-     MaptransformPointer

-     MaptransformEvaluate

-     MaptransformCc

-     MaptransformC

-     MaptransformQty

-     MaptransformId

-     MaptransformCp

## Measurereportstatus

</>

    pub type Measurereportstatus {
      MeasurereportstatusComplete
      MeasurereportstatusPending
      MeasurereportstatusError
    }

### Constructors

-     MeasurereportstatusComplete

-     MeasurereportstatusPending

-     MeasurereportstatusError

## Measurereporttype

</>

    pub type Measurereporttype {
      MeasurereporttypeIndividual
      MeasurereporttypeSubjectlist
      MeasurereporttypeSummary
      MeasurereporttypeDatacollection
    }

### Constructors

-     MeasurereporttypeIndividual

-     MeasurereporttypeSubjectlist

-     MeasurereporttypeSummary

-     MeasurereporttypeDatacollection

## Medicationadminstatus

</>

    pub type Medicationadminstatus {
      MedicationadminstatusInprogress
      MedicationadminstatusNotdone
      MedicationadminstatusOnhold
      MedicationadminstatusCompleted
      MedicationadminstatusEnteredinerror
      MedicationadminstatusStopped
      MedicationadminstatusUnknown
    }

### Constructors

-     MedicationadminstatusInprogress

-     MedicationadminstatusNotdone

-     MedicationadminstatusOnhold

-     MedicationadminstatusCompleted

-     MedicationadminstatusEnteredinerror

-     MedicationadminstatusStopped

-     MedicationadminstatusUnknown

## Medicationdispensestatus

</>

    pub type Medicationdispensestatus {
      MedicationdispensestatusPreparation
      MedicationdispensestatusInprogress
      MedicationdispensestatusCancelled
      MedicationdispensestatusOnhold
      MedicationdispensestatusCompleted
      MedicationdispensestatusEnteredinerror
      MedicationdispensestatusStopped
      MedicationdispensestatusDeclined
      MedicationdispensestatusUnknown
    }

### Constructors

-     MedicationdispensestatusPreparation

-     MedicationdispensestatusInprogress

-     MedicationdispensestatusCancelled

-     MedicationdispensestatusOnhold

-     MedicationdispensestatusCompleted

-     MedicationdispensestatusEnteredinerror

-     MedicationdispensestatusStopped

-     MedicationdispensestatusDeclined

-     MedicationdispensestatusUnknown

## Medicationknowledgestatus

</>

    pub type Medicationknowledgestatus {
      MedicationknowledgestatusActive
      MedicationknowledgestatusInactive
      MedicationknowledgestatusEnteredinerror
    }

### Constructors

-     MedicationknowledgestatusActive

-     MedicationknowledgestatusInactive

-     MedicationknowledgestatusEnteredinerror

## Medicationrequestintent

</>

    pub type Medicationrequestintent {
      MedicationrequestintentProposal
      MedicationrequestintentPlan
      MedicationrequestintentOrder
      MedicationrequestintentOriginalorder
      MedicationrequestintentReflexorder
      MedicationrequestintentFillerorder
      MedicationrequestintentInstanceorder
      MedicationrequestintentOption
    }

### Constructors

-     MedicationrequestintentProposal

-     MedicationrequestintentPlan

-     MedicationrequestintentOrder

-     MedicationrequestintentOriginalorder

-     MedicationrequestintentReflexorder

-     MedicationrequestintentFillerorder

-     MedicationrequestintentInstanceorder

-     MedicationrequestintentOption

## Medicationrequeststatus

</>

    pub type Medicationrequeststatus {
      MedicationrequeststatusActive
      MedicationrequeststatusOnhold
      MedicationrequeststatusCancelled
      MedicationrequeststatusCompleted
      MedicationrequeststatusEnteredinerror
      MedicationrequeststatusStopped
      MedicationrequeststatusDraft
      MedicationrequeststatusUnknown
    }

### Constructors

-     MedicationrequeststatusActive

-     MedicationrequeststatusOnhold

-     MedicationrequeststatusCancelled

-     MedicationrequeststatusCompleted

-     MedicationrequeststatusEnteredinerror

-     MedicationrequeststatusStopped

-     MedicationrequeststatusDraft

-     MedicationrequeststatusUnknown

## Medicationstatementstatus

</>

    pub type Medicationstatementstatus {
      MedicationstatementstatusActive
      MedicationstatementstatusCompleted
      MedicationstatementstatusEnteredinerror
      MedicationstatementstatusIntended
      MedicationstatementstatusStopped
      MedicationstatementstatusOnhold
      MedicationstatementstatusUnknown
      MedicationstatementstatusNottaken
    }

### Constructors

-     MedicationstatementstatusActive

-     MedicationstatementstatusCompleted

-     MedicationstatementstatusEnteredinerror

-     MedicationstatementstatusIntended

-     MedicationstatementstatusStopped

-     MedicationstatementstatusOnhold

-     MedicationstatementstatusUnknown

-     MedicationstatementstatusNottaken

## Medicationstatus

</>

    pub type Medicationstatus {
      MedicationstatusActive
      MedicationstatusInactive
      MedicationstatusEnteredinerror
    }

### Constructors

-     MedicationstatusActive

-     MedicationstatusInactive

-     MedicationstatusEnteredinerror

## Messageheaderresponserequest

</>

    pub type Messageheaderresponserequest {
      MessageheaderresponserequestAlways
      MessageheaderresponserequestOnerror
      MessageheaderresponserequestNever
      MessageheaderresponserequestOnsuccess
    }

### Constructors

-     MessageheaderresponserequestAlways

-     MessageheaderresponserequestOnerror

-     MessageheaderresponserequestNever

-     MessageheaderresponserequestOnsuccess

## Messagesignificancecategory

</>

    pub type Messagesignificancecategory {
      MessagesignificancecategoryConsequence
      MessagesignificancecategoryCurrency
      MessagesignificancecategoryNotification
    }

### Constructors

-     MessagesignificancecategoryConsequence

-     MessagesignificancecategoryCurrency

-     MessagesignificancecategoryNotification

## Metriccalibrationstate

</>

    pub type Metriccalibrationstate {
      MetriccalibrationstateNotcalibrated
      MetriccalibrationstateCalibrationrequired
      MetriccalibrationstateCalibrated
      MetriccalibrationstateUnspecified
    }

### Constructors

-     MetriccalibrationstateNotcalibrated

-     MetriccalibrationstateCalibrationrequired

-     MetriccalibrationstateCalibrated

-     MetriccalibrationstateUnspecified

## Metriccalibrationtype

</>

    pub type Metriccalibrationtype {
      MetriccalibrationtypeUnspecified
      MetriccalibrationtypeOffset
      MetriccalibrationtypeGain
      MetriccalibrationtypeTwopoint
    }

### Constructors

-     MetriccalibrationtypeUnspecified

-     MetriccalibrationtypeOffset

-     MetriccalibrationtypeGain

-     MetriccalibrationtypeTwopoint

## Metriccategory

</>

    pub type Metriccategory {
      MetriccategoryMeasurement
      MetriccategorySetting
      MetriccategoryCalculation
      MetriccategoryUnspecified
    }

### Constructors

-     MetriccategoryMeasurement

-     MetriccategorySetting

-     MetriccategoryCalculation

-     MetriccategoryUnspecified

## Metriccolor

</>

    pub type Metriccolor {
      MetriccolorBlack
      MetriccolorRed
      MetriccolorGreen
      MetriccolorYellow
      MetriccolorBlue
      MetriccolorMagenta
      MetriccolorCyan
      MetriccolorWhite
    }

### Constructors

-     MetriccolorBlack

-     MetriccolorRed

-     MetriccolorGreen

-     MetriccolorYellow

-     MetriccolorBlue

-     MetriccolorMagenta

-     MetriccolorCyan

-     MetriccolorWhite

## Metricoperationalstatus

</>

    pub type Metricoperationalstatus {
      MetricoperationalstatusOn
      MetricoperationalstatusOff
      MetricoperationalstatusStandby
      MetricoperationalstatusEnteredinerror
    }

### Constructors

-     MetricoperationalstatusOn

-     MetricoperationalstatusOff

-     MetricoperationalstatusStandby

-     MetricoperationalstatusEnteredinerror

## Nameuse

</>

    pub type Nameuse {
      NameuseUsual
      NameuseOfficial
      NameuseTemp
      NameuseNickname
      NameuseAnonymous
      NameuseOld
      NameuseMaiden
    }

### Constructors

-     NameuseUsual

-     NameuseOfficial

-     NameuseTemp

-     NameuseNickname

-     NameuseAnonymous

-     NameuseOld

-     NameuseMaiden

## Namingsystemidentifiertype

</>

    pub type Namingsystemidentifiertype {
      NamingsystemidentifiertypeOid
      NamingsystemidentifiertypeUuid
      NamingsystemidentifiertypeUri
      NamingsystemidentifiertypeOther
    }

### Constructors

-     NamingsystemidentifiertypeOid

-     NamingsystemidentifiertypeUuid

-     NamingsystemidentifiertypeUri

-     NamingsystemidentifiertypeOther

## Namingsystemtype

</>

    pub type Namingsystemtype {
      NamingsystemtypeCodesystem
      NamingsystemtypeIdentifier
      NamingsystemtypeRoot
    }

### Constructors

-     NamingsystemtypeCodesystem

-     NamingsystemtypeIdentifier

-     NamingsystemtypeRoot

## Narrativestatus

</>

    pub type Narrativestatus {
      NarrativestatusGenerated
      NarrativestatusExtensions
      NarrativestatusAdditional
      NarrativestatusEmpty
    }

### Constructors

-     NarrativestatusGenerated

-     NarrativestatusExtensions

-     NarrativestatusAdditional

-     NarrativestatusEmpty

## Networktype

</>

    pub type Networktype {
      Networktype1
      Networktype2
      Networktype3
      Networktype4
      Networktype5
    }

### Constructors

-     Networktype1

-     Networktype2

-     Networktype3

-     Networktype4

-     Networktype5

## Notetype

</>

    pub type Notetype {
      NotetypeDisplay
      NotetypePrint
      NotetypePrintoper
    }

### Constructors

-     NotetypeDisplay

-     NotetypePrint

-     NotetypePrintoper

## Nutritionproductstatus

</>

    pub type Nutritionproductstatus {
      NutritionproductstatusActive
      NutritionproductstatusInactive
      NutritionproductstatusEnteredinerror
    }

### Constructors

-     NutritionproductstatusActive

-     NutritionproductstatusInactive

-     NutritionproductstatusEnteredinerror

## Observationrangecategory

</>

    pub type Observationrangecategory {
      ObservationrangecategoryReference
      ObservationrangecategoryCritical
      ObservationrangecategoryAbsolute
    }

### Constructors

-     ObservationrangecategoryReference

-     ObservationrangecategoryCritical

-     ObservationrangecategoryAbsolute

## Observationstatus

</>

    pub type Observationstatus {
      ObservationstatusRegistered
      ObservationstatusPreliminary
      ObservationstatusFinal
      ObservationstatusAmended
      ObservationstatusCorrected
      ObservationstatusCancelled
      ObservationstatusEnteredinerror
      ObservationstatusUnknown
    }

### Constructors

-     ObservationstatusRegistered

-     ObservationstatusPreliminary

-     ObservationstatusFinal

-     ObservationstatusAmended

-     ObservationstatusCorrected

-     ObservationstatusCancelled

-     ObservationstatusEnteredinerror

-     ObservationstatusUnknown

## Operationkind

</>

    pub type Operationkind {
      OperationkindOperation
      OperationkindQuery
    }

### Constructors

-     OperationkindOperation

-     OperationkindQuery

## Operationparameteruse

</>

    pub type Operationparameteruse {
      OperationparameteruseIn
      OperationparameteruseOut
    }

### Constructors

-     OperationparameteruseIn

-     OperationparameteruseOut

## Orientationtype

</>

    pub type Orientationtype {
      OrientationtypeSense
      OrientationtypeAntisense
    }

### Constructors

-     OrientationtypeSense

-     OrientationtypeAntisense

## Participantrequired

</>

    pub type Participantrequired {
      ParticipantrequiredRequired
      ParticipantrequiredOptional
      ParticipantrequiredInformationonly
    }

### Constructors

-     ParticipantrequiredRequired

-     ParticipantrequiredOptional

-     ParticipantrequiredInformationonly

## Participationstatus

</>

    pub type Participationstatus {
      ParticipationstatusAccepted
      ParticipationstatusDeclined
      ParticipationstatusTentative
      ParticipationstatusNeedsaction
    }

### Constructors

-     ParticipationstatusAccepted

-     ParticipationstatusDeclined

-     ParticipationstatusTentative

-     ParticipationstatusNeedsaction

## Permitteddatatype

</>

    pub type Permitteddatatype {
      PermitteddatatypeQuantity
      PermitteddatatypeCodeableconcept
      PermitteddatatypeString
      PermitteddatatypeBoolean
      PermitteddatatypeInteger
      PermitteddatatypeRange
      PermitteddatatypeRatio
      PermitteddatatypeSampleddata
      PermitteddatatypeTime
      PermitteddatatypeDatetime
      PermitteddatatypePeriod
    }

### Constructors

-     PermitteddatatypeQuantity

-     PermitteddatatypeCodeableconcept

-     PermitteddatatypeString

-     PermitteddatatypeBoolean

-     PermitteddatatypeInteger

-     PermitteddatatypeRange

-     PermitteddatatypeRatio

-     PermitteddatatypeSampleddata

-     PermitteddatatypeTime

-     PermitteddatatypeDatetime

-     PermitteddatatypePeriod

## Productcategory

</>

    pub type Productcategory {
      ProductcategoryOrgan
      ProductcategoryTissue
      ProductcategoryFluid
      ProductcategoryCells
      ProductcategoryBiologicalagent
    }

### Constructors

-     ProductcategoryOrgan

-     ProductcategoryTissue

-     ProductcategoryFluid

-     ProductcategoryCells

-     ProductcategoryBiologicalagent

## Productstatus

</>

    pub type Productstatus {
      ProductstatusAvailable
      ProductstatusUnavailable
    }

### Constructors

-     ProductstatusAvailable

-     ProductstatusUnavailable

## Productstoragescale

</>

    pub type Productstoragescale {
      ProductstoragescaleFarenheit
      ProductstoragescaleCelsius
      ProductstoragescaleKelvin
    }

### Constructors

-     ProductstoragescaleFarenheit

-     ProductstoragescaleCelsius

-     ProductstoragescaleKelvin

## Propertyrepresentation

</>

    pub type Propertyrepresentation {
      PropertyrepresentationXmlattr
      PropertyrepresentationXmltext
      PropertyrepresentationTypeattr
      PropertyrepresentationCdatext
      PropertyrepresentationXhtml
    }

### Constructors

-     PropertyrepresentationXmlattr

-     PropertyrepresentationXmltext

-     PropertyrepresentationTypeattr

-     PropertyrepresentationCdatext

-     PropertyrepresentationXhtml

## Provenanceentityrole

</>

    pub type Provenanceentityrole {
      ProvenanceentityroleDerivation
      ProvenanceentityroleRevision
      ProvenanceentityroleQuotation
      ProvenanceentityroleSource
      ProvenanceentityroleRemoval
    }

### Constructors

-     ProvenanceentityroleDerivation

-     ProvenanceentityroleRevision

-     ProvenanceentityroleQuotation

-     ProvenanceentityroleSource

-     ProvenanceentityroleRemoval

## Publicationstatus

</>

    pub type Publicationstatus {
      PublicationstatusDraft
      PublicationstatusActive
      PublicationstatusRetired
      PublicationstatusUnknown
    }

### Constructors

-     PublicationstatusDraft

-     PublicationstatusActive

-     PublicationstatusRetired

-     PublicationstatusUnknown

## Qualitytype

</>

    pub type Qualitytype {
      QualitytypeIndel
      QualitytypeSnp
      QualitytypeUnknown
    }

### Constructors

-     QualitytypeIndel

-     QualitytypeSnp

-     QualitytypeUnknown

## Quantitycomparator

</>

    pub type Quantitycomparator {
      QuantitycomparatorLessthan
      QuantitycomparatorLessthanequal
      QuantitycomparatorGreaterthanequal
      QuantitycomparatorGreaterthan
    }

### Constructors

-     QuantitycomparatorLessthan

-     QuantitycomparatorLessthanequal

-     QuantitycomparatorGreaterthanequal

-     QuantitycomparatorGreaterthan

## Questionnaireanswersstatus

</>

    pub type Questionnaireanswersstatus {
      QuestionnaireanswersstatusInprogress
      QuestionnaireanswersstatusCompleted
      QuestionnaireanswersstatusAmended
      QuestionnaireanswersstatusEnteredinerror
      QuestionnaireanswersstatusStopped
    }

### Constructors

-     QuestionnaireanswersstatusInprogress

-     QuestionnaireanswersstatusCompleted

-     QuestionnaireanswersstatusAmended

-     QuestionnaireanswersstatusEnteredinerror

-     QuestionnaireanswersstatusStopped

## Questionnaireenablebehavior

</>

    pub type Questionnaireenablebehavior {
      QuestionnaireenablebehaviorAll
      QuestionnaireenablebehaviorAny
    }

### Constructors

-     QuestionnaireenablebehaviorAll

-     QuestionnaireenablebehaviorAny

## Questionnaireenableoperator

</>

    pub type Questionnaireenableoperator {
      QuestionnaireenableoperatorExists
      QuestionnaireenableoperatorEqual
      QuestionnaireenableoperatorNotequal
      QuestionnaireenableoperatorGreaterthan
      QuestionnaireenableoperatorLessthan
      QuestionnaireenableoperatorGreaterthanequal
      QuestionnaireenableoperatorLessthanequal
    }

### Constructors

-     QuestionnaireenableoperatorExists

-     QuestionnaireenableoperatorEqual

-     QuestionnaireenableoperatorNotequal

-     QuestionnaireenableoperatorGreaterthan

-     QuestionnaireenableoperatorLessthan

-     QuestionnaireenableoperatorGreaterthanequal

-     QuestionnaireenableoperatorLessthanequal

## Reactioneventseverity

</>

    pub type Reactioneventseverity {
      ReactioneventseverityMild
      ReactioneventseverityModerate
      ReactioneventseveritySevere
    }

### Constructors

-     ReactioneventseverityMild

-     ReactioneventseverityModerate

-     ReactioneventseveritySevere

## Referencehandlingpolicy

</>

    pub type Referencehandlingpolicy {
      ReferencehandlingpolicyLiteral
      ReferencehandlingpolicyLogical
      ReferencehandlingpolicyResolves
      ReferencehandlingpolicyEnforced
      ReferencehandlingpolicyLocal
    }

### Constructors

-     ReferencehandlingpolicyLiteral

-     ReferencehandlingpolicyLogical

-     ReferencehandlingpolicyResolves

-     ReferencehandlingpolicyEnforced

-     ReferencehandlingpolicyLocal

## Referenceversionrules

</>

    pub type Referenceversionrules {
      ReferenceversionrulesEither
      ReferenceversionrulesIndependent
      ReferenceversionrulesSpecific
    }

### Constructors

-     ReferenceversionrulesEither

-     ReferenceversionrulesIndependent

-     ReferenceversionrulesSpecific

## Relatedartifacttype

</>

    pub type Relatedartifacttype {
      RelatedartifacttypeDocumentation
      RelatedartifacttypeJustification
      RelatedartifacttypeCitation
      RelatedartifacttypePredecessor
      RelatedartifacttypeSuccessor
      RelatedartifacttypeDerivedfrom
      RelatedartifacttypeDependson
      RelatedartifacttypeComposedof
    }

### Constructors

-     RelatedartifacttypeDocumentation

-     RelatedartifacttypeJustification

-     RelatedartifacttypeCitation

-     RelatedartifacttypePredecessor

-     RelatedartifacttypeSuccessor

-     RelatedartifacttypeDerivedfrom

-     RelatedartifacttypeDependson

-     RelatedartifacttypeComposedof

## Relationtype

</>

    pub type Relationtype {
      RelationtypeTriggers
      RelationtypeIsreplacedby
    }

### Constructors

-     RelationtypeTriggers

-     RelationtypeIsreplacedby

## Remittanceoutcome

</>

    pub type Remittanceoutcome {
      RemittanceoutcomeQueued
      RemittanceoutcomeComplete
      RemittanceoutcomeError
      RemittanceoutcomePartial
    }

### Constructors

-     RemittanceoutcomeQueued

-     RemittanceoutcomeComplete

-     RemittanceoutcomeError

-     RemittanceoutcomePartial

## Reportactionresultcodes

</>

    pub type Reportactionresultcodes {
      ReportactionresultcodesPass
      ReportactionresultcodesSkip
      ReportactionresultcodesFail
      ReportactionresultcodesWarning
      ReportactionresultcodesError
    }

### Constructors

-     ReportactionresultcodesPass

-     ReportactionresultcodesSkip

-     ReportactionresultcodesFail

-     ReportactionresultcodesWarning

-     ReportactionresultcodesError

## Reportparticipanttype

</>

    pub type Reportparticipanttype {
      ReportparticipanttypeTestengine
      ReportparticipanttypeClient
      ReportparticipanttypeServer
    }

### Constructors

-     ReportparticipanttypeTestengine

-     ReportparticipanttypeClient

-     ReportparticipanttypeServer

## Reportrelationtype

</>

    pub type Reportrelationtype {
      ReportrelationtypeReplaces
      ReportrelationtypeAmends
      ReportrelationtypeAppends
      ReportrelationtypeTransforms
      ReportrelationtypeReplacedwith
      ReportrelationtypeAmendedwith
      ReportrelationtypeAppendedwith
      ReportrelationtypeTransformedwith
    }

### Constructors

-     ReportrelationtypeReplaces

-     ReportrelationtypeAmends

-     ReportrelationtypeAppends

-     ReportrelationtypeTransforms

-     ReportrelationtypeReplacedwith

-     ReportrelationtypeAmendedwith

-     ReportrelationtypeAppendedwith

-     ReportrelationtypeTransformedwith

## Reportresultcodes

</>

    pub type Reportresultcodes {
      ReportresultcodesPass
      ReportresultcodesFail
      ReportresultcodesPending
    }

### Constructors

-     ReportresultcodesPass

-     ReportresultcodesFail

-     ReportresultcodesPending

## Reportstatuscodes

</>

    pub type Reportstatuscodes {
      ReportstatuscodesCompleted
      ReportstatuscodesInprogress
      ReportstatuscodesWaiting
      ReportstatuscodesStopped
      ReportstatuscodesEnteredinerror
    }

### Constructors

-     ReportstatuscodesCompleted

-     ReportstatuscodesInprogress

-     ReportstatuscodesWaiting

-     ReportstatuscodesStopped

-     ReportstatuscodesEnteredinerror

## Repositorytype

</>

    pub type Repositorytype {
      RepositorytypeDirectlink
      RepositorytypeOpenapi
      RepositorytypeLogin
      RepositorytypeOauth
      RepositorytypeOther
    }

### Constructors

-     RepositorytypeDirectlink

-     RepositorytypeOpenapi

-     RepositorytypeLogin

-     RepositorytypeOauth

-     RepositorytypeOther

## Requestintent

</>

    pub type Requestintent {
      RequestintentProposal
      RequestintentPlan
      RequestintentDirective
      RequestintentOrder
      RequestintentOriginalorder
      RequestintentReflexorder
      RequestintentFillerorder
      RequestintentInstanceorder
      RequestintentOption
    }

### Constructors

-     RequestintentProposal

-     RequestintentPlan

-     RequestintentDirective

-     RequestintentOrder

-     RequestintentOriginalorder

-     RequestintentReflexorder

-     RequestintentFillerorder

-     RequestintentInstanceorder

-     RequestintentOption

## Requestpriority

</>

    pub type Requestpriority {
      RequestpriorityRoutine
      RequestpriorityUrgent
      RequestpriorityAsap
      RequestpriorityStat
    }

### Constructors

-     RequestpriorityRoutine

-     RequestpriorityUrgent

-     RequestpriorityAsap

-     RequestpriorityStat

## Requestresourcetypes

</>

    pub type Requestresourcetypes {
      RequestresourcetypesAppointment
      RequestresourcetypesAppointmentresponse
      RequestresourcetypesCareplan
      RequestresourcetypesClaim
      RequestresourcetypesCommunicationrequest
      RequestresourcetypesContract
      RequestresourcetypesDevicerequest
      RequestresourcetypesEnrollmentrequest
      RequestresourcetypesImmunizationrecommendation
      RequestresourcetypesMedicationrequest
      RequestresourcetypesNutritionorder
      RequestresourcetypesServicerequest
      RequestresourcetypesSupplyrequest
      RequestresourcetypesTask
      RequestresourcetypesVisionprescription
    }

### Constructors

-     RequestresourcetypesAppointment

-     RequestresourcetypesAppointmentresponse

-     RequestresourcetypesCareplan

-     RequestresourcetypesClaim

-     RequestresourcetypesCommunicationrequest

-     RequestresourcetypesContract

-     RequestresourcetypesDevicerequest

-     RequestresourcetypesEnrollmentrequest

-     RequestresourcetypesImmunizationrecommendation

-     RequestresourcetypesMedicationrequest

-     RequestresourcetypesNutritionorder

-     RequestresourcetypesServicerequest

-     RequestresourcetypesSupplyrequest

-     RequestresourcetypesTask

-     RequestresourcetypesVisionprescription

## Requeststatus

</>

    pub type Requeststatus {
      RequeststatusDraft
      RequeststatusActive
      RequeststatusOnhold
      RequeststatusRevoked
      RequeststatusCompleted
      RequeststatusEnteredinerror
      RequeststatusUnknown
    }

### Constructors

-     RequeststatusDraft

-     RequeststatusActive

-     RequeststatusOnhold

-     RequeststatusRevoked

-     RequeststatusCompleted

-     RequeststatusEnteredinerror

-     RequeststatusUnknown

## Researchelementtype

</>

    pub type Researchelementtype {
      ResearchelementtypePopulation
      ResearchelementtypeExposure
      ResearchelementtypeOutcome
    }

### Constructors

-     ResearchelementtypePopulation

-     ResearchelementtypeExposure

-     ResearchelementtypeOutcome

## Researchstudystatus

</>

    pub type Researchstudystatus {
      ResearchstudystatusActive
      ResearchstudystatusAdministrativelycompleted
      ResearchstudystatusApproved
      ResearchstudystatusClosedtoaccrual
      ResearchstudystatusClosedtoaccrualandintervention
      ResearchstudystatusCompleted
      ResearchstudystatusDisapproved
      ResearchstudystatusInreview
      ResearchstudystatusTemporarilyclosedtoaccrual
      ResearchstudystatusTemporarilyclosedtoaccrualandintervention
      ResearchstudystatusWithdrawn
    }

### Constructors

-     ResearchstudystatusActive

-     ResearchstudystatusAdministrativelycompleted

-     ResearchstudystatusApproved

-     ResearchstudystatusClosedtoaccrual

-     ResearchstudystatusClosedtoaccrualandintervention

-     ResearchstudystatusCompleted

-     ResearchstudystatusDisapproved

-     ResearchstudystatusInreview

-     ResearchstudystatusTemporarilyclosedtoaccrual

-     ResearchstudystatusTemporarilyclosedtoaccrualandintervention

-     ResearchstudystatusWithdrawn

## Researchsubjectstatus

</>

    pub type Researchsubjectstatus {
      ResearchsubjectstatusCandidate
      ResearchsubjectstatusEligible
      ResearchsubjectstatusFollowup
      ResearchsubjectstatusIneligible
      ResearchsubjectstatusNotregistered
      ResearchsubjectstatusOffstudy
      ResearchsubjectstatusOnstudy
      ResearchsubjectstatusOnstudyintervention
      ResearchsubjectstatusOnstudyobservation
      ResearchsubjectstatusPendingonstudy
      ResearchsubjectstatusPotentialcandidate
      ResearchsubjectstatusScreening
      ResearchsubjectstatusWithdrawn
    }

### Constructors

-     ResearchsubjectstatusCandidate

-     ResearchsubjectstatusEligible

-     ResearchsubjectstatusFollowup

-     ResearchsubjectstatusIneligible

-     ResearchsubjectstatusNotregistered

-     ResearchsubjectstatusOffstudy

-     ResearchsubjectstatusOnstudy

-     ResearchsubjectstatusOnstudyintervention

-     ResearchsubjectstatusOnstudyobservation

-     ResearchsubjectstatusPendingonstudy

-     ResearchsubjectstatusPotentialcandidate

-     ResearchsubjectstatusScreening

-     ResearchsubjectstatusWithdrawn

## Resourceaggregationmode

</>

    pub type Resourceaggregationmode {
      ResourceaggregationmodeContained
      ResourceaggregationmodeReferenced
      ResourceaggregationmodeBundled
    }

### Constructors

-     ResourceaggregationmodeContained

-     ResourceaggregationmodeReferenced

-     ResourceaggregationmodeBundled

## Resourceslicingrules

</>

    pub type Resourceslicingrules {
      ResourceslicingrulesClosed
      ResourceslicingrulesOpen
      ResourceslicingrulesOpenatend
    }

### Constructors

-     ResourceslicingrulesClosed

-     ResourceslicingrulesOpen

-     ResourceslicingrulesOpenatend

## Resourcetypes

</>

    pub type Resourcetypes {
      ResourcetypesResource
      ResourcetypesBinary
      ResourcetypesBundle
      ResourcetypesDomainresource
      ResourcetypesAccount
      ResourcetypesActivitydefinition
      ResourcetypesAdministrableproductdefinition
      ResourcetypesAdverseevent
      ResourcetypesAllergyintolerance
      ResourcetypesAppointment
      ResourcetypesAppointmentresponse
      ResourcetypesAuditevent
      ResourcetypesBasic
      ResourcetypesBiologicallyderivedproduct
      ResourcetypesBodystructure
      ResourcetypesCapabilitystatement
      ResourcetypesCareplan
      ResourcetypesCareteam
      ResourcetypesCatalogentry
      ResourcetypesChargeitem
      ResourcetypesChargeitemdefinition
      ResourcetypesCitation
      ResourcetypesClaim
      ResourcetypesClaimresponse
      ResourcetypesClinicalimpression
      ResourcetypesClinicalusedefinition
      ResourcetypesCodesystem
      ResourcetypesCommunication
      ResourcetypesCommunicationrequest
      ResourcetypesCompartmentdefinition
      ResourcetypesComposition
      ResourcetypesConceptmap
      ResourcetypesCondition
      ResourcetypesConsent
      ResourcetypesContract
      ResourcetypesCoverage
      ResourcetypesCoverageeligibilityrequest
      ResourcetypesCoverageeligibilityresponse
      ResourcetypesDetectedissue
      ResourcetypesDevice
      ResourcetypesDevicedefinition
      ResourcetypesDevicemetric
      ResourcetypesDevicerequest
      ResourcetypesDeviceusestatement
      ResourcetypesDiagnosticreport
      ResourcetypesDocumentmanifest
      ResourcetypesDocumentreference
      ResourcetypesEncounter
      ResourcetypesEndpoint
      ResourcetypesEnrollmentrequest
      ResourcetypesEnrollmentresponse
      ResourcetypesEpisodeofcare
      ResourcetypesEventdefinition
      ResourcetypesEvidence
      ResourcetypesEvidencereport
      ResourcetypesEvidencevariable
      ResourcetypesExamplescenario
      ResourcetypesExplanationofbenefit
      ResourcetypesFamilymemberhistory
      ResourcetypesFlag
      ResourcetypesGoal
      ResourcetypesGraphdefinition
      ResourcetypesGroup
      ResourcetypesGuidanceresponse
      ResourcetypesHealthcareservice
      ResourcetypesImagingstudy
      ResourcetypesImmunization
      ResourcetypesImmunizationevaluation
      ResourcetypesImmunizationrecommendation
      ResourcetypesImplementationguide
      ResourcetypesIngredient
      ResourcetypesInsuranceplan
      ResourcetypesInvoice
      ResourcetypesLibrary
      ResourcetypesLinkage
      ResourcetypesList
      ResourcetypesLocation
      ResourcetypesManufactureditemdefinition
      ResourcetypesMeasure
      ResourcetypesMeasurereport
      ResourcetypesMedia
      ResourcetypesMedication
      ResourcetypesMedicationadministration
      ResourcetypesMedicationdispense
      ResourcetypesMedicationknowledge
      ResourcetypesMedicationrequest
      ResourcetypesMedicationstatement
      ResourcetypesMedicinalproductdefinition
      ResourcetypesMessagedefinition
      ResourcetypesMessageheader
      ResourcetypesMolecularsequence
      ResourcetypesNamingsystem
      ResourcetypesNutritionorder
      ResourcetypesNutritionproduct
      ResourcetypesObservation
      ResourcetypesObservationdefinition
      ResourcetypesOperationdefinition
      ResourcetypesOperationoutcome
      ResourcetypesOrganization
      ResourcetypesOrganizationaffiliation
      ResourcetypesPackagedproductdefinition
      ResourcetypesPatient
      ResourcetypesPaymentnotice
      ResourcetypesPaymentreconciliation
      ResourcetypesPerson
      ResourcetypesPlandefinition
      ResourcetypesPractitioner
      ResourcetypesPractitionerrole
      ResourcetypesProcedure
      ResourcetypesProvenance
      ResourcetypesQuestionnaire
      ResourcetypesQuestionnaireresponse
      ResourcetypesRegulatedauthorization
      ResourcetypesRelatedperson
      ResourcetypesRequestgroup
      ResourcetypesResearchdefinition
      ResourcetypesResearchelementdefinition
      ResourcetypesResearchstudy
      ResourcetypesResearchsubject
      ResourcetypesRiskassessment
      ResourcetypesSchedule
      ResourcetypesSearchparameter
      ResourcetypesServicerequest
      ResourcetypesSlot
      ResourcetypesSpecimen
      ResourcetypesSpecimendefinition
      ResourcetypesStructuredefinition
      ResourcetypesStructuremap
      ResourcetypesSubscription
      ResourcetypesSubscriptionstatus
      ResourcetypesSubscriptiontopic
      ResourcetypesSubstance
      ResourcetypesSubstancedefinition
      ResourcetypesSupplydelivery
      ResourcetypesSupplyrequest
      ResourcetypesTask
      ResourcetypesTerminologycapabilities
      ResourcetypesTestreport
      ResourcetypesTestscript
      ResourcetypesValueset
      ResourcetypesVerificationresult
      ResourcetypesVisionprescription
      ResourcetypesParameters
    }

### Constructors

-     ResourcetypesResource

-     ResourcetypesBinary

-     ResourcetypesBundle

-     ResourcetypesDomainresource

-     ResourcetypesAccount

-     ResourcetypesActivitydefinition

-     ResourcetypesAdministrableproductdefinition

-     ResourcetypesAdverseevent

-     ResourcetypesAllergyintolerance

-     ResourcetypesAppointment

-     ResourcetypesAppointmentresponse

-     ResourcetypesAuditevent

-     ResourcetypesBasic

-     ResourcetypesBiologicallyderivedproduct

-     ResourcetypesBodystructure

-     ResourcetypesCapabilitystatement

-     ResourcetypesCareplan

-     ResourcetypesCareteam

-     ResourcetypesCatalogentry

-     ResourcetypesChargeitem

-     ResourcetypesChargeitemdefinition

-     ResourcetypesCitation

-     ResourcetypesClaim

-     ResourcetypesClaimresponse

-     ResourcetypesClinicalimpression

-     ResourcetypesClinicalusedefinition

-     ResourcetypesCodesystem

-     ResourcetypesCommunication

-     ResourcetypesCommunicationrequest

-     ResourcetypesCompartmentdefinition

-     ResourcetypesComposition

-     ResourcetypesConceptmap

-     ResourcetypesCondition

-     ResourcetypesConsent

-     ResourcetypesContract

-     ResourcetypesCoverage

-     ResourcetypesCoverageeligibilityrequest

-     ResourcetypesCoverageeligibilityresponse

-     ResourcetypesDetectedissue

-     ResourcetypesDevice

-     ResourcetypesDevicedefinition

-     ResourcetypesDevicemetric

-     ResourcetypesDevicerequest

-     ResourcetypesDeviceusestatement

-     ResourcetypesDiagnosticreport

-     ResourcetypesDocumentmanifest

-     ResourcetypesDocumentreference

-     ResourcetypesEncounter

-     ResourcetypesEndpoint

-     ResourcetypesEnrollmentrequest

-     ResourcetypesEnrollmentresponse

-     ResourcetypesEpisodeofcare

-     ResourcetypesEventdefinition

-     ResourcetypesEvidence

-     ResourcetypesEvidencereport

-     ResourcetypesEvidencevariable

-     ResourcetypesExamplescenario

-     ResourcetypesExplanationofbenefit

-     ResourcetypesFamilymemberhistory

-     ResourcetypesFlag

-     ResourcetypesGoal

-     ResourcetypesGraphdefinition

-     ResourcetypesGroup

-     ResourcetypesGuidanceresponse

-     ResourcetypesHealthcareservice

-     ResourcetypesImagingstudy

-     ResourcetypesImmunization

-     ResourcetypesImmunizationevaluation

-     ResourcetypesImmunizationrecommendation

-     ResourcetypesImplementationguide

-     ResourcetypesIngredient

-     ResourcetypesInsuranceplan

-     ResourcetypesInvoice

-     ResourcetypesLibrary

-     ResourcetypesLinkage

-     ResourcetypesList

-     ResourcetypesLocation

-     ResourcetypesManufactureditemdefinition

-     ResourcetypesMeasure

-     ResourcetypesMeasurereport

-     ResourcetypesMedia

-     ResourcetypesMedication

-     ResourcetypesMedicationadministration

-     ResourcetypesMedicationdispense

-     ResourcetypesMedicationknowledge

-     ResourcetypesMedicationrequest

-     ResourcetypesMedicationstatement

-     ResourcetypesMedicinalproductdefinition

-     ResourcetypesMessagedefinition

-     ResourcetypesMessageheader

-     ResourcetypesMolecularsequence

-     ResourcetypesNamingsystem

-     ResourcetypesNutritionorder

-     ResourcetypesNutritionproduct

-     ResourcetypesObservation

-     ResourcetypesObservationdefinition

-     ResourcetypesOperationdefinition

-     ResourcetypesOperationoutcome

-     ResourcetypesOrganization

-     ResourcetypesOrganizationaffiliation

-     ResourcetypesPackagedproductdefinition

-     ResourcetypesPatient

-     ResourcetypesPaymentnotice

-     ResourcetypesPaymentreconciliation

-     ResourcetypesPerson

-     ResourcetypesPlandefinition

-     ResourcetypesPractitioner

-     ResourcetypesPractitionerrole

-     ResourcetypesProcedure

-     ResourcetypesProvenance

-     ResourcetypesQuestionnaire

-     ResourcetypesQuestionnaireresponse

-     ResourcetypesRegulatedauthorization

-     ResourcetypesRelatedperson

-     ResourcetypesRequestgroup

-     ResourcetypesResearchdefinition

-     ResourcetypesResearchelementdefinition

-     ResourcetypesResearchstudy

-     ResourcetypesResearchsubject

-     ResourcetypesRiskassessment

-     ResourcetypesSchedule

-     ResourcetypesSearchparameter

-     ResourcetypesServicerequest

-     ResourcetypesSlot

-     ResourcetypesSpecimen

-     ResourcetypesSpecimendefinition

-     ResourcetypesStructuredefinition

-     ResourcetypesStructuremap

-     ResourcetypesSubscription

-     ResourcetypesSubscriptionstatus

-     ResourcetypesSubscriptiontopic

-     ResourcetypesSubstance

-     ResourcetypesSubstancedefinition

-     ResourcetypesSupplydelivery

-     ResourcetypesSupplyrequest

-     ResourcetypesTask

-     ResourcetypesTerminologycapabilities

-     ResourcetypesTestreport

-     ResourcetypesTestscript

-     ResourcetypesValueset

-     ResourcetypesVerificationresult

-     ResourcetypesVisionprescription

-     ResourcetypesParameters

## Responsecode

</>

    pub type Responsecode {
      ResponsecodeOk
      ResponsecodeTransienterror
      ResponsecodeFatalerror
    }

### Constructors

-     ResponsecodeOk

-     ResponsecodeTransienterror

-     ResponsecodeFatalerror

## Restfulcapabilitymode

</>

    pub type Restfulcapabilitymode {
      RestfulcapabilitymodeClient
      RestfulcapabilitymodeServer
    }

### Constructors

-     RestfulcapabilitymodeClient

-     RestfulcapabilitymodeServer

## Searchcomparator

</>

    pub type Searchcomparator {
      SearchcomparatorEq
      SearchcomparatorNe
      SearchcomparatorGt
      SearchcomparatorLt
      SearchcomparatorGe
      SearchcomparatorLe
      SearchcomparatorSa
      SearchcomparatorEb
      SearchcomparatorAp
    }

### Constructors

-     SearchcomparatorEq

-     SearchcomparatorNe

-     SearchcomparatorGt

-     SearchcomparatorLt

-     SearchcomparatorGe

-     SearchcomparatorLe

-     SearchcomparatorSa

-     SearchcomparatorEb

-     SearchcomparatorAp

## Searchentrymode

</>

    pub type Searchentrymode {
      SearchentrymodeMatch
      SearchentrymodeInclude
      SearchentrymodeOutcome
    }

### Constructors

-     SearchentrymodeMatch

-     SearchentrymodeInclude

-     SearchentrymodeOutcome

## Searchmodifiercode

</>

    pub type Searchmodifiercode {
      SearchmodifiercodeMissing
      SearchmodifiercodeExact
      SearchmodifiercodeContains
      SearchmodifiercodeNot
      SearchmodifiercodeText
      SearchmodifiercodeIn
      SearchmodifiercodeNotin
      SearchmodifiercodeBelow
      SearchmodifiercodeAbove
      SearchmodifiercodeType
      SearchmodifiercodeIdentifier
      SearchmodifiercodeOftype
    }

### Constructors

-     SearchmodifiercodeMissing

-     SearchmodifiercodeExact

-     SearchmodifiercodeContains

-     SearchmodifiercodeNot

-     SearchmodifiercodeText

-     SearchmodifiercodeIn

-     SearchmodifiercodeNotin

-     SearchmodifiercodeBelow

-     SearchmodifiercodeAbove

-     SearchmodifiercodeType

-     SearchmodifiercodeIdentifier

-     SearchmodifiercodeOftype

## Searchparamtype

</>

    pub type Searchparamtype {
      SearchparamtypeNumber
      SearchparamtypeDate
      SearchparamtypeString
      SearchparamtypeToken
      SearchparamtypeReference
      SearchparamtypeComposite
      SearchparamtypeQuantity
      SearchparamtypeUri
      SearchparamtypeSpecial
    }

### Constructors

-     SearchparamtypeNumber

-     SearchparamtypeDate

-     SearchparamtypeString

-     SearchparamtypeToken

-     SearchparamtypeReference

-     SearchparamtypeComposite

-     SearchparamtypeQuantity

-     SearchparamtypeUri

-     SearchparamtypeSpecial

## Searchxpathusage

</>

    pub type Searchxpathusage {
      SearchxpathusageNormal
      SearchxpathusagePhonetic
      SearchxpathusageNearby
      SearchxpathusageDistance
      SearchxpathusageOther
    }

### Constructors

-     SearchxpathusageNormal

-     SearchxpathusagePhonetic

-     SearchxpathusageNearby

-     SearchxpathusageDistance

-     SearchxpathusageOther

## Sequencetype

</>

    pub type Sequencetype {
      SequencetypeAa
      SequencetypeDna
      SequencetypeRna
    }

### Constructors

-     SequencetypeAa

-     SequencetypeDna

-     SequencetypeRna

## Slotstatus

</>

    pub type Slotstatus {
      SlotstatusBusy
      SlotstatusFree
      SlotstatusBusyunavailable
      SlotstatusBusytentative
      SlotstatusEnteredinerror
    }

### Constructors

-     SlotstatusBusy

-     SlotstatusFree

-     SlotstatusBusyunavailable

-     SlotstatusBusytentative

-     SlotstatusEnteredinerror

## Sortdirection

</>

    pub type Sortdirection {
      SortdirectionAscending
      SortdirectionDescending
    }

### Constructors

-     SortdirectionAscending

-     SortdirectionDescending

## Spdxlicense

</>

    pub type Spdxlicense {
      SpdxlicenseNotopensource
      Spdxlicense0bsd
      SpdxlicenseAal
      SpdxlicenseAbstyles
      SpdxlicenseAdobe2006
      SpdxlicenseAdobeglyph
      SpdxlicenseAdsl
      SpdxlicenseAfl11
      SpdxlicenseAfl12
      SpdxlicenseAfl20
      SpdxlicenseAfl21
      SpdxlicenseAfl30
      SpdxlicenseAfmparse
      SpdxlicenseAgpl10only
      SpdxlicenseAgpl10orlater
      SpdxlicenseAgpl30only
      SpdxlicenseAgpl30orlater
      SpdxlicenseAladdin
      SpdxlicenseAmdplpa
      SpdxlicenseAml
      SpdxlicenseAmpas
      SpdxlicenseAntlrpd
      SpdxlicenseApache10
      SpdxlicenseApache11
      SpdxlicenseApache20
      SpdxlicenseApafml
      SpdxlicenseApl10
      SpdxlicenseApsl10
      SpdxlicenseApsl11
      SpdxlicenseApsl12
      SpdxlicenseApsl20
      SpdxlicenseArtistic10cl8
      SpdxlicenseArtistic10perl
      SpdxlicenseArtistic10
      SpdxlicenseArtistic20
      SpdxlicenseBahyph
      SpdxlicenseBarr
      SpdxlicenseBeerware
      SpdxlicenseBittorrent10
      SpdxlicenseBittorrent11
      SpdxlicenseBorceux
      SpdxlicenseBsd1clause
      SpdxlicenseBsd2clausefreebsd
      SpdxlicenseBsd2clausenetbsd
      SpdxlicenseBsd2clausepatent
      SpdxlicenseBsd2clause
      SpdxlicenseBsd3clauseattribution
      SpdxlicenseBsd3clauseclear
      SpdxlicenseBsd3clauselbnl
      SpdxlicenseBsd3clausenonuclearlicense2014
      SpdxlicenseBsd3clausenonuclearlicense
      SpdxlicenseBsd3clausenonuclearwarranty
      SpdxlicenseBsd3clause
      SpdxlicenseBsd4clauseuc
      SpdxlicenseBsd4clause
      SpdxlicenseBsdprotection
      SpdxlicenseBsdsourcecode
      SpdxlicenseBsl10
      SpdxlicenseBzip2105
      SpdxlicenseBzip2106
      SpdxlicenseCaldera
      SpdxlicenseCatosl11
      SpdxlicenseCcby10
      SpdxlicenseCcby20
      SpdxlicenseCcby25
      SpdxlicenseCcby30
      SpdxlicenseCcby40
      SpdxlicenseCcbync10
      SpdxlicenseCcbync20
      SpdxlicenseCcbync25
      SpdxlicenseCcbync30
      SpdxlicenseCcbync40
      SpdxlicenseCcbyncnd10
      SpdxlicenseCcbyncnd20
      SpdxlicenseCcbyncnd25
      SpdxlicenseCcbyncnd30
      SpdxlicenseCcbyncnd40
      SpdxlicenseCcbyncsa10
      SpdxlicenseCcbyncsa20
      SpdxlicenseCcbyncsa25
      SpdxlicenseCcbyncsa30
      SpdxlicenseCcbyncsa40
      SpdxlicenseCcbynd10
      SpdxlicenseCcbynd20
      SpdxlicenseCcbynd25
      SpdxlicenseCcbynd30
      SpdxlicenseCcbynd40
      SpdxlicenseCcbysa10
      SpdxlicenseCcbysa20
      SpdxlicenseCcbysa25
      SpdxlicenseCcbysa30
      SpdxlicenseCcbysa40
      SpdxlicenseCc010
      SpdxlicenseCddl10
      SpdxlicenseCddl11
      SpdxlicenseCdlapermissive10
      SpdxlicenseCdlasharing10
      SpdxlicenseCecill10
      SpdxlicenseCecill11
      SpdxlicenseCecill20
      SpdxlicenseCecill21
      SpdxlicenseCecillb
      SpdxlicenseCecillc
      SpdxlicenseClartistic
      SpdxlicenseCnrijython
      SpdxlicenseCnripythongplcompatible
      SpdxlicenseCnripython
      SpdxlicenseCondor11
      SpdxlicenseCpal10
      SpdxlicenseCpl10
      SpdxlicenseCpol102
      SpdxlicenseCrossword
      SpdxlicenseCrystalstacker
      SpdxlicenseCuaopl10
      SpdxlicenseCube
      SpdxlicenseCurl
      SpdxlicenseDfsl10
      SpdxlicenseDiffmark
      SpdxlicenseDoc
      SpdxlicenseDotseqn
      SpdxlicenseDsdp
      SpdxlicenseDvipdfm
      SpdxlicenseEcl10
      SpdxlicenseEcl20
      SpdxlicenseEfl10
      SpdxlicenseEfl20
      SpdxlicenseEgenix
      SpdxlicenseEntessa
      SpdxlicenseEpl10
      SpdxlicenseEpl20
      SpdxlicenseErlpl11
      SpdxlicenseEudatagrid
      SpdxlicenseEupl10
      SpdxlicenseEupl11
      SpdxlicenseEupl12
      SpdxlicenseEurosym
      SpdxlicenseFair
      SpdxlicenseFrameworx10
      SpdxlicenseFreeimage
      SpdxlicenseFsfap
      SpdxlicenseFsful
      SpdxlicenseFsfullr
      SpdxlicenseFtl
      SpdxlicenseGfdl11only
      SpdxlicenseGfdl11orlater
      SpdxlicenseGfdl12only
      SpdxlicenseGfdl12orlater
      SpdxlicenseGfdl13only
      SpdxlicenseGfdl13orlater
      SpdxlicenseGiftware
      SpdxlicenseGl2ps
      SpdxlicenseGlide
      SpdxlicenseGlulxe
      SpdxlicenseGnuplot
      SpdxlicenseGpl10only
      SpdxlicenseGpl10orlater
      SpdxlicenseGpl20only
      SpdxlicenseGpl20orlater
      SpdxlicenseGpl30only
      SpdxlicenseGpl30orlater
      SpdxlicenseGsoap13b
      SpdxlicenseHaskellreport
      SpdxlicenseHpnd
      SpdxlicenseIbmpibs
      SpdxlicenseIcu
      SpdxlicenseIjg
      SpdxlicenseImagemagick
      SpdxlicenseImatix
      SpdxlicenseImlib2
      SpdxlicenseInfozip
      SpdxlicenseIntelacpi
      SpdxlicenseIntel
      SpdxlicenseInterbase10
      SpdxlicenseIpa
      SpdxlicenseIpl10
      SpdxlicenseIsc
      SpdxlicenseJasper20
      SpdxlicenseJson
      SpdxlicenseLal12
      SpdxlicenseLal13
      SpdxlicenseLatex2e
      SpdxlicenseLeptonica
      SpdxlicenseLgpl20only
      SpdxlicenseLgpl20orlater
      SpdxlicenseLgpl21only
      SpdxlicenseLgpl21orlater
      SpdxlicenseLgpl30only
      SpdxlicenseLgpl30orlater
      SpdxlicenseLgpllr
      SpdxlicenseLibpng
      SpdxlicenseLibtiff
      SpdxlicenseLiliqp11
      SpdxlicenseLiliqr11
      SpdxlicenseLiliqrplus11
      SpdxlicenseLinuxopenib
      SpdxlicenseLpl10
      SpdxlicenseLpl102
      SpdxlicenseLppl10
      SpdxlicenseLppl11
      SpdxlicenseLppl12
      SpdxlicenseLppl13a
      SpdxlicenseLppl13c
      SpdxlicenseMakeindex
      SpdxlicenseMiros
      SpdxlicenseMit0
      SpdxlicenseMitadvertising
      SpdxlicenseMitcmu
      SpdxlicenseMitenna
      SpdxlicenseMitfeh
      SpdxlicenseMit
      SpdxlicenseMitnfa
      SpdxlicenseMotosoto
      SpdxlicenseMpich2
      SpdxlicenseMpl10
      SpdxlicenseMpl11
      SpdxlicenseMpl20nocopyleftexception
      SpdxlicenseMpl20
      SpdxlicenseMspl
      SpdxlicenseMsrl
      SpdxlicenseMtll
      SpdxlicenseMultics
      SpdxlicenseMup
      SpdxlicenseNasa13
      SpdxlicenseNaumen
      SpdxlicenseNbpl10
      SpdxlicenseNcsa
      SpdxlicenseNetsnmp
      SpdxlicenseNetcdf
      SpdxlicenseNewsletr
      SpdxlicenseNgpl
      SpdxlicenseNlod10
      SpdxlicenseNlpl
      SpdxlicenseNokia
      SpdxlicenseNosl
      SpdxlicenseNoweb
      SpdxlicenseNpl10
      SpdxlicenseNpl11
      SpdxlicenseNposl30
      SpdxlicenseNrl
      SpdxlicenseNtp
      SpdxlicenseOcctpl
      SpdxlicenseOclc20
      SpdxlicenseOdbl10
      SpdxlicenseOfl10
      SpdxlicenseOfl11
      SpdxlicenseOgtsl
      SpdxlicenseOldap11
      SpdxlicenseOldap12
      SpdxlicenseOldap13
      SpdxlicenseOldap14
      SpdxlicenseOldap201
      SpdxlicenseOldap20
      SpdxlicenseOldap21
      SpdxlicenseOldap221
      SpdxlicenseOldap222
      SpdxlicenseOldap22
      SpdxlicenseOldap23
      SpdxlicenseOldap24
      SpdxlicenseOldap25
      SpdxlicenseOldap26
      SpdxlicenseOldap27
      SpdxlicenseOldap28
      SpdxlicenseOml
      SpdxlicenseOpenssl
      SpdxlicenseOpl10
      SpdxlicenseOsetpl21
      SpdxlicenseOsl10
      SpdxlicenseOsl11
      SpdxlicenseOsl20
      SpdxlicenseOsl21
      SpdxlicenseOsl30
      SpdxlicensePddl10
      SpdxlicensePhp30
      SpdxlicensePhp301
      SpdxlicensePlexus
      SpdxlicensePostgresql
      SpdxlicensePsfrag
      SpdxlicensePsutils
      SpdxlicensePython20
      SpdxlicenseQhull
      SpdxlicenseQpl10
      SpdxlicenseRdisc
      SpdxlicenseRhecos11
      SpdxlicenseRpl11
      SpdxlicenseRpl15
      SpdxlicenseRpsl10
      SpdxlicenseRsamd
      SpdxlicenseRscpl
      SpdxlicenseRuby
      SpdxlicenseSaxpd
      SpdxlicenseSaxpath
      SpdxlicenseScea
      SpdxlicenseSendmail
      SpdxlicenseSgib10
      SpdxlicenseSgib11
      SpdxlicenseSgib20
      SpdxlicenseSimpl20
      SpdxlicenseSissl12
      SpdxlicenseSissl
      SpdxlicenseSleepycat
      SpdxlicenseSmlnj
      SpdxlicenseSmppl
      SpdxlicenseSnia
      SpdxlicenseSpencer86
      SpdxlicenseSpencer94
      SpdxlicenseSpencer99
      SpdxlicenseSpl10
      SpdxlicenseSugarcrm113
      SpdxlicenseSwl
      SpdxlicenseTcl
      SpdxlicenseTcpwrappers
      SpdxlicenseTmate
      SpdxlicenseTorque11
      SpdxlicenseTosl
      SpdxlicenseUnicodedfs2015
      SpdxlicenseUnicodedfs2016
      SpdxlicenseUnicodetou
      SpdxlicenseUnlicense
      SpdxlicenseUpl10
      SpdxlicenseVim
      SpdxlicenseVostrom
      SpdxlicenseVsl10
      SpdxlicenseW3c19980720
      SpdxlicenseW3c20150513
      SpdxlicenseW3c
      SpdxlicenseWatcom10
      SpdxlicenseWsuipa
      SpdxlicenseWtfpl
      SpdxlicenseX11
      SpdxlicenseXerox
      SpdxlicenseXfree8611
      SpdxlicenseXinetd
      SpdxlicenseXnet
      SpdxlicenseXpp
      SpdxlicenseXskat
      SpdxlicenseYpl10
      SpdxlicenseYpl11
      SpdxlicenseZed
      SpdxlicenseZend20
      SpdxlicenseZimbra13
      SpdxlicenseZimbra14
      SpdxlicenseZlibacknowledgement
      SpdxlicenseZlib
      SpdxlicenseZpl11
      SpdxlicenseZpl20
      SpdxlicenseZpl21
    }

### Constructors

-     SpdxlicenseNotopensource

-     Spdxlicense0bsd

-     SpdxlicenseAal

-     SpdxlicenseAbstyles

-     SpdxlicenseAdobe2006

-     SpdxlicenseAdobeglyph

-     SpdxlicenseAdsl

-     SpdxlicenseAfl11

-     SpdxlicenseAfl12

-     SpdxlicenseAfl20

-     SpdxlicenseAfl21

-     SpdxlicenseAfl30

-     SpdxlicenseAfmparse

-     SpdxlicenseAgpl10only

-     SpdxlicenseAgpl10orlater

-     SpdxlicenseAgpl30only

-     SpdxlicenseAgpl30orlater

-     SpdxlicenseAladdin

-     SpdxlicenseAmdplpa

-     SpdxlicenseAml

-     SpdxlicenseAmpas

-     SpdxlicenseAntlrpd

-     SpdxlicenseApache10

-     SpdxlicenseApache11

-     SpdxlicenseApache20

-     SpdxlicenseApafml

-     SpdxlicenseApl10

-     SpdxlicenseApsl10

-     SpdxlicenseApsl11

-     SpdxlicenseApsl12

-     SpdxlicenseApsl20

-     SpdxlicenseArtistic10cl8

-     SpdxlicenseArtistic10perl

-     SpdxlicenseArtistic10

-     SpdxlicenseArtistic20

-     SpdxlicenseBahyph

-     SpdxlicenseBarr

-     SpdxlicenseBeerware

-     SpdxlicenseBittorrent10

-     SpdxlicenseBittorrent11

-     SpdxlicenseBorceux

-     SpdxlicenseBsd1clause

-     SpdxlicenseBsd2clausefreebsd

-     SpdxlicenseBsd2clausenetbsd

-     SpdxlicenseBsd2clausepatent

-     SpdxlicenseBsd2clause

-     SpdxlicenseBsd3clauseattribution

-     SpdxlicenseBsd3clauseclear

-     SpdxlicenseBsd3clauselbnl

-     SpdxlicenseBsd3clausenonuclearlicense2014

-     SpdxlicenseBsd3clausenonuclearlicense

-     SpdxlicenseBsd3clausenonuclearwarranty

-     SpdxlicenseBsd3clause

-     SpdxlicenseBsd4clauseuc

-     SpdxlicenseBsd4clause

-     SpdxlicenseBsdprotection

-     SpdxlicenseBsdsourcecode

-     SpdxlicenseBsl10

-     SpdxlicenseBzip2105

-     SpdxlicenseBzip2106

-     SpdxlicenseCaldera

-     SpdxlicenseCatosl11

-     SpdxlicenseCcby10

-     SpdxlicenseCcby20

-     SpdxlicenseCcby25

-     SpdxlicenseCcby30

-     SpdxlicenseCcby40

-     SpdxlicenseCcbync10

-     SpdxlicenseCcbync20

-     SpdxlicenseCcbync25

-     SpdxlicenseCcbync30

-     SpdxlicenseCcbync40

-     SpdxlicenseCcbyncnd10

-     SpdxlicenseCcbyncnd20

-     SpdxlicenseCcbyncnd25

-     SpdxlicenseCcbyncnd30

-     SpdxlicenseCcbyncnd40

-     SpdxlicenseCcbyncsa10

-     SpdxlicenseCcbyncsa20

-     SpdxlicenseCcbyncsa25

-     SpdxlicenseCcbyncsa30

-     SpdxlicenseCcbyncsa40

-     SpdxlicenseCcbynd10

-     SpdxlicenseCcbynd20

-     SpdxlicenseCcbynd25

-     SpdxlicenseCcbynd30

-     SpdxlicenseCcbynd40

-     SpdxlicenseCcbysa10

-     SpdxlicenseCcbysa20

-     SpdxlicenseCcbysa25

-     SpdxlicenseCcbysa30

-     SpdxlicenseCcbysa40

-     SpdxlicenseCc010

-     SpdxlicenseCddl10

-     SpdxlicenseCddl11

-     SpdxlicenseCdlapermissive10

-     SpdxlicenseCdlasharing10

-     SpdxlicenseCecill10

-     SpdxlicenseCecill11

-     SpdxlicenseCecill20

-     SpdxlicenseCecill21

-     SpdxlicenseCecillb

-     SpdxlicenseCecillc

-     SpdxlicenseClartistic

-     SpdxlicenseCnrijython

-     SpdxlicenseCnripythongplcompatible

-     SpdxlicenseCnripython

-     SpdxlicenseCondor11

-     SpdxlicenseCpal10

-     SpdxlicenseCpl10

-     SpdxlicenseCpol102

-     SpdxlicenseCrossword

-     SpdxlicenseCrystalstacker

-     SpdxlicenseCuaopl10

-     SpdxlicenseCube

-     SpdxlicenseCurl

-     SpdxlicenseDfsl10

-     SpdxlicenseDiffmark

-     SpdxlicenseDoc

-     SpdxlicenseDotseqn

-     SpdxlicenseDsdp

-     SpdxlicenseDvipdfm

-     SpdxlicenseEcl10

-     SpdxlicenseEcl20

-     SpdxlicenseEfl10

-     SpdxlicenseEfl20

-     SpdxlicenseEgenix

-     SpdxlicenseEntessa

-     SpdxlicenseEpl10

-     SpdxlicenseEpl20

-     SpdxlicenseErlpl11

-     SpdxlicenseEudatagrid

-     SpdxlicenseEupl10

-     SpdxlicenseEupl11

-     SpdxlicenseEupl12

-     SpdxlicenseEurosym

-     SpdxlicenseFair

-     SpdxlicenseFrameworx10

-     SpdxlicenseFreeimage

-     SpdxlicenseFsfap

-     SpdxlicenseFsful

-     SpdxlicenseFsfullr

-     SpdxlicenseFtl

-     SpdxlicenseGfdl11only

-     SpdxlicenseGfdl11orlater

-     SpdxlicenseGfdl12only

-     SpdxlicenseGfdl12orlater

-     SpdxlicenseGfdl13only

-     SpdxlicenseGfdl13orlater

-     SpdxlicenseGiftware

-     SpdxlicenseGl2ps

-     SpdxlicenseGlide

-     SpdxlicenseGlulxe

-     SpdxlicenseGnuplot

-     SpdxlicenseGpl10only

-     SpdxlicenseGpl10orlater

-     SpdxlicenseGpl20only

-     SpdxlicenseGpl20orlater

-     SpdxlicenseGpl30only

-     SpdxlicenseGpl30orlater

-     SpdxlicenseGsoap13b

-     SpdxlicenseHaskellreport

-     SpdxlicenseHpnd

-     SpdxlicenseIbmpibs

-     SpdxlicenseIcu

-     SpdxlicenseIjg

-     SpdxlicenseImagemagick

-     SpdxlicenseImatix

-     SpdxlicenseImlib2

-     SpdxlicenseInfozip

-     SpdxlicenseIntelacpi

-     SpdxlicenseIntel

-     SpdxlicenseInterbase10

-     SpdxlicenseIpa

-     SpdxlicenseIpl10

-     SpdxlicenseIsc

-     SpdxlicenseJasper20

-     SpdxlicenseJson

-     SpdxlicenseLal12

-     SpdxlicenseLal13

-     SpdxlicenseLatex2e

-     SpdxlicenseLeptonica

-     SpdxlicenseLgpl20only

-     SpdxlicenseLgpl20orlater

-     SpdxlicenseLgpl21only

-     SpdxlicenseLgpl21orlater

-     SpdxlicenseLgpl30only

-     SpdxlicenseLgpl30orlater

-     SpdxlicenseLgpllr

-     SpdxlicenseLibpng

-     SpdxlicenseLibtiff

-     SpdxlicenseLiliqp11

-     SpdxlicenseLiliqr11

-     SpdxlicenseLiliqrplus11

-     SpdxlicenseLinuxopenib

-     SpdxlicenseLpl10

-     SpdxlicenseLpl102

-     SpdxlicenseLppl10

-     SpdxlicenseLppl11

-     SpdxlicenseLppl12

-     SpdxlicenseLppl13a

-     SpdxlicenseLppl13c

-     SpdxlicenseMakeindex

-     SpdxlicenseMiros

-     SpdxlicenseMit0

-     SpdxlicenseMitadvertising

-     SpdxlicenseMitcmu

-     SpdxlicenseMitenna

-     SpdxlicenseMitfeh

-     SpdxlicenseMit

-     SpdxlicenseMitnfa

-     SpdxlicenseMotosoto

-     SpdxlicenseMpich2

-     SpdxlicenseMpl10

-     SpdxlicenseMpl11

-     SpdxlicenseMpl20nocopyleftexception

-     SpdxlicenseMpl20

-     SpdxlicenseMspl

-     SpdxlicenseMsrl

-     SpdxlicenseMtll

-     SpdxlicenseMultics

-     SpdxlicenseMup

-     SpdxlicenseNasa13

-     SpdxlicenseNaumen

-     SpdxlicenseNbpl10

-     SpdxlicenseNcsa

-     SpdxlicenseNetsnmp

-     SpdxlicenseNetcdf

-     SpdxlicenseNewsletr

-     SpdxlicenseNgpl

-     SpdxlicenseNlod10

-     SpdxlicenseNlpl

-     SpdxlicenseNokia

-     SpdxlicenseNosl

-     SpdxlicenseNoweb

-     SpdxlicenseNpl10

-     SpdxlicenseNpl11

-     SpdxlicenseNposl30

-     SpdxlicenseNrl

-     SpdxlicenseNtp

-     SpdxlicenseOcctpl

-     SpdxlicenseOclc20

-     SpdxlicenseOdbl10

-     SpdxlicenseOfl10

-     SpdxlicenseOfl11

-     SpdxlicenseOgtsl

-     SpdxlicenseOldap11

-     SpdxlicenseOldap12

-     SpdxlicenseOldap13

-     SpdxlicenseOldap14

-     SpdxlicenseOldap201

-     SpdxlicenseOldap20

-     SpdxlicenseOldap21

-     SpdxlicenseOldap221

-     SpdxlicenseOldap222

-     SpdxlicenseOldap22

-     SpdxlicenseOldap23

-     SpdxlicenseOldap24

-     SpdxlicenseOldap25

-     SpdxlicenseOldap26

-     SpdxlicenseOldap27

-     SpdxlicenseOldap28

-     SpdxlicenseOml

-     SpdxlicenseOpenssl

-     SpdxlicenseOpl10

-     SpdxlicenseOsetpl21

-     SpdxlicenseOsl10

-     SpdxlicenseOsl11

-     SpdxlicenseOsl20

-     SpdxlicenseOsl21

-     SpdxlicenseOsl30

-     SpdxlicensePddl10

-     SpdxlicensePhp30

-     SpdxlicensePhp301

-     SpdxlicensePlexus

-     SpdxlicensePostgresql

-     SpdxlicensePsfrag

-     SpdxlicensePsutils

-     SpdxlicensePython20

-     SpdxlicenseQhull

-     SpdxlicenseQpl10

-     SpdxlicenseRdisc

-     SpdxlicenseRhecos11

-     SpdxlicenseRpl11

-     SpdxlicenseRpl15

-     SpdxlicenseRpsl10

-     SpdxlicenseRsamd

-     SpdxlicenseRscpl

-     SpdxlicenseRuby

-     SpdxlicenseSaxpd

-     SpdxlicenseSaxpath

-     SpdxlicenseScea

-     SpdxlicenseSendmail

-     SpdxlicenseSgib10

-     SpdxlicenseSgib11

-     SpdxlicenseSgib20

-     SpdxlicenseSimpl20

-     SpdxlicenseSissl12

-     SpdxlicenseSissl

-     SpdxlicenseSleepycat

-     SpdxlicenseSmlnj

-     SpdxlicenseSmppl

-     SpdxlicenseSnia

-     SpdxlicenseSpencer86

-     SpdxlicenseSpencer94

-     SpdxlicenseSpencer99

-     SpdxlicenseSpl10

-     SpdxlicenseSugarcrm113

-     SpdxlicenseSwl

-     SpdxlicenseTcl

-     SpdxlicenseTcpwrappers

-     SpdxlicenseTmate

-     SpdxlicenseTorque11

-     SpdxlicenseTosl

-     SpdxlicenseUnicodedfs2015

-     SpdxlicenseUnicodedfs2016

-     SpdxlicenseUnicodetou

-     SpdxlicenseUnlicense

-     SpdxlicenseUpl10

-     SpdxlicenseVim

-     SpdxlicenseVostrom

-     SpdxlicenseVsl10

-     SpdxlicenseW3c19980720

-     SpdxlicenseW3c20150513

-     SpdxlicenseW3c

-     SpdxlicenseWatcom10

-     SpdxlicenseWsuipa

-     SpdxlicenseWtfpl

-     SpdxlicenseX11

-     SpdxlicenseXerox

-     SpdxlicenseXfree8611

-     SpdxlicenseXinetd

-     SpdxlicenseXnet

-     SpdxlicenseXpp

-     SpdxlicenseXskat

-     SpdxlicenseYpl10

-     SpdxlicenseYpl11

-     SpdxlicenseZed

-     SpdxlicenseZend20

-     SpdxlicenseZimbra13

-     SpdxlicenseZimbra14

-     SpdxlicenseZlibacknowledgement

-     SpdxlicenseZlib

-     SpdxlicenseZpl11

-     SpdxlicenseZpl20

-     SpdxlicenseZpl21

## Specimencontainedpreference

</>

    pub type Specimencontainedpreference {
      SpecimencontainedpreferencePreferred
      SpecimencontainedpreferenceAlternate
    }

### Constructors

-     SpecimencontainedpreferencePreferred

-     SpecimencontainedpreferenceAlternate

## Specimenstatus

</>

    pub type Specimenstatus {
      SpecimenstatusAvailable
      SpecimenstatusUnavailable
      SpecimenstatusUnsatisfactory
      SpecimenstatusEnteredinerror
    }

### Constructors

-     SpecimenstatusAvailable

-     SpecimenstatusUnavailable

-     SpecimenstatusUnsatisfactory

-     SpecimenstatusEnteredinerror

## Strandtype

</>

    pub type Strandtype {
      StrandtypeWatson
      StrandtypeCrick
    }

### Constructors

-     StrandtypeWatson

-     StrandtypeCrick

## Structuredefinitionkind

</>

    pub type Structuredefinitionkind {
      StructuredefinitionkindPrimitivetype
      StructuredefinitionkindComplextype
      StructuredefinitionkindResource
      StructuredefinitionkindLogical
    }

### Constructors

-     StructuredefinitionkindPrimitivetype

-     StructuredefinitionkindComplextype

-     StructuredefinitionkindResource

-     StructuredefinitionkindLogical

## Subscriptionchanneltype

</>

    pub type Subscriptionchanneltype {
      SubscriptionchanneltypeResthook
      SubscriptionchanneltypeWebsocket
      SubscriptionchanneltypeEmail
      SubscriptionchanneltypeSms
      SubscriptionchanneltypeMessage
    }

### Constructors

-     SubscriptionchanneltypeResthook

-     SubscriptionchanneltypeWebsocket

-     SubscriptionchanneltypeEmail

-     SubscriptionchanneltypeSms

-     SubscriptionchanneltypeMessage

## Subscriptionnotificationtype

</>

    pub type Subscriptionnotificationtype {
      SubscriptionnotificationtypeHandshake
      SubscriptionnotificationtypeHeartbeat
      SubscriptionnotificationtypeEventnotification
      SubscriptionnotificationtypeQuerystatus
      SubscriptionnotificationtypeQueryevent
    }

### Constructors

-     SubscriptionnotificationtypeHandshake

-     SubscriptionnotificationtypeHeartbeat

-     SubscriptionnotificationtypeEventnotification

-     SubscriptionnotificationtypeQuerystatus

-     SubscriptionnotificationtypeQueryevent

## Subscriptionsearchmodifier

</>

    pub type Subscriptionsearchmodifier {
      SubscriptionsearchmodifierEqual
      SubscriptionsearchmodifierEq
      SubscriptionsearchmodifierNe
      SubscriptionsearchmodifierGt
      SubscriptionsearchmodifierLt
      SubscriptionsearchmodifierGe
      SubscriptionsearchmodifierLe
      SubscriptionsearchmodifierSa
      SubscriptionsearchmodifierEb
      SubscriptionsearchmodifierAp
      SubscriptionsearchmodifierAbove
      SubscriptionsearchmodifierBelow
      SubscriptionsearchmodifierIn
      SubscriptionsearchmodifierNotin
      SubscriptionsearchmodifierOftype
    }

### Constructors

-     SubscriptionsearchmodifierEqual

-     SubscriptionsearchmodifierEq

-     SubscriptionsearchmodifierNe

-     SubscriptionsearchmodifierGt

-     SubscriptionsearchmodifierLt

-     SubscriptionsearchmodifierGe

-     SubscriptionsearchmodifierLe

-     SubscriptionsearchmodifierSa

-     SubscriptionsearchmodifierEb

-     SubscriptionsearchmodifierAp

-     SubscriptionsearchmodifierAbove

-     SubscriptionsearchmodifierBelow

-     SubscriptionsearchmodifierIn

-     SubscriptionsearchmodifierNotin

-     SubscriptionsearchmodifierOftype

## Subscriptionstatus

</>

    pub type Subscriptionstatus {
      SubscriptionstatusRequested
      SubscriptionstatusActive
      SubscriptionstatusError
      SubscriptionstatusOff
    }

### Constructors

-     SubscriptionstatusRequested

-     SubscriptionstatusActive

-     SubscriptionstatusError

-     SubscriptionstatusOff

## Subscriptiontopiccrbehavior

</>

    pub type Subscriptiontopiccrbehavior {
      SubscriptiontopiccrbehaviorTestpasses
      SubscriptiontopiccrbehaviorTestfails
    }

### Constructors

-     SubscriptiontopiccrbehaviorTestpasses

-     SubscriptiontopiccrbehaviorTestfails

## Substancestatus

</>

    pub type Substancestatus {
      SubstancestatusActive
      SubstancestatusInactive
      SubstancestatusEnteredinerror
    }

### Constructors

-     SubstancestatusActive

-     SubstancestatusInactive

-     SubstancestatusEnteredinerror

## Supplydeliverystatus

</>

    pub type Supplydeliverystatus {
      SupplydeliverystatusInprogress
      SupplydeliverystatusCompleted
      SupplydeliverystatusAbandoned
      SupplydeliverystatusEnteredinerror
    }

### Constructors

-     SupplydeliverystatusInprogress

-     SupplydeliverystatusCompleted

-     SupplydeliverystatusAbandoned

-     SupplydeliverystatusEnteredinerror

## Supplyrequeststatus

</>

    pub type Supplyrequeststatus {
      SupplyrequeststatusDraft
      SupplyrequeststatusActive
      SupplyrequeststatusSuspended
      SupplyrequeststatusCancelled
      SupplyrequeststatusCompleted
      SupplyrequeststatusEnteredinerror
      SupplyrequeststatusUnknown
    }

### Constructors

-     SupplyrequeststatusDraft

-     SupplyrequeststatusActive

-     SupplyrequeststatusSuspended

-     SupplyrequeststatusCancelled

-     SupplyrequeststatusCompleted

-     SupplyrequeststatusEnteredinerror

-     SupplyrequeststatusUnknown

## Systemrestfulinteraction

</>

    pub type Systemrestfulinteraction {
      SystemrestfulinteractionTransaction
      SystemrestfulinteractionBatch
      SystemrestfulinteractionSearchsystem
      SystemrestfulinteractionHistorysystem
    }

### Constructors

-     SystemrestfulinteractionTransaction

-     SystemrestfulinteractionBatch

-     SystemrestfulinteractionSearchsystem

-     SystemrestfulinteractionHistorysystem

## Taskintent

</>

    pub type Taskintent {
      TaskintentUnknown
      TaskintentProposal
      TaskintentPlan
      TaskintentOrder
      TaskintentOriginalorder
      TaskintentReflexorder
      TaskintentFillerorder
      TaskintentInstanceorder
      TaskintentOption
    }

### Constructors

-     TaskintentUnknown

-     TaskintentProposal

-     TaskintentPlan

-     TaskintentOrder

-     TaskintentOriginalorder

-     TaskintentReflexorder

-     TaskintentFillerorder

-     TaskintentInstanceorder

-     TaskintentOption

## Taskstatus

</>

    pub type Taskstatus {
      TaskstatusDraft
      TaskstatusRequested
      TaskstatusReceived
      TaskstatusAccepted
      TaskstatusRejected
      TaskstatusReady
      TaskstatusCancelled
      TaskstatusInprogress
      TaskstatusOnhold
      TaskstatusFailed
      TaskstatusCompleted
      TaskstatusEnteredinerror
    }

### Constructors

-     TaskstatusDraft

-     TaskstatusRequested

-     TaskstatusReceived

-     TaskstatusAccepted

-     TaskstatusRejected

-     TaskstatusReady

-     TaskstatusCancelled

-     TaskstatusInprogress

-     TaskstatusOnhold

-     TaskstatusFailed

-     TaskstatusCompleted

-     TaskstatusEnteredinerror

## Triggertype

</>

    pub type Triggertype {
      TriggertypeNamedevent
      TriggertypePeriodic
      TriggertypeDatachanged
      TriggertypeDataadded
      TriggertypeDatamodified
      TriggertypeDataremoved
      TriggertypeDataaccessed
      TriggertypeDataaccessended
    }

### Constructors

-     TriggertypeNamedevent

-     TriggertypePeriodic

-     TriggertypeDatachanged

-     TriggertypeDataadded

-     TriggertypeDatamodified

-     TriggertypeDataremoved

-     TriggertypeDataaccessed

-     TriggertypeDataaccessended

## Typederivationrule

</>

    pub type Typederivationrule {
      TypederivationruleSpecialization
      TypederivationruleConstraint
    }

### Constructors

-     TypederivationruleSpecialization

-     TypederivationruleConstraint

## Typerestfulinteraction

</>

    pub type Typerestfulinteraction {
      TyperestfulinteractionRead
      TyperestfulinteractionVread
      TyperestfulinteractionUpdate
      TyperestfulinteractionPatch
      TyperestfulinteractionDelete
      TyperestfulinteractionHistoryinstance
      TyperestfulinteractionHistorytype
      TyperestfulinteractionCreate
      TyperestfulinteractionSearchtype
    }

### Constructors

-     TyperestfulinteractionRead

-     TyperestfulinteractionVread

-     TyperestfulinteractionUpdate

-     TyperestfulinteractionPatch

-     TyperestfulinteractionDelete

-     TyperestfulinteractionHistoryinstance

-     TyperestfulinteractionHistorytype

-     TyperestfulinteractionCreate

-     TyperestfulinteractionSearchtype

## Udientrytype

</>

    pub type Udientrytype {
      UdientrytypeBarcode
      UdientrytypeRfid
      UdientrytypeManual
      UdientrytypeCard
      UdientrytypeSelfreported
      UdientrytypeUnknown
    }

### Constructors

-     UdientrytypeBarcode

-     UdientrytypeRfid

-     UdientrytypeManual

-     UdientrytypeCard

-     UdientrytypeSelfreported

-     UdientrytypeUnknown

## Unitsoftime

</>

    pub type Unitsoftime {
      UnitsoftimeS
      UnitsoftimeMin
      UnitsoftimeH
      UnitsoftimeD
      UnitsoftimeWk
      UnitsoftimeMo
      UnitsoftimeA
    }

### Constructors

-     UnitsoftimeS

-     UnitsoftimeMin

-     UnitsoftimeH

-     UnitsoftimeD

-     UnitsoftimeWk

-     UnitsoftimeMo

-     UnitsoftimeA

## Variablehandling

</>

    pub type Variablehandling {
      VariablehandlingContinuous
      VariablehandlingDichotomous
      VariablehandlingOrdinal
      VariablehandlingPolychotomous
    }

### Constructors

-     VariablehandlingContinuous

-     VariablehandlingDichotomous

-     VariablehandlingOrdinal

-     VariablehandlingPolychotomous

## Variabletype

</>

    pub type Variabletype {
      VariabletypeDichotomous
      VariabletypeContinuous
      VariabletypeDescriptive
    }

### Constructors

-     VariabletypeDichotomous

-     VariabletypeContinuous

-     VariabletypeDescriptive

## Verificationresultstatus

</>

    pub type Verificationresultstatus {
      VerificationresultstatusAttested
      VerificationresultstatusValidated
      VerificationresultstatusInprocess
      VerificationresultstatusReqrevalid
      VerificationresultstatusValfail
      VerificationresultstatusRevalfail
    }

### Constructors

-     VerificationresultstatusAttested

-     VerificationresultstatusValidated

-     VerificationresultstatusInprocess

-     VerificationresultstatusReqrevalid

-     VerificationresultstatusValfail

-     VerificationresultstatusRevalfail

## Versioningpolicy

</>

    pub type Versioningpolicy {
      VersioningpolicyNoversion
      VersioningpolicyVersioned
      VersioningpolicyVersionedupdate
    }

### Constructors

-     VersioningpolicyNoversion

-     VersioningpolicyVersioned

-     VersioningpolicyVersionedupdate

## Visionbasecodes

</>

    pub type Visionbasecodes {
      VisionbasecodesUp
      VisionbasecodesDown
      VisionbasecodesIn
      VisionbasecodesOut
    }

### Constructors

-     VisionbasecodesUp

-     VisionbasecodesDown

-     VisionbasecodesIn

-     VisionbasecodesOut

## Visioneyecodes

</>

    pub type Visioneyecodes {
      VisioneyecodesRight
      VisioneyecodesLeft
    }

### Constructors

-     VisioneyecodesRight

-     VisioneyecodesLeft

# Values

## accountstatus_decoder

</>

    pub fn accountstatus_decoder() -> decode.Decoder(Accountstatus)

## accountstatus_to_json

</>

    pub fn accountstatus_to_json(
      accountstatus: Accountstatus,
    ) -> json.Json

## actioncardinalitybehavior_decoder

</>

    pub fn actioncardinalitybehavior_decoder() -> decode.Decoder(
      Actioncardinalitybehavior,
    )

## actioncardinalitybehavior_to_json

</>

    pub fn actioncardinalitybehavior_to_json(
      actioncardinalitybehavior: Actioncardinalitybehavior,
    ) -> json.Json

## actionconditionkind_decoder

</>

    pub fn actionconditionkind_decoder() -> decode.Decoder(
      Actionconditionkind,
    )

## actionconditionkind_to_json

</>

    pub fn actionconditionkind_to_json(
      actionconditionkind: Actionconditionkind,
    ) -> json.Json

## actiongroupingbehavior_decoder

</>

    pub fn actiongroupingbehavior_decoder() -> decode.Decoder(
      Actiongroupingbehavior,
    )

## actiongroupingbehavior_to_json

</>

    pub fn actiongroupingbehavior_to_json(
      actiongroupingbehavior: Actiongroupingbehavior,
    ) -> json.Json

## actionparticipanttype_decoder

</>

    pub fn actionparticipanttype_decoder() -> decode.Decoder(
      Actionparticipanttype,
    )

## actionparticipanttype_to_json

</>

    pub fn actionparticipanttype_to_json(
      actionparticipanttype: Actionparticipanttype,
    ) -> json.Json

## actionprecheckbehavior_decoder

</>

    pub fn actionprecheckbehavior_decoder() -> decode.Decoder(
      Actionprecheckbehavior,
    )

## actionprecheckbehavior_to_json

</>

    pub fn actionprecheckbehavior_to_json(
      actionprecheckbehavior: Actionprecheckbehavior,
    ) -> json.Json

## actionrelationshiptype_decoder

</>

    pub fn actionrelationshiptype_decoder() -> decode.Decoder(
      Actionrelationshiptype,
    )

## actionrelationshiptype_to_json

</>

    pub fn actionrelationshiptype_to_json(
      actionrelationshiptype: Actionrelationshiptype,
    ) -> json.Json

## actionrequiredbehavior_decoder

</>

    pub fn actionrequiredbehavior_decoder() -> decode.Decoder(
      Actionrequiredbehavior,
    )

## actionrequiredbehavior_to_json

</>

    pub fn actionrequiredbehavior_to_json(
      actionrequiredbehavior: Actionrequiredbehavior,
    ) -> json.Json

## actionselectionbehavior_decoder

</>

    pub fn actionselectionbehavior_decoder() -> decode.Decoder(
      Actionselectionbehavior,
    )

## actionselectionbehavior_to_json

</>

    pub fn actionselectionbehavior_to_json(
      actionselectionbehavior: Actionselectionbehavior,
    ) -> json.Json

## addresstype_decoder

</>

    pub fn addresstype_decoder() -> decode.Decoder(Addresstype)

## addresstype_to_json

</>

    pub fn addresstype_to_json(addresstype: Addresstype) -> json.Json

## addressuse_decoder

</>

    pub fn addressuse_decoder() -> decode.Decoder(Addressuse)

## addressuse_to_json

</>

    pub fn addressuse_to_json(addressuse: Addressuse) -> json.Json

## administrativegender_decoder

</>

    pub fn administrativegender_decoder() -> decode.Decoder(
      Administrativegender,
    )

## administrativegender_to_json

</>

    pub fn administrativegender_to_json(
      administrativegender: Administrativegender,
    ) -> json.Json

## adverseeventactuality_decoder

</>

    pub fn adverseeventactuality_decoder() -> decode.Decoder(
      Adverseeventactuality,
    )

## adverseeventactuality_to_json

</>

    pub fn adverseeventactuality_to_json(
      adverseeventactuality: Adverseeventactuality,
    ) -> json.Json

## allergyintolerancecategory_decoder

</>

    pub fn allergyintolerancecategory_decoder() -> decode.Decoder(
      Allergyintolerancecategory,
    )

## allergyintolerancecategory_to_json

</>

    pub fn allergyintolerancecategory_to_json(
      allergyintolerancecategory: Allergyintolerancecategory,
    ) -> json.Json

## allergyintolerancecriticality_decoder

</>

    pub fn allergyintolerancecriticality_decoder() -> decode.Decoder(
      Allergyintolerancecriticality,
    )

## allergyintolerancecriticality_to_json

</>

    pub fn allergyintolerancecriticality_to_json(
      allergyintolerancecriticality: Allergyintolerancecriticality,
    ) -> json.Json

## allergyintolerancetype_decoder

</>

    pub fn allergyintolerancetype_decoder() -> decode.Decoder(
      Allergyintolerancetype,
    )

## allergyintolerancetype_to_json

</>

    pub fn allergyintolerancetype_to_json(
      allergyintolerancetype: Allergyintolerancetype,
    ) -> json.Json

## alltypes_decoder

</>

    pub fn alltypes_decoder() -> decode.Decoder(Alltypes)

## alltypes_to_json

</>

    pub fn alltypes_to_json(alltypes: Alltypes) -> json.Json

## appointmentstatus_decoder

</>

    pub fn appointmentstatus_decoder() -> decode.Decoder(
      Appointmentstatus,
    )

## appointmentstatus_to_json

</>

    pub fn appointmentstatus_to_json(
      appointmentstatus: Appointmentstatus,
    ) -> json.Json

## assertdirectioncodes_decoder

</>

    pub fn assertdirectioncodes_decoder() -> decode.Decoder(
      Assertdirectioncodes,
    )

## assertdirectioncodes_to_json

</>

    pub fn assertdirectioncodes_to_json(
      assertdirectioncodes: Assertdirectioncodes,
    ) -> json.Json

## assertoperatorcodes_decoder

</>

    pub fn assertoperatorcodes_decoder() -> decode.Decoder(
      Assertoperatorcodes,
    )

## assertoperatorcodes_to_json

</>

    pub fn assertoperatorcodes_to_json(
      assertoperatorcodes: Assertoperatorcodes,
    ) -> json.Json

## assertresponsecodetypes_decoder

</>

    pub fn assertresponsecodetypes_decoder() -> decode.Decoder(
      Assertresponsecodetypes,
    )

## assertresponsecodetypes_to_json

</>

    pub fn assertresponsecodetypes_to_json(
      assertresponsecodetypes: Assertresponsecodetypes,
    ) -> json.Json

## auditeventaction_decoder

</>

    pub fn auditeventaction_decoder() -> decode.Decoder(
      Auditeventaction,
    )

## auditeventaction_to_json

</>

    pub fn auditeventaction_to_json(
      auditeventaction: Auditeventaction,
    ) -> json.Json

## auditeventoutcome_decoder

</>

    pub fn auditeventoutcome_decoder() -> decode.Decoder(
      Auditeventoutcome,
    )

## auditeventoutcome_to_json

</>

    pub fn auditeventoutcome_to_json(
      auditeventoutcome: Auditeventoutcome,
    ) -> json.Json

## bindingstrength_decoder

</>

    pub fn bindingstrength_decoder() -> decode.Decoder(
      Bindingstrength,
    )

## bindingstrength_to_json

</>

    pub fn bindingstrength_to_json(
      bindingstrength: Bindingstrength,
    ) -> json.Json

## bundletype_decoder

</>

    pub fn bundletype_decoder() -> decode.Decoder(Bundletype)

## bundletype_to_json

</>

    pub fn bundletype_to_json(bundletype: Bundletype) -> json.Json

## capabilitystatementkind_decoder

</>

    pub fn capabilitystatementkind_decoder() -> decode.Decoder(
      Capabilitystatementkind,
    )

## capabilitystatementkind_to_json

</>

    pub fn capabilitystatementkind_to_json(
      capabilitystatementkind: Capabilitystatementkind,
    ) -> json.Json

## careplanactivitykind_decoder

</>

    pub fn careplanactivitykind_decoder() -> decode.Decoder(
      Careplanactivitykind,
    )

## careplanactivitykind_to_json

</>

    pub fn careplanactivitykind_to_json(
      careplanactivitykind: Careplanactivitykind,
    ) -> json.Json

## careplanactivitystatus_decoder

</>

    pub fn careplanactivitystatus_decoder() -> decode.Decoder(
      Careplanactivitystatus,
    )

## careplanactivitystatus_to_json

</>

    pub fn careplanactivitystatus_to_json(
      careplanactivitystatus: Careplanactivitystatus,
    ) -> json.Json

## careplanintent_decoder

</>

    pub fn careplanintent_decoder() -> decode.Decoder(Careplanintent)

## careplanintent_to_json

</>

    pub fn careplanintent_to_json(
      careplanintent: Careplanintent,
    ) -> json.Json

## careteamstatus_decoder

</>

    pub fn careteamstatus_decoder() -> decode.Decoder(Careteamstatus)

## careteamstatus_to_json

</>

    pub fn careteamstatus_to_json(
      careteamstatus: Careteamstatus,
    ) -> json.Json

## characteristiccombination_decoder

</>

    pub fn characteristiccombination_decoder() -> decode.Decoder(
      Characteristiccombination,
    )

## characteristiccombination_to_json

</>

    pub fn characteristiccombination_to_json(
      characteristiccombination: Characteristiccombination,
    ) -> json.Json

## chargeitemstatus_decoder

</>

    pub fn chargeitemstatus_decoder() -> decode.Decoder(
      Chargeitemstatus,
    )

## chargeitemstatus_to_json

</>

    pub fn chargeitemstatus_to_json(
      chargeitemstatus: Chargeitemstatus,
    ) -> json.Json

## claimuse_decoder

</>

    pub fn claimuse_decoder() -> decode.Decoder(Claimuse)

## claimuse_to_json

</>

    pub fn claimuse_to_json(claimuse: Claimuse) -> json.Json

## clinicalimpressionstatus_decoder

</>

    pub fn clinicalimpressionstatus_decoder() -> decode.Decoder(
      Clinicalimpressionstatus,
    )

## clinicalimpressionstatus_to_json

</>

    pub fn clinicalimpressionstatus_to_json(
      clinicalimpressionstatus: Clinicalimpressionstatus,
    ) -> json.Json

## clinicalusedefinitiontype_decoder

</>

    pub fn clinicalusedefinitiontype_decoder() -> decode.Decoder(
      Clinicalusedefinitiontype,
    )

## clinicalusedefinitiontype_to_json

</>

    pub fn clinicalusedefinitiontype_to_json(
      clinicalusedefinitiontype: Clinicalusedefinitiontype,
    ) -> json.Json

## codesearchsupport_decoder

</>

    pub fn codesearchsupport_decoder() -> decode.Decoder(
      Codesearchsupport,
    )

## codesearchsupport_to_json

</>

    pub fn codesearchsupport_to_json(
      codesearchsupport: Codesearchsupport,
    ) -> json.Json

## codesystemcontentmode_decoder

</>

    pub fn codesystemcontentmode_decoder() -> decode.Decoder(
      Codesystemcontentmode,
    )

## codesystemcontentmode_to_json

</>

    pub fn codesystemcontentmode_to_json(
      codesystemcontentmode: Codesystemcontentmode,
    ) -> json.Json

## codesystemhierarchymeaning_decoder

</>

    pub fn codesystemhierarchymeaning_decoder() -> decode.Decoder(
      Codesystemhierarchymeaning,
    )

## codesystemhierarchymeaning_to_json

</>

    pub fn codesystemhierarchymeaning_to_json(
      codesystemhierarchymeaning: Codesystemhierarchymeaning,
    ) -> json.Json

## compartmenttype_decoder

</>

    pub fn compartmenttype_decoder() -> decode.Decoder(
      Compartmenttype,
    )

## compartmenttype_to_json

</>

    pub fn compartmenttype_to_json(
      compartmenttype: Compartmenttype,
    ) -> json.Json

## compositionattestationmode_decoder

</>

    pub fn compositionattestationmode_decoder() -> decode.Decoder(
      Compositionattestationmode,
    )

## compositionattestationmode_to_json

</>

    pub fn compositionattestationmode_to_json(
      compositionattestationmode: Compositionattestationmode,
    ) -> json.Json

## compositionstatus_decoder

</>

    pub fn compositionstatus_decoder() -> decode.Decoder(
      Compositionstatus,
    )

## compositionstatus_to_json

</>

    pub fn compositionstatus_to_json(
      compositionstatus: Compositionstatus,
    ) -> json.Json

## conceptmapequivalence_decoder

</>

    pub fn conceptmapequivalence_decoder() -> decode.Decoder(
      Conceptmapequivalence,
    )

## conceptmapequivalence_to_json

</>

    pub fn conceptmapequivalence_to_json(
      conceptmapequivalence: Conceptmapequivalence,
    ) -> json.Json

## conceptmapunmappedmode_decoder

</>

    pub fn conceptmapunmappedmode_decoder() -> decode.Decoder(
      Conceptmapunmappedmode,
    )

## conceptmapunmappedmode_to_json

</>

    pub fn conceptmapunmappedmode_to_json(
      conceptmapunmappedmode: Conceptmapunmappedmode,
    ) -> json.Json

## conceptpropertytype_decoder

</>

    pub fn conceptpropertytype_decoder() -> decode.Decoder(
      Conceptpropertytype,
    )

## conceptpropertytype_to_json

</>

    pub fn conceptpropertytype_to_json(
      conceptpropertytype: Conceptpropertytype,
    ) -> json.Json

## conditionaldeletestatus_decoder

</>

    pub fn conditionaldeletestatus_decoder() -> decode.Decoder(
      Conditionaldeletestatus,
    )

## conditionaldeletestatus_to_json

</>

    pub fn conditionaldeletestatus_to_json(
      conditionaldeletestatus: Conditionaldeletestatus,
    ) -> json.Json

## conditionalreadstatus_decoder

</>

    pub fn conditionalreadstatus_decoder() -> decode.Decoder(
      Conditionalreadstatus,
    )

## conditionalreadstatus_to_json

</>

    pub fn conditionalreadstatus_to_json(
      conditionalreadstatus: Conditionalreadstatus,
    ) -> json.Json

## consentdatameaning_decoder

</>

    pub fn consentdatameaning_decoder() -> decode.Decoder(
      Consentdatameaning,
    )

## consentdatameaning_to_json

</>

    pub fn consentdatameaning_to_json(
      consentdatameaning: Consentdatameaning,
    ) -> json.Json

## consentprovisiontype_decoder

</>

    pub fn consentprovisiontype_decoder() -> decode.Decoder(
      Consentprovisiontype,
    )

## consentprovisiontype_to_json

</>

    pub fn consentprovisiontype_to_json(
      consentprovisiontype: Consentprovisiontype,
    ) -> json.Json

## consentstatecodes_decoder

</>

    pub fn consentstatecodes_decoder() -> decode.Decoder(
      Consentstatecodes,
    )

## consentstatecodes_to_json

</>

    pub fn consentstatecodes_to_json(
      consentstatecodes: Consentstatecodes,
    ) -> json.Json

## constraintseverity_decoder

</>

    pub fn constraintseverity_decoder() -> decode.Decoder(
      Constraintseverity,
    )

## constraintseverity_to_json

</>

    pub fn constraintseverity_to_json(
      constraintseverity: Constraintseverity,
    ) -> json.Json

## contactpointsystem_decoder

</>

    pub fn contactpointsystem_decoder() -> decode.Decoder(
      Contactpointsystem,
    )

## contactpointsystem_to_json

</>

    pub fn contactpointsystem_to_json(
      contactpointsystem: Contactpointsystem,
    ) -> json.Json

## contactpointuse_decoder

</>

    pub fn contactpointuse_decoder() -> decode.Decoder(
      Contactpointuse,
    )

## contactpointuse_to_json

</>

    pub fn contactpointuse_to_json(
      contactpointuse: Contactpointuse,
    ) -> json.Json

## contractpublicationstatus_decoder

</>

    pub fn contractpublicationstatus_decoder() -> decode.Decoder(
      Contractpublicationstatus,
    )

## contractpublicationstatus_to_json

</>

    pub fn contractpublicationstatus_to_json(
      contractpublicationstatus: Contractpublicationstatus,
    ) -> json.Json

## contractstatus_decoder

</>

    pub fn contractstatus_decoder() -> decode.Decoder(Contractstatus)

## contractstatus_to_json

</>

    pub fn contractstatus_to_json(
      contractstatus: Contractstatus,
    ) -> json.Json

## contributortype_decoder

</>

    pub fn contributortype_decoder() -> decode.Decoder(
      Contributortype,
    )

## contributortype_to_json

</>

    pub fn contributortype_to_json(
      contributortype: Contributortype,
    ) -> json.Json

## daysofweek_decoder

</>

    pub fn daysofweek_decoder() -> decode.Decoder(Daysofweek)

## daysofweek_to_json

</>

    pub fn daysofweek_to_json(daysofweek: Daysofweek) -> json.Json

## definedtypes_decoder

</>

    pub fn definedtypes_decoder() -> decode.Decoder(Definedtypes)

## definedtypes_to_json

</>

    pub fn definedtypes_to_json(
      definedtypes: Definedtypes,
    ) -> json.Json

## detectedissueseverity_decoder

</>

    pub fn detectedissueseverity_decoder() -> decode.Decoder(
      Detectedissueseverity,
    )

## detectedissueseverity_to_json

</>

    pub fn detectedissueseverity_to_json(
      detectedissueseverity: Detectedissueseverity,
    ) -> json.Json

## devicenametype_decoder

</>

    pub fn devicenametype_decoder() -> decode.Decoder(Devicenametype)

## devicenametype_to_json

</>

    pub fn devicenametype_to_json(
      devicenametype: Devicenametype,
    ) -> json.Json

## devicestatementstatus_decoder

</>

    pub fn devicestatementstatus_decoder() -> decode.Decoder(
      Devicestatementstatus,
    )

## devicestatementstatus_to_json

</>

    pub fn devicestatementstatus_to_json(
      devicestatementstatus: Devicestatementstatus,
    ) -> json.Json

## devicestatus_decoder

</>

    pub fn devicestatus_decoder() -> decode.Decoder(Devicestatus)

## devicestatus_to_json

</>

    pub fn devicestatus_to_json(
      devicestatus: Devicestatus,
    ) -> json.Json

## diagnosticreportstatus_decoder

</>

    pub fn diagnosticreportstatus_decoder() -> decode.Decoder(
      Diagnosticreportstatus,
    )

## diagnosticreportstatus_to_json

</>

    pub fn diagnosticreportstatus_to_json(
      diagnosticreportstatus: Diagnosticreportstatus,
    ) -> json.Json

## discriminatortype_decoder

</>

    pub fn discriminatortype_decoder() -> decode.Decoder(
      Discriminatortype,
    )

## discriminatortype_to_json

</>

    pub fn discriminatortype_to_json(
      discriminatortype: Discriminatortype,
    ) -> json.Json

## documentmode_decoder

</>

    pub fn documentmode_decoder() -> decode.Decoder(Documentmode)

## documentmode_to_json

</>

    pub fn documentmode_to_json(
      documentmode: Documentmode,
    ) -> json.Json

## documentreferencestatus_decoder

</>

    pub fn documentreferencestatus_decoder() -> decode.Decoder(
      Documentreferencestatus,
    )

## documentreferencestatus_to_json

</>

    pub fn documentreferencestatus_to_json(
      documentreferencestatus: Documentreferencestatus,
    ) -> json.Json

## documentrelationshiptype_decoder

</>

    pub fn documentrelationshiptype_decoder() -> decode.Decoder(
      Documentrelationshiptype,
    )

## documentrelationshiptype_to_json

</>

    pub fn documentrelationshiptype_to_json(
      documentrelationshiptype: Documentrelationshiptype,
    ) -> json.Json

## eligibilityrequestpurpose_decoder

</>

    pub fn eligibilityrequestpurpose_decoder() -> decode.Decoder(
      Eligibilityrequestpurpose,
    )

## eligibilityrequestpurpose_to_json

</>

    pub fn eligibilityrequestpurpose_to_json(
      eligibilityrequestpurpose: Eligibilityrequestpurpose,
    ) -> json.Json

## eligibilityresponsepurpose_decoder

</>

    pub fn eligibilityresponsepurpose_decoder() -> decode.Decoder(
      Eligibilityresponsepurpose,
    )

## eligibilityresponsepurpose_to_json

</>

    pub fn eligibilityresponsepurpose_to_json(
      eligibilityresponsepurpose: Eligibilityresponsepurpose,
    ) -> json.Json

## encounterlocationstatus_decoder

</>

    pub fn encounterlocationstatus_decoder() -> decode.Decoder(
      Encounterlocationstatus,
    )

## encounterlocationstatus_to_json

</>

    pub fn encounterlocationstatus_to_json(
      encounterlocationstatus: Encounterlocationstatus,
    ) -> json.Json

## encounterstatus_decoder

</>

    pub fn encounterstatus_decoder() -> decode.Decoder(
      Encounterstatus,
    )

## encounterstatus_to_json

</>

    pub fn encounterstatus_to_json(
      encounterstatus: Encounterstatus,
    ) -> json.Json

## endpointstatus_decoder

</>

    pub fn endpointstatus_decoder() -> decode.Decoder(Endpointstatus)

## endpointstatus_to_json

</>

    pub fn endpointstatus_to_json(
      endpointstatus: Endpointstatus,
    ) -> json.Json

## episodeofcarestatus_decoder

</>

    pub fn episodeofcarestatus_decoder() -> decode.Decoder(
      Episodeofcarestatus,
    )

## episodeofcarestatus_to_json

</>

    pub fn episodeofcarestatus_to_json(
      episodeofcarestatus: Episodeofcarestatus,
    ) -> json.Json

## eventcapabilitymode_decoder

</>

    pub fn eventcapabilitymode_decoder() -> decode.Decoder(
      Eventcapabilitymode,
    )

## eventcapabilitymode_to_json

</>

    pub fn eventcapabilitymode_to_json(
      eventcapabilitymode: Eventcapabilitymode,
    ) -> json.Json

## eventstatus_decoder

</>

    pub fn eventstatus_decoder() -> decode.Decoder(Eventstatus)

## eventstatus_to_json

</>

    pub fn eventstatus_to_json(eventstatus: Eventstatus) -> json.Json

## eventtiming_decoder

</>

    pub fn eventtiming_decoder() -> decode.Decoder(Eventtiming)

## eventtiming_to_json

</>

    pub fn eventtiming_to_json(eventtiming: Eventtiming) -> json.Json

## examplescenarioactortype_decoder

</>

    pub fn examplescenarioactortype_decoder() -> decode.Decoder(
      Examplescenarioactortype,
    )

## examplescenarioactortype_to_json

</>

    pub fn examplescenarioactortype_to_json(
      examplescenarioactortype: Examplescenarioactortype,
    ) -> json.Json

## explanationofbenefitstatus_decoder

</>

    pub fn explanationofbenefitstatus_decoder() -> decode.Decoder(
      Explanationofbenefitstatus,
    )

## explanationofbenefitstatus_to_json

</>

    pub fn explanationofbenefitstatus_to_json(
      explanationofbenefitstatus: Explanationofbenefitstatus,
    ) -> json.Json

## extensioncontexttype_decoder

</>

    pub fn extensioncontexttype_decoder() -> decode.Decoder(
      Extensioncontexttype,
    )

## extensioncontexttype_to_json

</>

    pub fn extensioncontexttype_to_json(
      extensioncontexttype: Extensioncontexttype,
    ) -> json.Json

## fhirversion_decoder

</>

    pub fn fhirversion_decoder() -> decode.Decoder(Fhirversion)

## fhirversion_to_json

</>

    pub fn fhirversion_to_json(fhirversion: Fhirversion) -> json.Json

## filteroperator_decoder

</>

    pub fn filteroperator_decoder() -> decode.Decoder(Filteroperator)

## filteroperator_to_json

</>

    pub fn filteroperator_to_json(
      filteroperator: Filteroperator,
    ) -> json.Json

## flagstatus_decoder

</>

    pub fn flagstatus_decoder() -> decode.Decoder(Flagstatus)

## flagstatus_to_json

</>

    pub fn flagstatus_to_json(flagstatus: Flagstatus) -> json.Json

## fmstatus_decoder

</>

    pub fn fmstatus_decoder() -> decode.Decoder(Fmstatus)

## fmstatus_to_json

</>

    pub fn fmstatus_to_json(fmstatus: Fmstatus) -> json.Json

## goalstatus_decoder

</>

    pub fn goalstatus_decoder() -> decode.Decoder(Goalstatus)

## goalstatus_to_json

</>

    pub fn goalstatus_to_json(goalstatus: Goalstatus) -> json.Json

## graphcompartmentrule_decoder

</>

    pub fn graphcompartmentrule_decoder() -> decode.Decoder(
      Graphcompartmentrule,
    )

## graphcompartmentrule_to_json

</>

    pub fn graphcompartmentrule_to_json(
      graphcompartmentrule: Graphcompartmentrule,
    ) -> json.Json

## graphcompartmentuse_decoder

</>

    pub fn graphcompartmentuse_decoder() -> decode.Decoder(
      Graphcompartmentuse,
    )

## graphcompartmentuse_to_json

</>

    pub fn graphcompartmentuse_to_json(
      graphcompartmentuse: Graphcompartmentuse,
    ) -> json.Json

## groupmeasure_decoder

</>

    pub fn groupmeasure_decoder() -> decode.Decoder(Groupmeasure)

## groupmeasure_to_json

</>

    pub fn groupmeasure_to_json(
      groupmeasure: Groupmeasure,
    ) -> json.Json

## grouptype_decoder

</>

    pub fn grouptype_decoder() -> decode.Decoder(Grouptype)

## grouptype_to_json

</>

    pub fn grouptype_to_json(grouptype: Grouptype) -> json.Json

## guidanceresponsestatus_decoder

</>

    pub fn guidanceresponsestatus_decoder() -> decode.Decoder(
      Guidanceresponsestatus,
    )

## guidanceresponsestatus_to_json

</>

    pub fn guidanceresponsestatus_to_json(
      guidanceresponsestatus: Guidanceresponsestatus,
    ) -> json.Json

## guidepagegeneration_decoder

</>

    pub fn guidepagegeneration_decoder() -> decode.Decoder(
      Guidepagegeneration,
    )

## guidepagegeneration_to_json

</>

    pub fn guidepagegeneration_to_json(
      guidepagegeneration: Guidepagegeneration,
    ) -> json.Json

## guideparametercode_decoder

</>

    pub fn guideparametercode_decoder() -> decode.Decoder(
      Guideparametercode,
    )

## guideparametercode_to_json

</>

    pub fn guideparametercode_to_json(
      guideparametercode: Guideparametercode,
    ) -> json.Json

## historystatus_decoder

</>

    pub fn historystatus_decoder() -> decode.Decoder(Historystatus)

## historystatus_to_json

</>

    pub fn historystatus_to_json(
      historystatus: Historystatus,
    ) -> json.Json

## httpoperations_decoder

</>

    pub fn httpoperations_decoder() -> decode.Decoder(Httpoperations)

## httpoperations_to_json

</>

    pub fn httpoperations_to_json(
      httpoperations: Httpoperations,
    ) -> json.Json

## httpverb_decoder

</>

    pub fn httpverb_decoder() -> decode.Decoder(Httpverb)

## httpverb_to_json

</>

    pub fn httpverb_to_json(httpverb: Httpverb) -> json.Json

## identifieruse_decoder

</>

    pub fn identifieruse_decoder() -> decode.Decoder(Identifieruse)

## identifieruse_to_json

</>

    pub fn identifieruse_to_json(
      identifieruse: Identifieruse,
    ) -> json.Json

## identityassurancelevel_decoder

</>

    pub fn identityassurancelevel_decoder() -> decode.Decoder(
      Identityassurancelevel,
    )

## identityassurancelevel_to_json

</>

    pub fn identityassurancelevel_to_json(
      identityassurancelevel: Identityassurancelevel,
    ) -> json.Json

## imagingstudystatus_decoder

</>

    pub fn imagingstudystatus_decoder() -> decode.Decoder(
      Imagingstudystatus,
    )

## imagingstudystatus_to_json

</>

    pub fn imagingstudystatus_to_json(
      imagingstudystatus: Imagingstudystatus,
    ) -> json.Json

## immunizationevaluationstatus_decoder

</>

    pub fn immunizationevaluationstatus_decoder() -> decode.Decoder(
      Immunizationevaluationstatus,
    )

## immunizationevaluationstatus_to_json

</>

    pub fn immunizationevaluationstatus_to_json(
      immunizationevaluationstatus: Immunizationevaluationstatus,
    ) -> json.Json

## immunizationstatus_decoder

</>

    pub fn immunizationstatus_decoder() -> decode.Decoder(
      Immunizationstatus,
    )

## immunizationstatus_to_json

</>

    pub fn immunizationstatus_to_json(
      immunizationstatus: Immunizationstatus,
    ) -> json.Json

## ingredientmanufacturerrole_decoder

</>

    pub fn ingredientmanufacturerrole_decoder() -> decode.Decoder(
      Ingredientmanufacturerrole,
    )

## ingredientmanufacturerrole_to_json

</>

    pub fn ingredientmanufacturerrole_to_json(
      ingredientmanufacturerrole: Ingredientmanufacturerrole,
    ) -> json.Json

## interactiontrigger_decoder

</>

    pub fn interactiontrigger_decoder() -> decode.Decoder(
      Interactiontrigger,
    )

## interactiontrigger_to_json

</>

    pub fn interactiontrigger_to_json(
      interactiontrigger: Interactiontrigger,
    ) -> json.Json

## invoicepricecomponenttype_decoder

</>

    pub fn invoicepricecomponenttype_decoder() -> decode.Decoder(
      Invoicepricecomponenttype,
    )

## invoicepricecomponenttype_to_json

</>

    pub fn invoicepricecomponenttype_to_json(
      invoicepricecomponenttype: Invoicepricecomponenttype,
    ) -> json.Json

## invoicestatus_decoder

</>

    pub fn invoicestatus_decoder() -> decode.Decoder(Invoicestatus)

## invoicestatus_to_json

</>

    pub fn invoicestatus_to_json(
      invoicestatus: Invoicestatus,
    ) -> json.Json

## issueseverity_decoder

</>

    pub fn issueseverity_decoder() -> decode.Decoder(Issueseverity)

## issueseverity_to_json

</>

    pub fn issueseverity_to_json(
      issueseverity: Issueseverity,
    ) -> json.Json

## issuetype_decoder

</>

    pub fn issuetype_decoder() -> decode.Decoder(Issuetype)

## issuetype_to_json

</>

    pub fn issuetype_to_json(issuetype: Issuetype) -> json.Json

## itemtype_decoder

</>

    pub fn itemtype_decoder() -> decode.Decoder(Itemtype)

## itemtype_to_json

</>

    pub fn itemtype_to_json(itemtype: Itemtype) -> json.Json

## linkagetype_decoder

</>

    pub fn linkagetype_decoder() -> decode.Decoder(Linkagetype)

## linkagetype_to_json

</>

    pub fn linkagetype_to_json(linkagetype: Linkagetype) -> json.Json

## linktype_decoder

</>

    pub fn linktype_decoder() -> decode.Decoder(Linktype)

## linktype_to_json

</>

    pub fn linktype_to_json(linktype: Linktype) -> json.Json

## listmode_decoder

</>

    pub fn listmode_decoder() -> decode.Decoder(Listmode)

## listmode_to_json

</>

    pub fn listmode_to_json(listmode: Listmode) -> json.Json

## liststatus_decoder

</>

    pub fn liststatus_decoder() -> decode.Decoder(Liststatus)

## liststatus_to_json

</>

    pub fn liststatus_to_json(liststatus: Liststatus) -> json.Json

## locationmode_decoder

</>

    pub fn locationmode_decoder() -> decode.Decoder(Locationmode)

## locationmode_to_json

</>

    pub fn locationmode_to_json(
      locationmode: Locationmode,
    ) -> json.Json

## locationstatus_decoder

</>

    pub fn locationstatus_decoder() -> decode.Decoder(Locationstatus)

## locationstatus_to_json

</>

    pub fn locationstatus_to_json(
      locationstatus: Locationstatus,
    ) -> json.Json

## mapcontexttype_decoder

</>

    pub fn mapcontexttype_decoder() -> decode.Decoder(Mapcontexttype)

## mapcontexttype_to_json

</>

    pub fn mapcontexttype_to_json(
      mapcontexttype: Mapcontexttype,
    ) -> json.Json

## mapgrouptypemode_decoder

</>

    pub fn mapgrouptypemode_decoder() -> decode.Decoder(
      Mapgrouptypemode,
    )

## mapgrouptypemode_to_json

</>

    pub fn mapgrouptypemode_to_json(
      mapgrouptypemode: Mapgrouptypemode,
    ) -> json.Json

## mapinputmode_decoder

</>

    pub fn mapinputmode_decoder() -> decode.Decoder(Mapinputmode)

## mapinputmode_to_json

</>

    pub fn mapinputmode_to_json(
      mapinputmode: Mapinputmode,
    ) -> json.Json

## mapmodelmode_decoder

</>

    pub fn mapmodelmode_decoder() -> decode.Decoder(Mapmodelmode)

## mapmodelmode_to_json

</>

    pub fn mapmodelmode_to_json(
      mapmodelmode: Mapmodelmode,
    ) -> json.Json

## mapsourcelistmode_decoder

</>

    pub fn mapsourcelistmode_decoder() -> decode.Decoder(
      Mapsourcelistmode,
    )

## mapsourcelistmode_to_json

</>

    pub fn mapsourcelistmode_to_json(
      mapsourcelistmode: Mapsourcelistmode,
    ) -> json.Json

## maptargetlistmode_decoder

</>

    pub fn maptargetlistmode_decoder() -> decode.Decoder(
      Maptargetlistmode,
    )

## maptargetlistmode_to_json

</>

    pub fn maptargetlistmode_to_json(
      maptargetlistmode: Maptargetlistmode,
    ) -> json.Json

## maptransform_decoder

</>

    pub fn maptransform_decoder() -> decode.Decoder(Maptransform)

## maptransform_to_json

</>

    pub fn maptransform_to_json(
      maptransform: Maptransform,
    ) -> json.Json

## measurereportstatus_decoder

</>

    pub fn measurereportstatus_decoder() -> decode.Decoder(
      Measurereportstatus,
    )

## measurereportstatus_to_json

</>

    pub fn measurereportstatus_to_json(
      measurereportstatus: Measurereportstatus,
    ) -> json.Json

## measurereporttype_decoder

</>

    pub fn measurereporttype_decoder() -> decode.Decoder(
      Measurereporttype,
    )

## measurereporttype_to_json

</>

    pub fn measurereporttype_to_json(
      measurereporttype: Measurereporttype,
    ) -> json.Json

## medicationadminstatus_decoder

</>

    pub fn medicationadminstatus_decoder() -> decode.Decoder(
      Medicationadminstatus,
    )

## medicationadminstatus_to_json

</>

    pub fn medicationadminstatus_to_json(
      medicationadminstatus: Medicationadminstatus,
    ) -> json.Json

## medicationdispensestatus_decoder

</>

    pub fn medicationdispensestatus_decoder() -> decode.Decoder(
      Medicationdispensestatus,
    )

## medicationdispensestatus_to_json

</>

    pub fn medicationdispensestatus_to_json(
      medicationdispensestatus: Medicationdispensestatus,
    ) -> json.Json

## medicationknowledgestatus_decoder

</>

    pub fn medicationknowledgestatus_decoder() -> decode.Decoder(
      Medicationknowledgestatus,
    )

## medicationknowledgestatus_to_json

</>

    pub fn medicationknowledgestatus_to_json(
      medicationknowledgestatus: Medicationknowledgestatus,
    ) -> json.Json

## medicationrequestintent_decoder

</>

    pub fn medicationrequestintent_decoder() -> decode.Decoder(
      Medicationrequestintent,
    )

## medicationrequestintent_to_json

</>

    pub fn medicationrequestintent_to_json(
      medicationrequestintent: Medicationrequestintent,
    ) -> json.Json

## medicationrequeststatus_decoder

</>

    pub fn medicationrequeststatus_decoder() -> decode.Decoder(
      Medicationrequeststatus,
    )

## medicationrequeststatus_to_json

</>

    pub fn medicationrequeststatus_to_json(
      medicationrequeststatus: Medicationrequeststatus,
    ) -> json.Json

## medicationstatementstatus_decoder

</>

    pub fn medicationstatementstatus_decoder() -> decode.Decoder(
      Medicationstatementstatus,
    )

## medicationstatementstatus_to_json

</>

    pub fn medicationstatementstatus_to_json(
      medicationstatementstatus: Medicationstatementstatus,
    ) -> json.Json

## medicationstatus_decoder

</>

    pub fn medicationstatus_decoder() -> decode.Decoder(
      Medicationstatus,
    )

## medicationstatus_to_json

</>

    pub fn medicationstatus_to_json(
      medicationstatus: Medicationstatus,
    ) -> json.Json

## messageheaderresponserequest_decoder

</>

    pub fn messageheaderresponserequest_decoder() -> decode.Decoder(
      Messageheaderresponserequest,
    )

## messageheaderresponserequest_to_json

</>

    pub fn messageheaderresponserequest_to_json(
      messageheaderresponserequest: Messageheaderresponserequest,
    ) -> json.Json

## messagesignificancecategory_decoder

</>

    pub fn messagesignificancecategory_decoder() -> decode.Decoder(
      Messagesignificancecategory,
    )

## messagesignificancecategory_to_json

</>

    pub fn messagesignificancecategory_to_json(
      messagesignificancecategory: Messagesignificancecategory,
    ) -> json.Json

## metriccalibrationstate_decoder

</>

    pub fn metriccalibrationstate_decoder() -> decode.Decoder(
      Metriccalibrationstate,
    )

## metriccalibrationstate_to_json

</>

    pub fn metriccalibrationstate_to_json(
      metriccalibrationstate: Metriccalibrationstate,
    ) -> json.Json

## metriccalibrationtype_decoder

</>

    pub fn metriccalibrationtype_decoder() -> decode.Decoder(
      Metriccalibrationtype,
    )

## metriccalibrationtype_to_json

</>

    pub fn metriccalibrationtype_to_json(
      metriccalibrationtype: Metriccalibrationtype,
    ) -> json.Json

## metriccategory_decoder

</>

    pub fn metriccategory_decoder() -> decode.Decoder(Metriccategory)

## metriccategory_to_json

</>

    pub fn metriccategory_to_json(
      metriccategory: Metriccategory,
    ) -> json.Json

## metriccolor_decoder

</>

    pub fn metriccolor_decoder() -> decode.Decoder(Metriccolor)

## metriccolor_to_json

</>

    pub fn metriccolor_to_json(metriccolor: Metriccolor) -> json.Json

## metricoperationalstatus_decoder

</>

    pub fn metricoperationalstatus_decoder() -> decode.Decoder(
      Metricoperationalstatus,
    )

## metricoperationalstatus_to_json

</>

    pub fn metricoperationalstatus_to_json(
      metricoperationalstatus: Metricoperationalstatus,
    ) -> json.Json

## nameuse_decoder

</>

    pub fn nameuse_decoder() -> decode.Decoder(Nameuse)

## nameuse_to_json

</>

    pub fn nameuse_to_json(nameuse: Nameuse) -> json.Json

## namingsystemidentifiertype_decoder

</>

    pub fn namingsystemidentifiertype_decoder() -> decode.Decoder(
      Namingsystemidentifiertype,
    )

## namingsystemidentifiertype_to_json

</>

    pub fn namingsystemidentifiertype_to_json(
      namingsystemidentifiertype: Namingsystemidentifiertype,
    ) -> json.Json

## namingsystemtype_decoder

</>

    pub fn namingsystemtype_decoder() -> decode.Decoder(
      Namingsystemtype,
    )

## namingsystemtype_to_json

</>

    pub fn namingsystemtype_to_json(
      namingsystemtype: Namingsystemtype,
    ) -> json.Json

## narrativestatus_decoder

</>

    pub fn narrativestatus_decoder() -> decode.Decoder(
      Narrativestatus,
    )

## narrativestatus_to_json

</>

    pub fn narrativestatus_to_json(
      narrativestatus: Narrativestatus,
    ) -> json.Json

## networktype_decoder

</>

    pub fn networktype_decoder() -> decode.Decoder(Networktype)

## networktype_to_json

</>

    pub fn networktype_to_json(networktype: Networktype) -> json.Json

## notetype_decoder

</>

    pub fn notetype_decoder() -> decode.Decoder(Notetype)

## notetype_to_json

</>

    pub fn notetype_to_json(notetype: Notetype) -> json.Json

## nutritionproductstatus_decoder

</>

    pub fn nutritionproductstatus_decoder() -> decode.Decoder(
      Nutritionproductstatus,
    )

## nutritionproductstatus_to_json

</>

    pub fn nutritionproductstatus_to_json(
      nutritionproductstatus: Nutritionproductstatus,
    ) -> json.Json

## observationrangecategory_decoder

</>

    pub fn observationrangecategory_decoder() -> decode.Decoder(
      Observationrangecategory,
    )

## observationrangecategory_to_json

</>

    pub fn observationrangecategory_to_json(
      observationrangecategory: Observationrangecategory,
    ) -> json.Json

## observationstatus_decoder

</>

    pub fn observationstatus_decoder() -> decode.Decoder(
      Observationstatus,
    )

## observationstatus_to_json

</>

    pub fn observationstatus_to_json(
      observationstatus: Observationstatus,
    ) -> json.Json

## operationkind_decoder

</>

    pub fn operationkind_decoder() -> decode.Decoder(Operationkind)

## operationkind_to_json

</>

    pub fn operationkind_to_json(
      operationkind: Operationkind,
    ) -> json.Json

## operationparameteruse_decoder

</>

    pub fn operationparameteruse_decoder() -> decode.Decoder(
      Operationparameteruse,
    )

## operationparameteruse_to_json

</>

    pub fn operationparameteruse_to_json(
      operationparameteruse: Operationparameteruse,
    ) -> json.Json

## orientationtype_decoder

</>

    pub fn orientationtype_decoder() -> decode.Decoder(
      Orientationtype,
    )

## orientationtype_to_json

</>

    pub fn orientationtype_to_json(
      orientationtype: Orientationtype,
    ) -> json.Json

## participantrequired_decoder

</>

    pub fn participantrequired_decoder() -> decode.Decoder(
      Participantrequired,
    )

## participantrequired_to_json

</>

    pub fn participantrequired_to_json(
      participantrequired: Participantrequired,
    ) -> json.Json

## participationstatus_decoder

</>

    pub fn participationstatus_decoder() -> decode.Decoder(
      Participationstatus,
    )

## participationstatus_to_json

</>

    pub fn participationstatus_to_json(
      participationstatus: Participationstatus,
    ) -> json.Json

## permitteddatatype_decoder

</>

    pub fn permitteddatatype_decoder() -> decode.Decoder(
      Permitteddatatype,
    )

## permitteddatatype_to_json

</>

    pub fn permitteddatatype_to_json(
      permitteddatatype: Permitteddatatype,
    ) -> json.Json

## productcategory_decoder

</>

    pub fn productcategory_decoder() -> decode.Decoder(
      Productcategory,
    )

## productcategory_to_json

</>

    pub fn productcategory_to_json(
      productcategory: Productcategory,
    ) -> json.Json

## productstatus_decoder

</>

    pub fn productstatus_decoder() -> decode.Decoder(Productstatus)

## productstatus_to_json

</>

    pub fn productstatus_to_json(
      productstatus: Productstatus,
    ) -> json.Json

## productstoragescale_decoder

</>

    pub fn productstoragescale_decoder() -> decode.Decoder(
      Productstoragescale,
    )

## productstoragescale_to_json

</>

    pub fn productstoragescale_to_json(
      productstoragescale: Productstoragescale,
    ) -> json.Json

## propertyrepresentation_decoder

</>

    pub fn propertyrepresentation_decoder() -> decode.Decoder(
      Propertyrepresentation,
    )

## propertyrepresentation_to_json

</>

    pub fn propertyrepresentation_to_json(
      propertyrepresentation: Propertyrepresentation,
    ) -> json.Json

## provenanceentityrole_decoder

</>

    pub fn provenanceentityrole_decoder() -> decode.Decoder(
      Provenanceentityrole,
    )

## provenanceentityrole_to_json

</>

    pub fn provenanceentityrole_to_json(
      provenanceentityrole: Provenanceentityrole,
    ) -> json.Json

## publicationstatus_decoder

</>

    pub fn publicationstatus_decoder() -> decode.Decoder(
      Publicationstatus,
    )

## publicationstatus_to_json

</>

    pub fn publicationstatus_to_json(
      publicationstatus: Publicationstatus,
    ) -> json.Json

## qualitytype_decoder

</>

    pub fn qualitytype_decoder() -> decode.Decoder(Qualitytype)

## qualitytype_to_json

</>

    pub fn qualitytype_to_json(qualitytype: Qualitytype) -> json.Json

## quantitycomparator_decoder

</>

    pub fn quantitycomparator_decoder() -> decode.Decoder(
      Quantitycomparator,
    )

## quantitycomparator_to_json

</>

    pub fn quantitycomparator_to_json(
      quantitycomparator: Quantitycomparator,
    ) -> json.Json

## questionnaireanswersstatus_decoder

</>

    pub fn questionnaireanswersstatus_decoder() -> decode.Decoder(
      Questionnaireanswersstatus,
    )

## questionnaireanswersstatus_to_json

</>

    pub fn questionnaireanswersstatus_to_json(
      questionnaireanswersstatus: Questionnaireanswersstatus,
    ) -> json.Json

## questionnaireenablebehavior_decoder

</>

    pub fn questionnaireenablebehavior_decoder() -> decode.Decoder(
      Questionnaireenablebehavior,
    )

## questionnaireenablebehavior_to_json

</>

    pub fn questionnaireenablebehavior_to_json(
      questionnaireenablebehavior: Questionnaireenablebehavior,
    ) -> json.Json

## questionnaireenableoperator_decoder

</>

    pub fn questionnaireenableoperator_decoder() -> decode.Decoder(
      Questionnaireenableoperator,
    )

## questionnaireenableoperator_to_json

</>

    pub fn questionnaireenableoperator_to_json(
      questionnaireenableoperator: Questionnaireenableoperator,
    ) -> json.Json

## reactioneventseverity_decoder

</>

    pub fn reactioneventseverity_decoder() -> decode.Decoder(
      Reactioneventseverity,
    )

## reactioneventseverity_to_json

</>

    pub fn reactioneventseverity_to_json(
      reactioneventseverity: Reactioneventseverity,
    ) -> json.Json

## referencehandlingpolicy_decoder

</>

    pub fn referencehandlingpolicy_decoder() -> decode.Decoder(
      Referencehandlingpolicy,
    )

## referencehandlingpolicy_to_json

</>

    pub fn referencehandlingpolicy_to_json(
      referencehandlingpolicy: Referencehandlingpolicy,
    ) -> json.Json

## referenceversionrules_decoder

</>

    pub fn referenceversionrules_decoder() -> decode.Decoder(
      Referenceversionrules,
    )

## referenceversionrules_to_json

</>

    pub fn referenceversionrules_to_json(
      referenceversionrules: Referenceversionrules,
    ) -> json.Json

## relatedartifacttype_decoder

</>

    pub fn relatedartifacttype_decoder() -> decode.Decoder(
      Relatedartifacttype,
    )

## relatedartifacttype_to_json

</>

    pub fn relatedartifacttype_to_json(
      relatedartifacttype: Relatedartifacttype,
    ) -> json.Json

## relationtype_decoder

</>

    pub fn relationtype_decoder() -> decode.Decoder(Relationtype)

## relationtype_to_json

</>

    pub fn relationtype_to_json(
      relationtype: Relationtype,
    ) -> json.Json

## remittanceoutcome_decoder

</>

    pub fn remittanceoutcome_decoder() -> decode.Decoder(
      Remittanceoutcome,
    )

## remittanceoutcome_to_json

</>

    pub fn remittanceoutcome_to_json(
      remittanceoutcome: Remittanceoutcome,
    ) -> json.Json

## reportactionresultcodes_decoder

</>

    pub fn reportactionresultcodes_decoder() -> decode.Decoder(
      Reportactionresultcodes,
    )

## reportactionresultcodes_to_json

</>

    pub fn reportactionresultcodes_to_json(
      reportactionresultcodes: Reportactionresultcodes,
    ) -> json.Json

## reportparticipanttype_decoder

</>

    pub fn reportparticipanttype_decoder() -> decode.Decoder(
      Reportparticipanttype,
    )

## reportparticipanttype_to_json

</>

    pub fn reportparticipanttype_to_json(
      reportparticipanttype: Reportparticipanttype,
    ) -> json.Json

## reportrelationtype_decoder

</>

    pub fn reportrelationtype_decoder() -> decode.Decoder(
      Reportrelationtype,
    )

## reportrelationtype_to_json

</>

    pub fn reportrelationtype_to_json(
      reportrelationtype: Reportrelationtype,
    ) -> json.Json

## reportresultcodes_decoder

</>

    pub fn reportresultcodes_decoder() -> decode.Decoder(
      Reportresultcodes,
    )

## reportresultcodes_to_json

</>

    pub fn reportresultcodes_to_json(
      reportresultcodes: Reportresultcodes,
    ) -> json.Json

## reportstatuscodes_decoder

</>

    pub fn reportstatuscodes_decoder() -> decode.Decoder(
      Reportstatuscodes,
    )

## reportstatuscodes_to_json

</>

    pub fn reportstatuscodes_to_json(
      reportstatuscodes: Reportstatuscodes,
    ) -> json.Json

## repositorytype_decoder

</>

    pub fn repositorytype_decoder() -> decode.Decoder(Repositorytype)

## repositorytype_to_json

</>

    pub fn repositorytype_to_json(
      repositorytype: Repositorytype,
    ) -> json.Json

## requestintent_decoder

</>

    pub fn requestintent_decoder() -> decode.Decoder(Requestintent)

## requestintent_to_json

</>

    pub fn requestintent_to_json(
      requestintent: Requestintent,
    ) -> json.Json

## requestpriority_decoder

</>

    pub fn requestpriority_decoder() -> decode.Decoder(
      Requestpriority,
    )

## requestpriority_to_json

</>

    pub fn requestpriority_to_json(
      requestpriority: Requestpriority,
    ) -> json.Json

## requestresourcetypes_decoder

</>

    pub fn requestresourcetypes_decoder() -> decode.Decoder(
      Requestresourcetypes,
    )

## requestresourcetypes_to_json

</>

    pub fn requestresourcetypes_to_json(
      requestresourcetypes: Requestresourcetypes,
    ) -> json.Json

## requeststatus_decoder

</>

    pub fn requeststatus_decoder() -> decode.Decoder(Requeststatus)

## requeststatus_to_json

</>

    pub fn requeststatus_to_json(
      requeststatus: Requeststatus,
    ) -> json.Json

## researchelementtype_decoder

</>

    pub fn researchelementtype_decoder() -> decode.Decoder(
      Researchelementtype,
    )

## researchelementtype_to_json

</>

    pub fn researchelementtype_to_json(
      researchelementtype: Researchelementtype,
    ) -> json.Json

## researchstudystatus_decoder

</>

    pub fn researchstudystatus_decoder() -> decode.Decoder(
      Researchstudystatus,
    )

## researchstudystatus_to_json

</>

    pub fn researchstudystatus_to_json(
      researchstudystatus: Researchstudystatus,
    ) -> json.Json

## researchsubjectstatus_decoder

</>

    pub fn researchsubjectstatus_decoder() -> decode.Decoder(
      Researchsubjectstatus,
    )

## researchsubjectstatus_to_json

</>

    pub fn researchsubjectstatus_to_json(
      researchsubjectstatus: Researchsubjectstatus,
    ) -> json.Json

## resourceaggregationmode_decoder

</>

    pub fn resourceaggregationmode_decoder() -> decode.Decoder(
      Resourceaggregationmode,
    )

## resourceaggregationmode_to_json

</>

    pub fn resourceaggregationmode_to_json(
      resourceaggregationmode: Resourceaggregationmode,
    ) -> json.Json

## resourceslicingrules_decoder

</>

    pub fn resourceslicingrules_decoder() -> decode.Decoder(
      Resourceslicingrules,
    )

## resourceslicingrules_to_json

</>

    pub fn resourceslicingrules_to_json(
      resourceslicingrules: Resourceslicingrules,
    ) -> json.Json

## resourcetypes_decoder

</>

    pub fn resourcetypes_decoder() -> decode.Decoder(Resourcetypes)

## resourcetypes_to_json

</>

    pub fn resourcetypes_to_json(
      resourcetypes: Resourcetypes,
    ) -> json.Json

## responsecode_decoder

</>

    pub fn responsecode_decoder() -> decode.Decoder(Responsecode)

## responsecode_to_json

</>

    pub fn responsecode_to_json(
      responsecode: Responsecode,
    ) -> json.Json

## restfulcapabilitymode_decoder

</>

    pub fn restfulcapabilitymode_decoder() -> decode.Decoder(
      Restfulcapabilitymode,
    )

## restfulcapabilitymode_to_json

</>

    pub fn restfulcapabilitymode_to_json(
      restfulcapabilitymode: Restfulcapabilitymode,
    ) -> json.Json

## searchcomparator_decoder

</>

    pub fn searchcomparator_decoder() -> decode.Decoder(
      Searchcomparator,
    )

## searchcomparator_to_json

</>

    pub fn searchcomparator_to_json(
      searchcomparator: Searchcomparator,
    ) -> json.Json

## searchentrymode_decoder

</>

    pub fn searchentrymode_decoder() -> decode.Decoder(
      Searchentrymode,
    )

## searchentrymode_to_json

</>

    pub fn searchentrymode_to_json(
      searchentrymode: Searchentrymode,
    ) -> json.Json

## searchmodifiercode_decoder

</>

    pub fn searchmodifiercode_decoder() -> decode.Decoder(
      Searchmodifiercode,
    )

## searchmodifiercode_to_json

</>

    pub fn searchmodifiercode_to_json(
      searchmodifiercode: Searchmodifiercode,
    ) -> json.Json

## searchparamtype_decoder

</>

    pub fn searchparamtype_decoder() -> decode.Decoder(
      Searchparamtype,
    )

## searchparamtype_to_json

</>

    pub fn searchparamtype_to_json(
      searchparamtype: Searchparamtype,
    ) -> json.Json

## searchxpathusage_decoder

</>

    pub fn searchxpathusage_decoder() -> decode.Decoder(
      Searchxpathusage,
    )

## searchxpathusage_to_json

</>

    pub fn searchxpathusage_to_json(
      searchxpathusage: Searchxpathusage,
    ) -> json.Json

## sequencetype_decoder

</>

    pub fn sequencetype_decoder() -> decode.Decoder(Sequencetype)

## sequencetype_to_json

</>

    pub fn sequencetype_to_json(
      sequencetype: Sequencetype,
    ) -> json.Json

## slotstatus_decoder

</>

    pub fn slotstatus_decoder() -> decode.Decoder(Slotstatus)

## slotstatus_to_json

</>

    pub fn slotstatus_to_json(slotstatus: Slotstatus) -> json.Json

## sortdirection_decoder

</>

    pub fn sortdirection_decoder() -> decode.Decoder(Sortdirection)

## sortdirection_to_json

</>

    pub fn sortdirection_to_json(
      sortdirection: Sortdirection,
    ) -> json.Json

## spdxlicense_decoder

</>

    pub fn spdxlicense_decoder() -> decode.Decoder(Spdxlicense)

## spdxlicense_to_json

</>

    pub fn spdxlicense_to_json(spdxlicense: Spdxlicense) -> json.Json

## specimencontainedpreference_decoder

</>

    pub fn specimencontainedpreference_decoder() -> decode.Decoder(
      Specimencontainedpreference,
    )

## specimencontainedpreference_to_json

</>

    pub fn specimencontainedpreference_to_json(
      specimencontainedpreference: Specimencontainedpreference,
    ) -> json.Json

## specimenstatus_decoder

</>

    pub fn specimenstatus_decoder() -> decode.Decoder(Specimenstatus)

## specimenstatus_to_json

</>

    pub fn specimenstatus_to_json(
      specimenstatus: Specimenstatus,
    ) -> json.Json

## strandtype_decoder

</>

    pub fn strandtype_decoder() -> decode.Decoder(Strandtype)

## strandtype_to_json

</>

    pub fn strandtype_to_json(strandtype: Strandtype) -> json.Json

## structuredefinitionkind_decoder

</>

    pub fn structuredefinitionkind_decoder() -> decode.Decoder(
      Structuredefinitionkind,
    )

## structuredefinitionkind_to_json

</>

    pub fn structuredefinitionkind_to_json(
      structuredefinitionkind: Structuredefinitionkind,
    ) -> json.Json

## subscriptionchanneltype_decoder

</>

    pub fn subscriptionchanneltype_decoder() -> decode.Decoder(
      Subscriptionchanneltype,
    )

## subscriptionchanneltype_to_json

</>

    pub fn subscriptionchanneltype_to_json(
      subscriptionchanneltype: Subscriptionchanneltype,
    ) -> json.Json

## subscriptionnotificationtype_decoder

</>

    pub fn subscriptionnotificationtype_decoder() -> decode.Decoder(
      Subscriptionnotificationtype,
    )

## subscriptionnotificationtype_to_json

</>

    pub fn subscriptionnotificationtype_to_json(
      subscriptionnotificationtype: Subscriptionnotificationtype,
    ) -> json.Json

## subscriptionsearchmodifier_decoder

</>

    pub fn subscriptionsearchmodifier_decoder() -> decode.Decoder(
      Subscriptionsearchmodifier,
    )

## subscriptionsearchmodifier_to_json

</>

    pub fn subscriptionsearchmodifier_to_json(
      subscriptionsearchmodifier: Subscriptionsearchmodifier,
    ) -> json.Json

## subscriptionstatus_decoder

</>

    pub fn subscriptionstatus_decoder() -> decode.Decoder(
      Subscriptionstatus,
    )

## subscriptionstatus_to_json

</>

    pub fn subscriptionstatus_to_json(
      subscriptionstatus: Subscriptionstatus,
    ) -> json.Json

## subscriptiontopiccrbehavior_decoder

</>

    pub fn subscriptiontopiccrbehavior_decoder() -> decode.Decoder(
      Subscriptiontopiccrbehavior,
    )

## subscriptiontopiccrbehavior_to_json

</>

    pub fn subscriptiontopiccrbehavior_to_json(
      subscriptiontopiccrbehavior: Subscriptiontopiccrbehavior,
    ) -> json.Json

## substancestatus_decoder

</>

    pub fn substancestatus_decoder() -> decode.Decoder(
      Substancestatus,
    )

## substancestatus_to_json

</>

    pub fn substancestatus_to_json(
      substancestatus: Substancestatus,
    ) -> json.Json

## supplydeliverystatus_decoder

</>

    pub fn supplydeliverystatus_decoder() -> decode.Decoder(
      Supplydeliverystatus,
    )

## supplydeliverystatus_to_json

</>

    pub fn supplydeliverystatus_to_json(
      supplydeliverystatus: Supplydeliverystatus,
    ) -> json.Json

## supplyrequeststatus_decoder

</>

    pub fn supplyrequeststatus_decoder() -> decode.Decoder(
      Supplyrequeststatus,
    )

## supplyrequeststatus_to_json

</>

    pub fn supplyrequeststatus_to_json(
      supplyrequeststatus: Supplyrequeststatus,
    ) -> json.Json

## systemrestfulinteraction_decoder

</>

    pub fn systemrestfulinteraction_decoder() -> decode.Decoder(
      Systemrestfulinteraction,
    )

## systemrestfulinteraction_to_json

</>

    pub fn systemrestfulinteraction_to_json(
      systemrestfulinteraction: Systemrestfulinteraction,
    ) -> json.Json

## taskintent_decoder

</>

    pub fn taskintent_decoder() -> decode.Decoder(Taskintent)

## taskintent_to_json

</>

    pub fn taskintent_to_json(taskintent: Taskintent) -> json.Json

## taskstatus_decoder

</>

    pub fn taskstatus_decoder() -> decode.Decoder(Taskstatus)

## taskstatus_to_json

</>

    pub fn taskstatus_to_json(taskstatus: Taskstatus) -> json.Json

## triggertype_decoder

</>

    pub fn triggertype_decoder() -> decode.Decoder(Triggertype)

## triggertype_to_json

</>

    pub fn triggertype_to_json(triggertype: Triggertype) -> json.Json

## typederivationrule_decoder

</>

    pub fn typederivationrule_decoder() -> decode.Decoder(
      Typederivationrule,
    )

## typederivationrule_to_json

</>

    pub fn typederivationrule_to_json(
      typederivationrule: Typederivationrule,
    ) -> json.Json

## typerestfulinteraction_decoder

</>

    pub fn typerestfulinteraction_decoder() -> decode.Decoder(
      Typerestfulinteraction,
    )

## typerestfulinteraction_to_json

</>

    pub fn typerestfulinteraction_to_json(
      typerestfulinteraction: Typerestfulinteraction,
    ) -> json.Json

## udientrytype_decoder

</>

    pub fn udientrytype_decoder() -> decode.Decoder(Udientrytype)

## udientrytype_to_json

</>

    pub fn udientrytype_to_json(
      udientrytype: Udientrytype,
    ) -> json.Json

## unitsoftime_decoder

</>

    pub fn unitsoftime_decoder() -> decode.Decoder(Unitsoftime)

## unitsoftime_to_json

</>

    pub fn unitsoftime_to_json(unitsoftime: Unitsoftime) -> json.Json

## variablehandling_decoder

</>

    pub fn variablehandling_decoder() -> decode.Decoder(
      Variablehandling,
    )

## variablehandling_to_json

</>

    pub fn variablehandling_to_json(
      variablehandling: Variablehandling,
    ) -> json.Json

## variabletype_decoder

</>

    pub fn variabletype_decoder() -> decode.Decoder(Variabletype)

## variabletype_to_json

</>

    pub fn variabletype_to_json(
      variabletype: Variabletype,
    ) -> json.Json

## verificationresultstatus_decoder

</>

    pub fn verificationresultstatus_decoder() -> decode.Decoder(
      Verificationresultstatus,
    )

## verificationresultstatus_to_json

</>

    pub fn verificationresultstatus_to_json(
      verificationresultstatus: Verificationresultstatus,
    ) -> json.Json

## versioningpolicy_decoder

</>

    pub fn versioningpolicy_decoder() -> decode.Decoder(
      Versioningpolicy,
    )

## versioningpolicy_to_json

</>

    pub fn versioningpolicy_to_json(
      versioningpolicy: Versioningpolicy,
    ) -> json.Json

## visionbasecodes_decoder

</>

    pub fn visionbasecodes_decoder() -> decode.Decoder(
      Visionbasecodes,
    )

## visionbasecodes_to_json

</>

    pub fn visionbasecodes_to_json(
      visionbasecodes: Visionbasecodes,
    ) -> json.Json

## visioneyecodes_decoder

</>

    pub fn visioneyecodes_decoder() -> decode.Decoder(Visioneyecodes)

## visioneyecodes_to_json

</>

    pub fn visioneyecodes_to_json(
      visioneyecodes: Visioneyecodes,
    ) -> json.Json

✨